
2009-05-11 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed cmake tests - Patch provided by Holger

2009-05-11 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added splitup-kde-chunk-online script to contrib directory
  * Changed documentation build to use this script instead of a local copy

2009-05-10 Tony Bloomfield <gandalf1189@users.sourceforge.net>
  * Don't delete all customized reports from database!

2009-05-09 Fernando Vilas <fvilas@iname.com>
  * Updated schedule test cases to pass after Tony's patch
  * Fixed a few warnings about const on primitive return types
  * Made MMStorageSql inherit from KShared
  * Changed the include order on reports test and pivottable test to make
    tests compile on Slackware

2009-05-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Galician translation from Marce Villarino
  * Show scheduled transactions during reconciliation and don't show the
    initial dialog for overdue scheduled transactions anymore

2009-05-09 Tony Bloomfield <gandalf1189@users.sourceforge.net>
  * Fixed #2779291
    - Correct precision in formatted fields
    - Fix potential upgrade problem

2009-05-08 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Romanian translation from Cristian Onet
  * Fixed precision problem in transaction editor

2009-05-07 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed #1910270 (GNUCash Import Options large in PDF docs)

2009-05-07 Alvaro Soliverez <asoliverez@gmail.com>
  * Updated user documentation - submitted by John Hudson

2009-05-06 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added date display for certain ledger entries

2009-05-03 Alvaro Soliverez <asoliverez@gmail.com>
  * Updated Argentinian translation
  * Updated Spanish translation

2009-05-03 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated German translation

2009-05-02 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Regenerated message files

2009-04-30 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added option to turn on expert mode in settings dialog

2009-04-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Finnish translation from Mikael Kujanpaa

2009-04-27 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * More fixes to the online documentation generation
  * Preserve access rights when saving a local file which was owned
    by another user but we had group write access

2009-04-26 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed generation and upload of PHB and online manual
  * Added more output to configuration of sqlite support
  * Fixed some tips
  * Minor changes to the project handbook
  * Added patch by Matt Blythe (payeeCategoryPatch.diff)

2009-04-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * For scheduled transactions with the estimate option turned on, an imported
    transaction with an amount in the range of +/- 10% of the scheduled amount
    will match

2009-04-16 Tony Bloomfield <gandalf1189@users.sourceforge.net>
  * Add missing error check on saveAsDatabase

2009-04-15 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed balance display in ledger when all transactions of an
    investment account are filtered. Patch provided by Thomas Baumgart

2009-04-15 Thomas Baumgart <ipwizard@users.sourceforge.net
  * Fixed #2732207 (Unable to unmatch transaction matched by OFX import)
    for plain file based version. DB code still needs to be fixed.

2009-04-14 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added documentation of new file wizard (screen shots still missing)

2009-04-13 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed overdue scheduled transactions in pivot to display
    as happening tomorrow instead of the original date

2009-04-12 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Removed return in void setMatchData() introduced two days ago

2009-04-11 Alvaro Soliverez <asoliverez@gmail.com>
  * Changed MyMoneyReport to use EDetailLevel instead of bool
  * Cleaned up code in MyMoneyReport and related classes

2009-04-11 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Changed 'Schedule' --> 'Scheduled transaction' (patch provided by
    Peter Hargreaves)

2009-04-11 Tony Bloomfield <gandalf1189@users.sourceforge.net>
  * Update database structures to Version 5
    - add missing fields in Payee, Split
    - fix crash on duplicate report name

2009-04-10 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed permission problems during 'make distcheck'

2009-04-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Changed the generation of PDF versions of the documentation

2009-04-08 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed bko #188328 (Delete ransaction option is not disabled in closed
    accounts) with patch provided by Ian Neal

2009-04-07 Alvaro Soliverez <asoliverez@gmail.com>
  * Added line width option to charts

2009-04-07 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Improved 'Update all accounts' functionality to require less user activity

2009-04-05 Alvaro Soliverez <asoliverez@gmail.com>
  * Initialize report type value when loading a custom report

2009-04-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated French translation from Patrick Petit

2009-04-04 Alvaro Soliverez <asoliverez@gmail.com>
  * Handle invalid chart types of reports in a graceful manner
  * Show only investments accounts in the account selector 
    of Investment View, including when the investment account is
    a subaccount
  * In the account selector, disable a parent account if it does not
    match the required type

2009-04-04 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Speedup loading of large files when filename is passed on command line

2009-04-03 Alvaro Soliverez <asoliverez@gmail.com>
  * Reverted previous commit because some accounts are not showing 

2009-04-02 Alvaro Soliverez <asoliverez@gmail.com>
  * Show only investments accounts in the account selector 
    of Investment View

2009-04-02 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Preset payee name with the previous one used for a new transaction

2009-04-01 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Enable OFX plugin by default

2009-03-31 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed the text filter when it does not contain a text and 
    the main split matches that but a split does not
  * Updated user documentation - submitted by John Hudson

2009-03-28 Alvaro Soliverez <asoliverez@gmail.com>
  * Updated user documentation - submitted by John Hudson
  * Further improvements of text filter
  * Updated Spanish translation
  * Updated Argentinian translation

2009-03-30 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Further improvements of text filter

2009-03-28 Alvaro Soliverez <asoliverez@gmail.com>
  * Updated user documentation - submitted by John Hudson

2009-03-28 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added MyMoneyFile::referencesClosedAccount() methods

2009-03-26 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed Net Worth Today report to show current date's balance 
    instead of end of the month -- bug #2714063
  * Updated Argentinian translation - Provided by Sergio Minini

2009-03-25 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added patch from Cristian Onet (payees_view.patch)
  * Fixed resize problem of splitter in payees view
  * Added persistency to the splitter settings
  * Added patch from Cristian Onet (plugins_settings.patch)
  * Added missing desktop items to OFX plugin

2009-03-23 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed balance problem with DB backend
  * Updated .desktop files with Romanian entries from Cristian Onet

2009-03-22 Fernando Vilas <fvilas@iname.com>
  * Fixed bug in transaction date filter for db

2009-03-21 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Resolved some compiler warnings

2009-03-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Also reload OFX bank information files during setup if their
    size is less than 1024 bytes

2009-03-17 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed month-by-month budget report when fiscal year starts in a month other than January

2009-03-16 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed text matching bug in transaction reports when splits are displayed
    on its own, eg Transactions by Category reports
  * Updated Spanish translation
  * Updated Argentinian translation

2009-03-14 Alvaro Soliverez <asoliverez@gmail.com>
  * Added Investment Moving Average Price Graph

2009-03-11 Fernando Vilas <fvilas@iname.com>
  * Removed redundant QString ctor calls in db code
  * Fixed several warnings in db code
  * db now remembers online banking KVPs

2009-03-11 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed overflow error in Total Rows of CashFlow Summary
  * Fixed overflow error in Total Rows of Assets and Liabilities Summary
  * Fixed currency conversion error in Budget reports

2009-03-11 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added patch by Holger
    0001-Added-build-types-Debug-Debugfull-Profile.patch

2009-03-09 Alvaro Soliverez <asoliverez@gmail.com>
  * Added Investment Price Graph
  * Added patch by Holger: 
    0002-turned-bullets-off-and-simplified-the-chart-class-a.patch
  * Updated Spanish translation

2009-03-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added option to skip stripping of online price info data

2009-03-08 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Dim update button if plugin status changed
  * Added selection combo to negate text filter (not persistant yet)
  * Use standard buttons for filter dialog
  * Added patches by Holger:
    0001-moved-calculateAutoLoan-to-MyMoneyForecast.patch
    0002-Bugfixes-and-Preparation-for-cleaner-library-builds.patch
    0003-Fixed-last-patch.patch
    0004-OnMouseOver-in-Charts_NEW.patch
    typo-in-0001-0003.patch
    0001-added-fPIC.patch
  * Show online balance for liability accounts in register as positive amount

2009-03-08 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed Forecast reports when start date is after current date
  * Fixed Budget reports for monthly budget of foreign currency categories

2009-03-03 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added patch provided by Holger (0001-USE_QT_DESIGNER-Version-number-and-minor-fixes.patch)

2009-03-02 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added patch provided by Colin Wright (briefscheduleskipiconanddisable.diff)

2009-03-01 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Return valid value from  PivotGrid::rowSet(QString id)
  * Added patch provided by Colin Wright (schedulecalendarskipbutton.diff)
  * Fixed a few button icons

2009-02-27 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added option 'Match names from start'
  * Fixed spelling of principal in account templates
  * Added splitter to payees view

2009-02-25 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added patch provided by Colin Wright (editcompoundoccurence.diff)
  * Fixed connection for edit widget signal in schedule editor

2009-02-24 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated README.ofx
  * Released 0.9.3

2009-02-23 Robert Wadley <robntina@users.sourceforge.net>
  * Updated Summary view style.
  * Updated "What's new" page for upcoming release

2009-02-23 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed register column resizing algorithm
  * Show database options in File menu

2009-02-22 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Load addressbook for new user wizard in background
  * Fixed bko#185212 (Default year prefix)

2009-02-21 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Load data for account template widget in the background
  * Added patch provided by Colin Wright (fix3months_removefq_occurencePeriodToString.diff)

2009-02-20 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added patch provided by Holger
    (0001-cmake-QtSqlite-and-small-tweaks.patch)
    (0002-Installation-Versioning-and-Documentation-improvem.patch)

2009-02-19 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated regular expression for Financial Express price source

2009-02-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed problem in case additional fees for loans referenced another
    asset or liability account
  * Fixed bko#118285 (kmymoney online quotes are cached by KDE)
  * Assigned icons to dialog buttons

2009-02-17 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed creation of unique bankID in MyMoneyStatementReader per statement
  * Fixed unnecessary popup of dialog box in payees view
  * Fixed calculator widget to use same decimal symbol as edit widget
  * Fixed #1962055 (Crash in case AqBanking failed) Fix also requires
    an updated KBanking package

2009-02-16 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed some issues around modification of addtional loan fees
  * Removed Makefile.in
  * Added patch provided by Colin Wright (stringToOccurence.diff)
  * Added patches provided by Holger
    (0001--non-fancy-sqlite3-support.patch,
     0002-make-install-and-make-kmymoney-unstable_rpm.patch,
     0003-added-fancy-qsqlite3-support.patch)
  * Removed Makefile
  * Added updated Russian default account template from Andrey Cherepanov
  * Renamed ru_SU into ru_RU for templates
  * Change tab between deposit/withdrawal if sign of amount changes

2009-02-15 Alvaro Soliverez <asoliverez@gmail.com>
  * Updated Spanish translation

2009-02-14 Alvaro Soliverez <asoliverez@gmail.com>
  * Added Argentinian account templates
  * Fixed typos in Spanish templates

2009-02-14 Thomas Baumgart <ipwizard@users.sourceforge.net>
  - Happy Valentine's Day
  * Added patch provided by Colin Wright (oops.diff)
  * Added testcase for the above correction
  * Pass on plugin name to createInstanceFromLibrary()
  * Use const reference for getters in plugin info object

2009-02-13 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added patch provided by Cristian Onet (patch_plugins.patch)

    !!!!FILE FORMAT CHANGE!!!! The previous change causes the file format
    to change slightly. Be prepared, that schedules may show wrong
    payment periods when loaded in earlier versions of the program.

2009-02-13 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added patch provided by Colin Wright (use_compoundOccurence.diff)

2009-02-11 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Reverted parts of yesterdays patch
  * Added patch provided by Colin Wright (addHalfMonths.diff)
  * Added contrib subdirectory
  * Fixed typos also in .pot and in .po files

2009-02-11 Alvaro Soliverez <asoliverez@gmail.com>
  * Updated Argentinian translation
  * Fixed typos in kmymoneygpgconfigdecl.ui and ksettingsgpgdecl.ui

2009-02-10 Alvaro Soliverez <asoliverez@gmail.com>
  * Updated Argentinian translation
  * Do not show investments accounts in detailAll charts

2009-02-10 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added patch provided by Colin Wright (use_occurencePeriod.diff)
  * Added "don't ask again" feature to balance warning dialog

2009-02-09 Fernando Vilas <fvilas@iname.com>
  * Fixed date calculation in SQL that was missed in my last patch
  * Speed improvement in readSplit()

2009-02-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added patch provided by Colin Wright (schedules_multiplier_prep.diff)
  * Remove link to payee from second split if name is removed from transaction

2009-02-08 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Italian translation from Vincenzo Reale
  * Updated Brazilian translation from Marcus Gama
  * Fixed French translation
  * Updated Galician translation from Marce Villarino

2009-02-07 Alvaro Soliverez <asoliverez@gmail.com>
  * Updated translation documentation to merge outdated po files
  * Updated Spanish translation
  * Updated Argentinian translation

2009-02-07 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a sign issue with investment sell/buy imports from OFX
  * Allow higher precision for price and share information from OFX
  * Updated translations for de, pt and fr

2009-02-06 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed Balance After calculation in Home Page Payments
  * Fixed one-time schedules duplicating in Home Page Payments

2009-02-06 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed CMake based build system (still not 100% compatible w/ autotools)
  * Fixed auto detection of variable sizes for CMake based build system
  * Fixed some more CMake related things (mostly cleanup)
  * Added missing files
  * Fixed typos in two messsages

2009-02-05 Alvaro Soliverez <asoliverez@gmail.com>
  * Updated Spanish translation

2009-02-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added update for CMake build environment (a bit broken for me atm)

2009-02-04 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added trace functionality to HTTPS connections for OFX

2009-02-04 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed loan amortization calculation on reports when there
    are multiple amortization splits

2009-02-03 Alvaro Soliverez <asoliverez@gmail.com>
  * Updated Spanish translation

2009-02-03 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Show correct amount for multi-currency schedules
  * Updated Portuguese translation from José Jorge
  * Added home_pt.html from José Jorge
  * Fixed #2558627 (Account entry widget mess about splits)
  * Updated Romanian translation by Cristian Onet
  * Fixed an OFX issue when the bank_id field was not filled

2009-02-02 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Removed dependancy to libxml2-devel

2009-02-02 Alvaro Soliverez <asoliverez@gmail.com>
  * Updated Spanish translation

2009-02-01 Alvaro Soliverez <asoliverez@gmail.com>
  * Code cleanup of calculateAutoLoan in kmymoneyutils
  * Added interestSplit method to MyMoneyTransaction
  * Added isInterestSplit method to MyMoneySplit

2009-02-01 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added patch provided by Colin Wright (occurenceToString.diff)
  * Regenerated POT file and merged all PO files
  * Updated German translation

2009-01-31 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed loan interest calculation in pivot reports when the loan
    account is not included in the report - #2541605

2009-01-31 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added #2551345 (Maintain geometry of split transaction editor
  * Added #2551417 (Deletion of the zero-value split records)
  * Added #2551242 (ENTER focus to next split if is is already defined)
  * Added patch provided by Colin Wright (halfmonth_200901241601.diff)

2009-01-30 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed loan calculation when the loan account itself is not
    part of the report. More work needed on that area

2009-01-30 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Allow overriding header version for OFX requests

2009-01-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added icon to close button of balance chart dialog

2009-01-28 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added merge button to split transaction dialog (#2538561)
  * Improved path detection for QT in sqlite.m4

2009-01-27 Alvaro Soliverez <asoliverez@gmail.com>
  * Patch provided by Thomas Baumgart to show currency conversion
    dialog when entering schedules involving foreign currencies
  * Fixed schedule forecast calculation - bug #2507699

2009-01-26 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Anonymize budget values while saving as anonymized file

2009-01-25 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Removed dependency to libcurl and libxml++ from OFX plugin

2009-01-24 Fernando Vilas <fvilas@iname.com>
  * Reworked balance calculations
  * Standardized date and MyMoneyMoney formatted storage
  * Fixed date calculations to work with SQLite
  * Added (commented) code to support future MMSchedule KVP.

2009-01-24 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed #2530475 (Calculator (Value entry widget) bug!)
  * Updated French translation from Patrick Petit

2009-01-23 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added 'Force SSLv3' switch to OFX banking setup wizard
  * Removed some unused files

2009-01-22 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Applied patch provided by Colin Wright to clean up schedule frequencies

2009-01-19 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed sqlite detection problems with older autoconf versions

2009-01-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed problems reported by Doxygen

2009-01-17 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added Quicken 2004 and Quicken 2003 to the OFX plugin

2009-01-16 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Use KDE locale setting for date format in report subtitles
  * Collect all statement reports and show them together in a single window
  * Automatically detect mapped acount during OFX statement download
  * Show the transaction selection dialog for autofill even if there
    is only a single matching transaction
  * Show warning if user wants to map a brokerage account to an online account
  * Added icons to buttons on plugin selection dialog

2009-01-12 Alvaro Soliverez <asoliverez@gmail.com>
  * Added missing include in kguiutils.cpp
  * Added date to pivot reports subtitle
  * Added date to transaction reports subtitle

2009-01-14 Tony Bloomfield <gandalf1189@users.sourceforge.net>
  * Fix #2248020 - Allow passworded databases
  * Remove redundant code
  * Update database documentation

2009-01-14 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Improved OFX logging during setup
  * Fixed layout for select database dialog
  * Fixed slot for OK button in select database dialog
  * Fixed translation issue
  * Fixed MyMoneyMoney formatting problem with precision -1 that caused
    14.04 to be shown as 14.4
  * Added testcase for this problem
  * Removed const qualifier from formatMoney() returnvalue

2009-01-13 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixes to the build system (make distcheck did not work due
    to the changes for SQLITE3 support)

2009-01-12 Alvaro Soliverez <asoliverez@gmail.com>
  * Added CashFlow Report

2009-01-11 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Romanian translation by Cristian Onet
  * Added QT SQLITE3 support from
    http://www.kde-apps.org/content/show.php/qt-sqlite3?content=23011
    to the build system
  * Building OFX support is now automatic if required libs are installed
  * Allow arbitrary precision interest rates for loan accounts
  * Fixed a bunch of warnings

2009-01-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Refactored the usage of the 'Private * d' construct

2009-01-08 Alvaro Soliverez <asoliverez@gmail.com>
  * Added chart detail setting to forecast view
  * Fixed sign of expected liabilities on cash flow summary
  * Cleaned old code in querytable.cpp

2009-01-08 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated German translation

2009-01-07 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added Finnish translation from Raimo Ikonen
  * Regenerated POT file and merged all PO files

2009-01-06 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Allow to load details for new investments if same security is used

2009-01-05 Alvaro Soliverez <asoliverez@gmail.com>
  * Added chart to forecast view

2009-01-04 Tony Bloomfield <gandalf1189@users.sourceforge.net>
  * Fix # 2217233 - Add option to import GnuCash notes as memos

2009-01-04 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added display of number of splits in file info dialog

2009-01-01 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * We welcome Slovakia as a new member of the Eurozone
    (http://en.wikipedia.org/wiki/Eurozone)

2008-12-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Make menu item 'File information' available if build w/o debug support
  * Added differentiation between QIF bank statement and QIF application import

2008-12-29 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Import GnuCash notes as transaction memo

2008-12-27 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Don't include invalid account types in split editor account selection

2008-12-25 Alvaro Soliverez <asoliverez@gmail.com>
  * Added moving average to report charts
  * Cleanup of the charts code
  * Added configuration of moving average days
  * Added Moving Average vs Actual report

2008-12-23 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added testcases for the loader functions in MyMoneySeqAccessMgr
  * Fixed last id detection in loader functions

2008-12-21 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed an uninitialized variable bug in the QIF importer
  * Improved const-ness passing of parameters in Gnc importer
  * Use QString for ids rather than QCString

2008-12-20 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Assign base currency to account if none is present during creation

2008-12-19 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Show different intro when editing an investment with the wizard

2008-12-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Reworked matching logic so that in case of multiple payees match,
    the one with the largest match is taken. This returns the name
    matching to the 'old' functionality of partial matching.

2008-12-17 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed MyMoneyQifProfile::possibleDateFormats so that it
    always delivers at least one possible format

2008-12-15 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed display of total rows in charts

2008-12-15 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added OFX trace functionality

2008-12-14 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Czech translation from Marek Stopka
  * Removed blank in front of synopsis
  * Added mandatory price entry for new foreign account
  * Added online quote button to new account wizard

2008-12-14 Alvaro Soliverez <asoliverez@gmail.com>
  * Added moving average reports for investments
  * Fixed crash in forecast view when displaying stock in foreign currency

2008-12-12 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * More changes to the QIF importer

2008-12-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Don't discard final line during QIF import if it does not contain a LF
  * Categories don't override account information during QIF import
  * Don't create duplicate opening balance transaction if same file
    is imported more than once. Present a warning if amount differs and let
    the user manually correct it.
  * Mark imported opening balance transactions as imported (diff. background)
  * Fixed QIF Buy/Sell action if given an account but not BuyX/SellX action
  * Enhanced price recording such that security can also be referenced
    by name by the importer

2008-12-08 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed some print issues in the CSS file
  * Fixed some more QIF importer and statement reader problems
  * Fixed payee matching for name matching mode

2008-12-07 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added more debug output to statement reader
  * Added patch provided from Greg Darke to add more settings to OFX plugin

2008-12-04 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added support for manual OFX configuration
  * Fixed a sign problem when importing investment sales transations via QIF
  * The transaction matcher now uses transaction matching on the same date
    in favor over those that match on different dates.
  * More fixes to the QIF importer

2008-12-03 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed some more QIF importer problems

2008-12-02 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Remove transfers to/from investment accounts in split transactions
    during QIF import

2008-12-01 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed createBudget forecast unit tests to check dates correctly

2008-12-01 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Revisited fix for bko #175949. Using the tab directly to create
    a new transaction did not honor the pressed tab
  * Updated Czech translation from Marek Stopka

2008-11-30 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Use QT_LDFLAGS and X_LDFLAGS when building the widget library
  * Keep position of schedule view if item was deleted

2008-11-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Improved QIF date format detection
  * Detect dividend transactions as investment transactions even if they
    don't have a reference to a stock account

2008-11-28 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Don't create multiple payees if the name contains meta characters
    of regular expression (e.g. parans)
  * Fixed bko #176316 (kmymoney2 crashes when right clicking in a
    categories tax-editing area)

2008-11-27 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * A merged transaction has precedence over an imported transaction
    in the ledger
  * Fixed more QIF importer issues
  * If an imported transaction is also matched, then accepting the 
    transaction will remove both flags at once
  * Allow asset/liability accounts to receive VAT splits

2008-11-26 Alvaro Soliverez <asoliverez@gmail.com>
  * Sort accounts by name in home page forecast

2008-11-25 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed starting balance price in investment performance report

2008-11-24 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Store multiple XML statement files for QIF import (debug feature)
  * Fixed bko #175949 ('New' transaction does not honor the selected tab)
  * Improved detection of existing accounts in QIF importer

2008-11-22 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Reworked QIF import with lots of improvements (incl. patches from
    Allan Anderson)
    Needs thorough testing and a lot of code cleanup
  * Adapted statement reader to work with new QIF importer
  * Allow dividend payments w/o reference to security
  * Renamed a bunch of i18n-ed html files
  * Display correct number of prices in file info dialog

2008-11-22 Fernando Vilas <fvilas@iname.com>
  * Added db index from user manual to schema
  * Fixed db not logging out when KMM closes (fixes open warning annoyance)
  * Fixed transactions query to properly ignore schedule splits (fixes
    calculations on homepage)

2008-11-09 Alvaro Soliverez <asoliverez@gmail.com>
  * Prevent user from selecting an inconsistent column type for budgets

2008-11-15 Fernando Vilas <fvilas@iname.com>
  * Updated SQLite driver detection to work with Qt3 and Qt4. Patch from Tony
  Bloomfield

2008-11-12 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated simplified Chinese translation by Roy Qu

2008-11-09 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed budget reports when using non-monthly columns

2008-11-08 Alvaro Soliverez <asoliverez@gmail.com>
  * Added summary to budget in Home Page
  * Added gaps to tables in Home Page

2008-11-08 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added new homepage html file from mvillarino

2008-11-05 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed price calculation in investment performance report

2008-11-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Dutch translation from Bert Keuter
  * Added support for imperial prices to MyMoneyMoney ctor
  * Added testcase for the above

2008-11-04 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed budget reports when month-by-month are displayed
    for non-monthly columns
  * Fixed Cashflow summary schedules when multiple occurences
    happen during the month
  * Added properties initialization to MyMoneyForecast constructor

2008-11-02 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added patch provided by Cristian Onet which fixes a
    crash in the the accounts icon view
  * Ensure unique IDs within the same statement downloaded
  * Removed unnecessary code

2008-10-31 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed http://bugs.kde.org/show_bug.cgi?id=173908

2008-10-30 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Changed "Ok" --> "OK"
  * Use KStdGuiItem where appropriate
  * Fixed placement of search bar in payees view
  * Fixed http://bugs.kde.org/show_bug.cgi?id=173907

2008-10-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added signal transactionsSelected() to plugins' viewinterface
  * Added signal accountReconciled to plugins' viewinterface
  * Updated Romanian translation from Cristian Onet

2008-10-28 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed Forecast unit test

2008-10-28 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Romanian translation from Cristian Onet
  * Added patch by Cristian Onet to solve a ledger sorting problem

2008-10-27 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed sign problem in display of loan information when
    sum of additional fees was negative
  * Added information when turning on GPG encryption mode
  * Added option to turn off title bar of the views

2008-10-26 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed Budget reports when columns longer than a month
  * Added Linear Regression method to Forecast History Methods

2008-10-26 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Italian translation from Vincenzo Reale
  * Added patch by Cristian Onet to fix statement marker problem

2008-10-24 Robert Wadley <robntina@users.sourceforge.net>
  * Fixed some issues with the html when kmm is used on wide screens
    and other small fixes.

2008-10-22 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Make sure to show the correct balance in the ledger view if no
    transactions are displayed

2008-10-20 Alvaro Soliverez <asoliverez@gmail.com>
  * Added default report Income and Expenses By Year

2008-10-19 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated French translation from Patrick Petit

2008-10-19 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed multi currency calculation of transaction reports
  * Fixed spelling mistake in Home View
  * Changed current Summary to Assets and Liabilities Summary

2008-10-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a problem during online price update when neither the security
    nor the currency is the base currency
  * Show all categories in both selectors during reconciliation start

2008-10-18 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed calculation of assets and liabilities in CashFlow summary

2008-10-17 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Update total field when changing a budget
  * Fixed sign problem when postponing reconciliation of liability accounts

2008-10-15 Alvaro Soliverez <asoliverez@gmail.com>
  * Updated Brazilian Portuguese translation by Marcus Gama
  * Updated Galician translation by Marcelino Villarino

2008-10-13 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed some Krazy warnings in forecast
  * Added CashFlow Summary to Home Page
  * Fixed Schedule calculation in CashFlow Summary

2008-10-09 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed balance of general information reports when converting to
    base currency

2008-10-07 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed calculation of forecast for stocks which caused an overflow
    of MyMoneyMoney members

2008-10-07 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Dutch translation from Bert Keuter
  * Added feature to update all online accounts at once
  * Dump some more values
  * Fix problem with duplicate dividend transactions

2008-10-06 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Portuguese translation from José Jorge

2008-10-05 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed multi currency calculation for incomes and expenses in the summary
  * Updated Spanish translation

2008-10-04 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Dutch translation from Bert Keuter
  * Tranport price in imported transaction
  * Detect previously used fee and dividend categories while importing
    investment statements
  * Added Romanian HTML files from Cristian Onet
  * Fixed failing translation of strings containing an ampersand
    character to identify the keyboard shortcut
  * Regenerated POT file and merged PO files

2008-10-03 Fernando Vilas <fvilas@iname.com>
  * Allow SQLite databases to upgrade

2008-10-03 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added 'Ignore' and 'Skip' buttons to EnterSchedule dialog and show
    them during reconciliation start and auto entry during appl startup
  * Move icon draw logic from StdTransaction to Transaction to have it
    for investment transactions as well
  * Display imported investment transaction with the correct background
  * Updated French translation from Patrick Petit

2008-10-02 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Show correct message if statement balance is not included in statement

2008-09-30  Wolfgang Rohdewald <wolfgang@rohdewald.de>
  * fix valgrind warning about conditional jump depending on
    uninitialized variable

2008-09-30 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Brazilian translation from Marcus Gama
  * Make sure to update local variables from engine after chanages
  * Removed unused variables

2008-09-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Assign id to budget accountgroup if missing or different
  * Updated french what's new page from Patrick Petit

2008-09-28 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added Romanian account templates from Onet Cristian

2008-09-27 Fernando Vilas <fvilas@iname.com>
  * Implemented patch for occurrenceMultiplier in schedules
    provided by Colin Wright
  * Added db upgrade path to support the above patch

2008-09-26 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Italian what's new file provided by Vincenzo Reale

2008-09-25 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a problem with schedule preview in ledger if end of schedule
    falls into preview period. This could cause a lockup of the application.
  * Show cleared transactions during reconciliation in a dimmed fashion
  * Updated Romanian translation by Chrstian Onet

2008-09-22 Alvaro Soliverez <asoliverez@gmail.com>
  * Added blank column to Summary
  * Added missing file for Home Settings

2008-09-22 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed some typos in German translation, shortened a few strings

2008-09-21 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added option to select most often used transaction for autofill

2008-09-21 Alvaro Soliverez <asoliverez@gmail.com>
  * Added setting to hide limit column on Home page

2008-09-20 Alvaro Soliverez <asoliverez@gmail.com>
  * Show closed accounts in reports and find transactions dialog
    if the user has chosen to do so
  * Changed the order and rearranged the tables of Summary
  * Fix the style divs provided by Robert Wadley

2008-09-16 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a transaction matcher issue with similar transactions

2008-09-15 Alvaro Soliverez <asoliverez@gmail.com>
  * Convert fractions in KMyMoneyAccountTreeForecastItem to make
    sure it does not overflow when handling multiple currencies
  * Reinitialize m_forecast in Home Page on change

2008-09-14 Alvaro Soliverez <asoliverez@gmail.com>
  * Added generic code in PivotTable to support multiple
    columns while preventing duplication of code

2008-09-12 Fernando Vilas <fvilas@iname.com>
  * Updated MMStorageSql to throw MyMoneyExceptions

2008-09-12 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed sign problem with paid dividends
  * Updated German Whats New page
  * Updated Portuguese translation as provided by Jose Jorge
  * Updated French Whats New page
  * Released 0.9.2

2008-09-11 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed calculation of paid dividends for return of investment
  * Updated Spanish Whats New page

2008-09-10 Robert Wadley <robntina@users.sourceforge.net>
  * Updated the "whats new in this release" page.

2008-09-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added skip icon for schedules to home view
  * Moved icons in front of schedule names
  * Added tooltips to the icons and schedule links
  * Fixed bug in transaction matcher when two or more identical transactions
    are carried out on the same day and are manually entered already.

2008-09-08 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed edit loan wizard to keep changes made to interest rate

2008-09-07 Alvaro Soliverez <asoliverez@gmail.com>
  * Added Budget, Budget Difference and Forecast to exported
    report CSV

2008-09-07 Fernando Vilas <fvilas@iname.com>
  * Fixed primary key error when adding first items to database
  * More database documentation updates
  * Added simple test cases for budgets
  * Fixed budget test cases for the case when a database is not installed

2008-09-07 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Display information why Financial Summary link is not working

2008-09-06 Alvaro Soliverez <asoliverez@gmail.com>
  * Changed internal structure of PivotGrid to work as a QValueList
  * Modified PivotTable and unit tests to accomodate to the new PivotGrid
    design
  * Implemented new methods for drawing charts by level and avoid duplicating
    code

2008-09-06 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed Wolfgang's modification

2008-09-06  Wolfgang Rohdewald <wolfgang@rohdewald.de>
  * Show the file name in the passphrase dialog

2008-09-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Don't remove statement marker if it's the last entry in the ledger
  * Don't present balance warnings when entering schedules that will be matched
  * Check 'Type' keyword in QIF case independant
  * Updated German translation

2008-09-04 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Initial code for drag and drop for attachments (not functional yet)
  * Added documentation update provided by Colin Wright
  * Updated screen shots for documentation of new account wizard
    as received in patch #2038235

2008-09-02 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Prevent numeric overflow when calculating value of
    stocks traded in different currency
  * Delete StatementKey during account unmap
  * Show last online balance in ledger
  * Added Debian/Ubuntu specifc build instructions to README
  * Improved sorting in ledger for items with same post date
  * Don't allow create schedule option for investment accounts

2008-09-01 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a false popup dialog when editing a schedule from within the ledger
  * Added name based detection of brokerage account to QIF Importer and
    statement reader
  * Preset statement balance to autoCalc to be able to detect if the
    balance was filled in by the importer/online module
  * Don't remove account from selector if it has children. Rather make
    it not selectable
  * Fix sortorder of scheduled and non-scheduled transactions in
    ledger when they have the same post date

2008-08-31 Alvaro Soliverez <asoliverez@gmail.com>
  * Added settings to exclude future or scheduled-transactions from forecast

2008-08-31 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added Romanian translation provided by Cristian One
  * Regenerated POT file
  * Merged message files

2008-08-30 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Don't show overdue payments in the past

2008-08-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Reset the last payment date when duplicating a transaction

2008-08-28 Alvaro Soliverez <asoliverez@gmail.com>
  * Added Spanish translation of Home and Whats New pages

2008-08-28 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added functionality to wizard's help button
  * Set standard context for new file setup
  * Disabled warning about deprecated fileformat of version 0.4

2008-08-27 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Don't select scheduled transactions during Ctrl+A processing
  * Wrap networth graph on homepage into frame
  * Reload widget when delting splits in the split editor
  * Updated Italian translation from Vincenzo Reale

2008-08-25 Alvaro Soliverez <asoliverez@gmail.com>
  * Changed styles of Home Page - Patch provided by David Houlden

2008-08-26 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a problem with syncing the hierarchy tab in the account edit dialog
  * Added possibility to select scheduled transaction in register and
    open the schedule context menu for them

2008-08-25 Alvaro Soliverez <asoliverez@gmail.com>
  * Reload forecast on Home Page when file is changed
  * Set the title of legend on report charts

2008-08-25 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Allow direct editing and entering of schedules from Home page
  * Don't allow deletion of transactions referencing closed accounts
  * Fixed endless loop in transaction preview for one time schedules

2008-08-24 Fernando Vilas <fvilas@iname.com>
  * Updated OCI values in db code based on comments from Colin Wright.
    (Untested)
  * Removed some unused db code.
  * Changed closing behavior of db to make it less likely to remain open.
    (More to come on this one.)

2008-08-24 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed format of value and column name in Account Info Reports
  * Fixed display of AutoCalc values in Schedule Info Reports
  * Do not show closed account in Loan Info Reports
  * Fixed display of value in Schedule Reports
  * Fixed initialization of PivotCell to check m_cellUsed - #2070446
  * Added a flag to MyMoneyForecast to tell when forecast is done
  * Added forecast balance after payments to Home Page
  * Changed alignment of totals on Summary

2008-08-24 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed sign of equity balance in accounts and ledger view
  * Fixed some stuff in the anonymous file writer

2008-08-23 Alvaro Soliverez <asoliverez@gmail.com>
  * Added borders to tables on Home Page
  * Fixed alignment on Home Page
  * Use the currency symbol rather than the name in Information reports
  * Don't display closed accounts in Account Information reports
  * Show balance of subaccounts of an investment in account information
  * Show 'next due date' only in the first row of the schedule information
    report
  * Changed style of intermediate column in Summary - patch provided by
    David Houlden
  * Code cleanup in budget forecast tree
  * Fixed html tag in Summary - patch provided by David Houlden

2008-08-23 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Store name of new file in 'recent files' list

2008-08-22 Alvaro Soliverez <asoliverez@gmail.com>
  * Add type of Information Reports when reading and writing reports
  * Fixed style of report column headers
  * Added account to payments on Home Page

2008-08-22 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Turn off internal memory leak checker by default
  * Added option to display scheduled transactions in ledger
  * Don't allow creation of transactions in closed accounts
  * Got rid of 'type qualifiers ignored on function return type' warning
  * Use occurenceToString() from MyMoneySchedule instead of KMyMoneyUtils
  * Disable the split button of the category until the account is known
  * Don't keep elements from file that are not properly read
  * Fixed a problem with the investment value display in the ledger view

2008-08-21 Alvaro Soliverez <asoliverez@gmail.com>
  * Branches of forecast trees now show the total of subaccounts if closed, 
    and revert if opened
  * Fixed running sum of schedule-based forecast when creating a budget -
    Reported by Marko Käning

2008-08-21 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Allow creation of Equity additional accounts
  * Allow editing transactions in Equity accounts
  * Renamed TransactionMatcher::scheduledTransaction() into
    KMyMoneyUtils::scheduledTransaction()

2008-08-20 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Be somewhat relaxed when searching an account based on information
    provided by online banking providers

2008-08-19 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added web price quote for Financial Express as provided by P. Hargreaves
  * Fixed crash on shift-select

2008-08-19 Alvaro Soliverez <asoliverez@gmail.com>
  * Make branches in forecast trees open by default

2008-08-18 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed styles in Home Page. Reported by Pallavi Damera.

2008-08-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Don't allow creation of transactions when no account is selected
  * Allow application override before initial OFX connection with bank
  * Fixed a duplicate i18n call as pointed out by Alexander Kireev
  * Reduced min height of the KAccountTemplateSelector widget
  * Don't allow online account update if provider is not present

2008-08-17 Alvaro Soliverez <asoliverez@gmail.com>
  * Added style to headers in Home Page. Reported by Pallavi Damera.
  * Added hierarchy to summary and detail forecast. Accounts are now shown
    even if not in the forecast when child accounts are in forecast.
  * Changed budget forecast to be shown in a tree

2008-08-17 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Actually use override value for OFX app id and version
  * Don't allow override for libOFX < 0.9

2008-08-16 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed schedule loader to not forget data about finished items
  * Removed extranous EXTRA_DIST entry in templates
  * Fixed precedence of multiplication over addition in calculator widget
  * Show the error message provided by the bank when importing an OFX file

2008-08-16 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed Forecast Summary. The tree was being shown in a different tab.

2008-08-15 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added application override to OFX plugin
  * Added search filter to GUI of OFX institution setup wizard

2008-08-14 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Fix sqlite logout problem

2008-08-14  Wolfgang Rohdewald <wolfgang@rohdewald.de>
  * globally catch all uncaught kmymoney exceptions

2008-08-14 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Improvement for fix of #1866881: keep focus item
  * Applied patch provided by Alexis Lahouze
  * Fixed testcases
  * Added status display for statement import
  * Keep changes to category when changing parent account in same edit session

2008-08-13 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed endless loop when canceling the entry of a schedule during
    reconciliation startup
  * Make sure to have the current selected split as first split in the schedule
  * Fixed #1866881 (Show Transaction Detail:scroll view to current record)

2008-08-11 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed consistency check to modify share instead of value field if they
    have to contain equal values.
  * Updated Brazilian translation from Marcus Gama
  * Updated Simplified Chinese translation from Roy Qu
  * Fixed a payee assignment and display problem with schedules

2008-08-09 Alvaro Soliverez <asoliverez@gmail.com>
  * Forecast Summary and Detail are shown in a tree
  * Code cleanup in KForecastView
  * Added method to show negative numbers in red to
    KMyMoneyAccountTreeBaseItem

2008-08-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated German translation provided by yllohy
  * Fixed reload of accounts and categories view after changes when
    a quick filter was active

2008-08-08 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Allow entering of overdue schedules before reconciliation

2008-08-06 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed payee matching (was a bit broken by change on 2008-08-03)
  * Added MyMoneySeqAccessMgr::m_priceList to transaction based handling
  * Modified testcases to accompany the above change
  * Updated Portuguese translation by José Jorge

2008-08-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added logic to remove payees that were created during statement
    import but are unused.

2008-08-04 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Allow to move transactions to different category in category ledger
  * Updated pot file and merged into message files
  * Fixed override for account type during OFX statement requests
  * Added feature to unmap an online account

2008-08-03 Alvaro Soliverez <asoliverez@gmail.com>
  * Cleaned code in forecast and reports
  * Added check in QueryTable to prevent infinite loops in cases
    of splits data inconsistency

2008-08-03 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Removed override for OFX money market accounts for LibOFX 0.8
  * Use the payee as stored with a manually entered transaction in
    favor of the imported transaction after matching
  * If the manually transaction does not have a payee assigned
    use the one found in the imported transaction
  * If multiple payees match use the one that is found most often
    in the account that is imported

2008-08-02 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Avoid sending out dataChanged() signal when no changes were
    made to the data but a transaction ends.

2008-08-01 Alvaro Soliverez <asoliverez@gmail.com>
  * Added link to ledger to budget overruns in home page

2008-08-01 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed OFX override for LibOFX 0.8
  * Renamed MyMoneyTransactionFilter::untilToday
    into MyMoneyTransactionFilter::asOfToday
  * Added patch provided by Colin Wright

2008-07-31 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Include transactions with the same date as the statement date
    in reconciliation
  * Show information about deposits and payments during reconciliation
  * Added OFX override for money market accounts

2008-07-30 Alvaro Soliverez <asoliverez@gmail.com>
  * Updated Argentinian translation
  * Added report of transactions by reconciliation status
  * Fixed order of schedules info report
  * Fixed grouping of account and loan info reports
  * Removed category column of schedule summary info report 
    - Patch provided by Marko Käning
  * Fixed interest rate in loan info report

2008-07-30 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Respect preferred account setting from new account wizard
  * Updated French translation from Patrick Petit
  * Added patch provided by Alexis Lahouze with small modifications
  * Added StatementGroupMarker object

2008-07-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed reload of payees and schedule view after changes when
    a quick filter was active
  * Added transaction matcher for schedules
  * Cleanup statement reader call in application
  * Catch exception thrown by user abort during import

2008-07-28 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed balance column in info reports
  * Changed schedule info report to sort by next due date

2008-07-27 Alvaro Soliverez <asoliverez@gmail.com>
  * Added report for loan information
  * Fixed duplicate column in account information report

2008-07-27 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated the online price update dialog and allow to quit out
    of the whole operation

2008-07-26 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Only create imported user once

2008-07-25 Fernando Vilas <fvilas@iname.com>
  * Fixed compilation issue from previous commit

2008-07-25 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Comment generation of request.ofx in OFX plugin
  * Added auto transaction matcher to statement reader
  * Added quick filter for matched transactions
  * Renamed a button in the new user wizard

2008-07-23 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed memo filter to schedule report
  * Added account information report

2008-07-23 Joerg Rodehueser <wampbier@users.sourceforge.net>
 * Did some code cleaning to avoid compiler warnings
 * Added the kdchar source to the cmake build
 * Added missing files to CMakeLists.txt

2008-07-23 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Escape special characters in payee names before adding to match list
  * Prevent crashes in MyMoneyMoney::price() in case m_shares is 0
    which it should not ever be
  * Code cleanup (performed after Joerg's above)

2008-07-22 Alvaro Soliverez <asoliverez@gmail.com>
  * Workaround to get price for starting balance in performance
    report even when there is no price
  * In performance report add splits without action to buy or sell

2008-07-22 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Automatically add copy of deleted payee names to match list of
    replacement payee 
  * Default payee matching to ignore case when first turned on

2008-07-21 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed investtransaction editor to work with newly created categories
    and securities

2008-07-20 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Renamed 'Amount' column in investment ledger to 'Quantity'
  * Fixed a compile problem with libofx < 0.9 being used
  * Show multiple accounts with the same name in account icon view
    as multiple icons
  * Fixed placement of calculator to make sure it's not outside the desktop

2008-07-19 Fernando Vilas <fvilas@iname.com>
  * Added db support for new file fix version
  * Fixed how file fix version is handled in db code
  * Fixed incorrect balance when a transaction zeroes an account
    in the db
  * Added db test case for adding a transaction to zero an account

2008-07-19 Alvaro Soliverez <asoliverez@gmail.com>
  * Replaced IRR with XIRR from KOffice by Sascha Pfau,
    modified to fit the way querytable works

2008-07-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated German translation from yllohy

2008-07-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added Turkish translation from Serdar Soytetir
  * Keep memo for category memos in sync with the one visible
  * Added code for autofix after load (but not yet active)
    Needs further testing, esp. with the database backend
  * Updated Italian translation from Vincenzo Reale

2008-07-16 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed text filtering of splits in transaction reports

2008-07-15 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed dependencies for some xxxToString() methods

2008-07-15 Fernando Vilas <fvilas@iname.com>
  * Added KVPs to splits in the db
  * Updated (some) documentation of db functions
  * Fixed MMInstitution to properly store KVP in the db

2008-07-15 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Italian translation from Vincenzo Reale
  * Added option to specify the default reconciliation state for
    transactions entered during reconciliation
  * Added capability to enter interest splits for a buy share transaction
  * Allow deletion of transactions even if the transaction carrying the focus
    is currently not selected
  * Added KVPs to MyMoneySplit
  * Don't write empty KVPs to the file
  * Added initial implementation of TransactionMatcher
  * Fixed MyMoneyTransaction::operator == to include the KVPs
  * Added some testcases for that
  * Try to avoid asking for an account if clear for which data is imported
    (tested for HBCI, not OFX)
  * No need for Fees in Reinvest Dividend transaction
  * Updated About KMyMoney info dialog

2008-07-14 Alvaro Soliverez <asoliverez@gmail.com>
  * Added missing classes to CVS
  * Added split information to Schedules report
  * Added Schedule report filter by account
  * Added new Schedule report without splits

2008-07-13 Alvaro Soliverez <asoliverez@gmail.com>
  * Removed AccountTypeToString method from PivotTable. Have it use
    KMyMoneyUtils method
  * Created ListTable to handle common method and data for QueryTable
    and ObjectInfoTable classes
  * Modified QueryTable test cases for the new class hierarchy

2008-07-12 Alvaro Soliverez <asoliverez@gmail.com>
  * Added report to list all schedules

2008-07-06 Fernando Vilas <fvilas@iname.com>
  * Fixed unit tests to be less annoying in the absence of a db
  * Fixed an error in the last db code commit

2008-07-04 Alvaro Soliverez <asoliverez@gmail.com>
  * Cleaned MyMoneyMoney objects init in KHomeView

2008-06-21 Fernando Vilas <fvilas@iname.com>
  * Added database unit test
  * Modified database code to pass unit test
  * Corrected some documentation in mymoneyfile.h

2008-06-29 Alvaro Soliverez <asoliverez@gmail.com>
  * Added some information to README file on how to compile and
    necessary packages

2008-06-24 Alvaro Soliverez <asoliverez@gmail.com>
  * Changed KMyMoneyFrequencyCombo to get the text from KMyMoneyUtils
    to avoid code duplication

2008-06-24 Alvaro Soliverez <asoliverez@gmail.com>
  * Implemented creation of budget based on scheduled and future
    transactions
  * Cleaned up schedule forecast code
  * Added unit test for scheduled forecast budget
  * Removed the dependency of occurenceToString of KMyMoneyFrequencyCombo

2008-06-17 Alvaro Soliverez <asoliverez@gmail.com>
  * In summary of the home page, show scheduled transfers
    on its own

2008-06-20 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed VPATH include problems
  * Fixed default order of account tree columns

2008-06-17 Alvaro Soliverez <asoliverez@gmail.com>
  * Modified layout of summary tab in forecast view

2008-06-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Pretend to be Quicken 2008 during OFX download

2008-06-17 Alvaro Soliverez <asoliverez@gmail.com>
  * In home page show maximum credit instead of minimum balance
    depending on account type

2008-06-17 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added patch supplied by Colin Wright adding a missing parameter
  * Updated Swedish translation from Konrad Skeri

2008-06-16  Wolfgang Rohdewald <wolfgang@rohdewald.de>
  * fixed restoring the layout in some tree views

2008-06-15 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Simplified code
  * Changed function names to follow coding standards
  * Keep KMyMoneyAccountTreeBaseItem a pure virtual class
  * Fix default order of columns in account tree

2008-06-14  Wolfgang Rohdewald <wolfgang@rohdewald.de>
  * Asset/Liability accounts can now be defined as VAT accounts.
    They cannot yet be used as such however.
  * edit account/category: make hierarchy display work again after
    refactoring the AccountTree classes

2008-06-13  Wolfgang Rohdewald <wolfgang@rohdewald.de>
  * Accounts view, icon tab: Do not show closed accounts if not wanted
  * "show closed accounts" now also shows/hides closed stock
  * new base classes ...AccountTreeBase{Item}. AccountTree and
    AccountTreeBudget are derived from this.
  * reduced duplicate code in these classes and simplified
    some things - hopefully without breaking anything.
  * new helper function const QString formatMoney(...)

2008-06-12 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Improved keyboard navigation in ledger view
  * Removed compiler warning for KMyMoneyView
  * Cleaned code in KOfxDirectConnectDlg::slotOfxFinished

2008-06-11  Wolfgang Rohdewald <wolfgang@rohdewald.de>
  * Edit category / account: Show old name in caption
  * Fix VAT percentage and a few typos in german template file skr03.kmt
  * new methods for MyMoneyAccount: accountPixmap and accountGroupPixmap

2008-06-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Reduce duplicate code

2008-06-08 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed investment performance calculation

2008-06-07  Wolfgang Rohdewald <wolfgang@rohdewald.de>
  * transactions touching closed accounts can no more be deleted/duplicated
  * transactions with frozen splits can no more be deleted
  * warn before deleting transactions with reconciled splits
  * new class KMStatus for simpler display of status messages

2008-06-05  Wolfgang Rohdewald <wolfgang@rohdewald.de>
  * globally replaced QValueList<SelectedTransaction> by the new class
    SelectedTransactions. Right now it is almost empty, so this patch
    is mostly syntactic sugar. Exception: constructor(const Register* r)

2008-06-05  Wolfgang Rohdewald <wolfgang@rohdewald.de>
  * In home view and account tree, rename Balance to Current Balance
    resp. Total Balance

2008-06-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added (slightly modified) patch from Colin Wright which
    adds an account hierarchy page to the new account wizard
  * Added a refined patch from Colin Wright for the new account wizard
  * Fixed ledger sorting in i18n-ed version of KMyMoney
  * Added some debug output to OFX direct connect

2008-06-03 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Unsubtle fix for memcheck to compile on GCC4.3

2008-06-02 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Fix (some) GCC4.3 compile errors

2008-06-01 Fernando Vilas <fvilas@iname.com>
  * Fixed compilation issue of db code on Fedora Core 9

2008-05-30 Alvaro Soliverez <asoliverez@gmail.com>
  * Improved calculation of investment balances in query reports
  * Calculate base currency price for investment based on 
  transaction date in query reports
  * Fixed decimals for Return On Investment that were being cut off

2008-05-31 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed payees view when changing existing match patterns
  * Added MyMoneyTransaction::isImported()
  * Fixed a bug which caused the sign of splits be reverse when
    entering split transactions in the register w/o using the form

2008-05-30 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Improved button signal handling for database selection dialog
  * Improved encryption setup (differentiate between main key and
    additional keys)

2008-05-30 Alvaro Soliverez <asoliverez@gmail.com>
  * Added total profit/loss to summary on home page

2008-05-29 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Remove all Sqlite2 references
  * Improve usability of DB selection dialog
  * Coding changes

2008-05-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added ability to enter negative numbers with a leading dash even
    if display format is "parens around".
  * Improved some code changes made by Wolfgang
  * Updated German translation from Yllohy
  * Updated Brazilian translation from Marcus Gama
  * Don't allow editing transactions that reference closed accounts

2008-05-28  Wolfgang Rohdewald <wolfgang@rohdewald.de>
  * report view: correctly order the report groups by number
  * fix one more usage of an uninitialized variable
  * category ledger: For the payee, the strings "Paid to" and "From"
    were interchanged
  
2008-05-27  Wolfgang Rohdewald <wolfgang@rohdewald.de>
  * fixed segfault when doubleclicking on an expense category in
    the category view

2008-05-26 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Moved all OFX relevant code into the OFX plugin
  * Support encryption to more than one GPG key
  * Added plugin specifc tab to account editor dialog for online support
  * Added array operator to MyMoneyKeyValueContainer
  * Support multiple strings (actually regexp's) for payee matching
  * Added capability to store multiline notes with a payee record
  * Store bank routing number and account id in MyMoneyStatement
  * Removed KMyMoneyImporterPlugin service type
  * Improve speed for database access by using MyMoneyFile's cache
  * Fixed some testcases for the above change

2008-05-26 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Remove Sqlite v2 support
  * Fix Sqlite v3 detection
  * Clarify dialog help text

2008-05-25 Wolfgang Rohdewald <wolfgang@rohdewald.de>
  * add new budget did throw away changes without asking
    to save them
  * budgetview: hide unused accounts had problems. This
    fixes bug 1962065. Toggling this no longer asks if
    the user wants to save the budget. The checkbox is
    now disabled if the budget has no used accounts.
  * fix bug 1575585: Loan with 0% interest (division by 0)

2008-05-24 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed manual forecast in forecast view

2008-05-25 Wolfgang Rohdewald <wolfgang@rohdewald.de>
  * Fixed segfault after deleting an investment

2008-05-24 Alvaro Soliverez <asoliverez@gmail.com>
  * Added missing enum item to report date enum
  * Fixed date when reading a custom saved report

2008-05-24 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Reverted some changes introduced during DB integration
  * Fixed reference for file inclusion in Makefile.am

2008-05-24 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Prepare sqlite3 support
  * Fix create views in mysql

2008-05-24 Wolfgang Rohdewald <wolfgang@rohdewald.de>
  * fixed keyboard handling for accelerators in transaction editor
  * fixed accelerator for the Tools main menu: Was T although the o
    was underlined

2008-05-23 Fernando Vilas <fvilas@iname.com>
  * Updated database engine to support new KMM engine.

2008-05-22 Wolfgang Rohdewald <wolfgang@rohdewald.de>
  * Summary: Fix computation of investment accounts when foreign
    currencies are involved

2008-05-20 Alvaro Soliverez <asoliverez@gmail.com>
  * For budget or forecast only show actual in the charts if set to 
    do so
  * Switch networth forecast graph in the home page to use new forecast
    pivot report. Changed timeframe to current date + 90 days.
  * Fixed bugdet graph configuration

2008-05-20 Alvaro Soliverez <asoliverez@gmail.com>
  * Sort Summary accounts by name
  * Save includesForecast setting in pivot reports

2008-05-19 Alvaro Soliverez <asoliverez@gmail.com>
  * Added forecast calculation to pivot reports
  * Added group of forecast default reports
  * Skip total calculation of budget or forecast if report does not 
    include them
  * Added setting to not purge unused forecast accounts if required
  * Fixed investment calculation in home page. Calculate deep currency
    not base currency.
  * Set includeForecast to false when reading a report from file

2008-05-19 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Don't show '&nbsp;' in abscissa labels of charts

2008-05-19 Wolfgang Rohdewald <wolfgang@rohdewald.de>
  * History of transactions for payees could show wrong action for
    transactions entered with a pre 0.9.0 version

2008-05-18 Wolfgang Rohdewald <wolfgang@rohdewald.de>
  * focus handling in all ledgers for keyboard users: Avoid segfault
    if no item had focus and first item is not focussable like in
    search window 
  * when a new search window is generated, select top item
  * when entering CTRL-F to get to the search window, make sure that
    the search window always gets focus. If it already existed, this
    did not always happen
  * dragging a category in the tree segfaulted when there was no icon
    defined for the category. Can happen when kmymoney2 cannot find its
    resources.

2008-05-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated German translation from yllohy

2008-05-17 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Applied patches provided by Wolfgang Rohdewald
  * Added logic to deal with deleting a category still assigned
    to a budget
  * Fixed logic that deletes categories to work correct even if no
    transaction is assigned to that category but it is referenced
    by a schedule or budget

2008-05-16 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Dutch translation from Bert Keuter
  * Fixed crash when saving institution data from editor that was opened
    using a double click in the institution view
  * Updated Portuguese translation from José Jorge

2008-05-15 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed keyboard handling in split editor widgets
  * Updated German translation from Marko Kaening
  * Updated Simplified Chinese translation from Roy Qu

2008-05-14 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed forecast settings refresh

2008-05-12 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Dutch translation from Bert Keuter
  * Updated German translation from Marko Kaening
  * Regenerated POT file
  * Bumped version number to 0.9.1
  * Bumped min KDE version to 3.4.0

2008-05-12 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Dutch translation from Bert Keuter
  * Updated German translation from Marko Kaening
  * Added Sweden to stats.pl for translations

2008-05-11 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * New files will be name $HOME/$USER.kmy

2008-05-08 Alvaro Soliverez <asoliverez@gmail.com>
  * Updated Argentinian translation

2008-05-10 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Make menu key work in split editor

2008-05-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed precision problem when opening the split transaction editor
    for fees/interest in investment transactions

2008-05-08 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed selection of date range combo in filter custom dialog

2008-05-08 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Removed some old files from the repository
  * Updated splash screen and titlelabel for 0.9
  * Released 0.9

2008-05-07 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Removed old KDevelop project file
  * Added check for interest accounts to consistency check

2008-05-05 Alvaro Soliverez <asoliverez@gmail.com>
  * Modified default of Income Expense Pie Chart to not show row totals
  * Fixed forecast account comparison when accounts have duplicate names

2008-05-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Portuguese translation from José Jorge
  * Updated Simplified Chinese translation from Roy Qu

2008-05-04 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a problem while creating categories within the schedule editor
  * Improved price search when exact date option is set in the API

2008-05-03 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed problem in schedule view when amount of transaction is 0

2008-05-03 Alvaro Soliverez <asoliverez@gmail.com>
  * Added account type headers to budget on home page
  * Added conversion to lowest fraction to querytable
  * Added budget data to charts
  * Auto-select current budget in custom report dialog
  * Added default Budget vs Actual graph

2008-05-02 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added budget option to home page settings
  * Fixed handling of home page settings that default to off
  * Updated French translation from Patrick Petit

2008-05-01 Alvaro Soliverez <asoliverez@gmail.com>
  * Separated grid of pivottable into a separate file
  * Added budget overrun report to Home page
  * Removed unit tests for TCell
  * Moved PivotGrid tests to their own class
  * Do not show Budget on Home Page if budget list is empty

2008-04-30 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed sorting of value columns in account views

2008-04-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Simplified Chinese translation from Roy Qu
  * If there are no favorite reports, don't show section on homepage
  * Fixed sorting of value columns in investment view
  * Added missing #include statements for GCC 4.3 as reported by Tony Graffy

2008-04-26 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed account reference in Summary of Home Page
  * Fixed fraction of deep conversion in pivottable to reference current account
  * Added budget difference to report properties
  * Change budget difference column to calculate on report init
  * Added more comments to pivottable

2008-04-27 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Turn off total column if report is configured for running sums
  * Sort numeric account view columns by their numeric value

2008-04-26 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Brazilian translation from Marcus Gama
  * Fixed a crash when a split has a zero value during autofill

2008-04-26 Alvaro Soliverez <asoliverez@gmail.com>
  * Added Summary to Home Page
  * Added convert to investment return calculation to prevent overflow
  * Added Incomes and Expenses to Summary

2008-04-23 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Regenerated POT file
  * Reverted patch from Arni Ingimundarson because it breaks income/expense
    reports and shows a total column

2008-04-22 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed forecast testcases due to interface change of createBudget()
  * Updated Dutch translation from Bert Keuter
  * Added Dutch homepage and Dutch whats_new html file

2008-04-21 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed assignment of budget for budget only reports

2008-04-21 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Brazilian translation from Marcus Gama
  * Updated Dutch translation from Bert Keuter
  * Added budget forecasting
  * Added sort options for budgets in GUI
  * Renamed kmymoney2.kdevelop into kmymoney2.kdevelop.sample

2008-04-20 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added preliminary version of the budget calculation on historic data
  * Added separate generate-messages target to Makefile.am

2008-04-19 Alvaro Soliverez <asoliverez@gmail.com>
  * Added Investment Worth Graph report
  * Added Difference To Minimum Balance column to Home Page

2008-04-18 Alvaro Soliverez <asoliverez@gmail.com>
  * Assign budget to report if Any is selected
  * Select budget combo if Any is selected
  * Fix pivottabletest check for total column

2008-04-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added another validation to the consistency check feature

2008-04-18 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * 30-day schedule interval

2008-04-17 Alvaro Soliverez <asoliverez@gmail.com>
  * Hide accounts in reports if closed and no transactions for
    the report timeframe
  * Replaced Until today by As of today in Time Combo

2008-04-17 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Preserve date during auto transaction fill

2008-04-16 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed total column of pivot reports

2008-04-15 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed budget column when report timeframe is less than a year

2008-04-15 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Italian translation from Sandro Bonazzola
  * Date for interest and charges in reconciliation wizard follow
    statement date
  * Added percentage field to auto fill mode

2008-04-14 Alvaro Soliverez <asoliverez@gmail.com>
  * Adjust forecast days on Home View if lower than accounts cycle
  * Fixed minimum limit of begin forecast day in forecast view

2008-04-14 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Brazilian translation from Marcus Gama
  * Updated French translation from Patrick Petit

2008-04-13 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Dutch translation from Bert Keuter

2008-04-12 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed account filter for budget report
  * Enable show total columns switch on graphs - patch provided
    by Arni Ingimundarson

2008-04-11 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed budget report configuration problem
  * Updated simplified Chinese translation from Roy Qu

2008-04-10 Alvaro Soliverez <asoliverez@gmail.com>
  * Updated Argentinian translation
  * Fixed minor typo in forecast view title

2008-04-10 Robert Wadley <robntina@users.sourceforge.net>
  * Renamed some of the old template and made some minor template
    changes to the old us template descriptions

2008-04-10 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Italian translation from Sandro Bonazzola
  * Regenerated pot file, merge changes into translations
  * Fixed a problem in the documentation
  * Cleanup Makefile.am in template/en_US

2008-04-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Removed database menu items temporarily

2008-04-09 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Updates (incomplete) to New Account Wizard documentation - ideas
    from Danny Scott

2008-04-08 Alvaro Soliverez <asoliverez@gmail.com>
  * Added Tax Transactions reports for Last Fiscal Year

2008-04-07 Alvaro Soliverez <asoliverez@gmail.com>
  * Added Tax Transactions by Payee report
  * Added Investment Holdings Pie report
  * Fixed queryTable to filter tax by Payee correctly

2008-04-07 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Ignore prior date changes when checking for autofill

2008-04-06 Alvaro Soliverez <asoliverez@gmail.com>
  * Added Today option to time filter combo

2008-04-06 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed an i18n string issue
  * Fixed usage of KMM_DEBUG
  * Fixed a bug in the QIF writer that caused a problem when
    an account has no opening balance transaction

2008-04-05 Alvaro Soliverez <asoliverez@gmail.com>
  * Updated Argentinian translation
  * Fixed minor typo in new account wizard

2008-04-05 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Handle single-split GnuCash tx's; tidy up code

2008-04-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated French translation from Patrick Petit

2008-04-04 Alvaro Soliverez <asoliverez@gmail.com>
  * Updated Argentinian translation

2008-04-04 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Keep the fraction of an account with the account object in the
    MyMoneyObjectContainer

2008-04-03 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed some .desktop file issues reported by Andrey Cherepanov

2008-04-02 Alvaro Soliverez <asoliverez@gmail.com>
  * Updated Argentinian translation

2008-04-02 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed #1931100 (Minor visibility problem)
  * Respect first fiscal day in register for fiscal year group marker

2008-04-01 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Changed interface of MyMoneyAccount::adjustBalance() to
    support stock splits
  * Adjusted testcases
  * Updated Portuguese translation from José Jorge

2008-03-31 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed forecast beginDay test when day is last day of month

2008-03-31 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Force focus to currency selection list in new user wizard
  * Fixed tax report and added testcase for it

2008-03-30 Alvaro Soliverez <asoliverez@gmail.com>
  * Added history method settings to forecast view

2008-03-30 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Russian translation from Eugene Morozov
  * Fixed an i18n issue in the sort order dialog
  * Added option 'Enter key moves between the fields'
  * Fixed typo in README
  * Fixed forecast view to contain a title label and reduced margin to 0

2008-03-28 Alvaro Soliverez <asoliverez@gmail.com>
  * Removed duplicate code and cleaned up code in forecast
  * Fixed miscalculation of total row in forecast summary and detail view

2008-03-28 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Portuguese translation from José Jorge
  * Regenerated and merged messages
  * Added day field to fiscal year setting

2008-03-27 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Allow changing the name and currency of the base accounts
  * Added testcases
  * Change the name of the base accounts to desired language when
    loading file
  * Updated French translation as provided by Patrick Petit
  * Fixed an attribute string in MyMoneyStatement XML presentation

2008-03-26 Alvaro Soliverez <asoliverez@gmail.com>
  * Added weighted moving average to history forecast as default for
    history-based forecast
  * Added setting to forecast to select between simple moving average and
    weighted moving average
  * Added test case to test empty template
  * Added test cases for weighted moving average

2008-03-26 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added missing #include statements for GCC 4.3

2008-03-25 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed removal and loop operation in MyMoneyForecast::
      -purgeForecastAccountsBasedOnHistory and
      -purgeForecastAccountsList
    which caused a lockup if no data is present

2008-03-24 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added missing #include <typeinfo> statements

2008-03-23 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a string problem in a dialog when reading an OFX statement

2008-03-22 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed date locale in forecast view
  * Added createBudget to forecast, to forecast budget based on history
  * Added unit tests to check budget forecast
  * Added budget forecast tab to forecast view
  * Changed the way forecast is stored internally to date and cleaned up
    code in forecast class
  * Added skipOpeningDate setting to forecast

2008-03-20 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed problem with investment transaction editor due to recent changes
    of 'Favorites' handling

2008-03-19 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Portuguese translation from José Jorge
  * Fixed widget update problem in schedule editor dialog

2008-03-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Allow Cancel option when leaving the transaction editor only when
    leaving is caused by selection of another transaction in the register

2008-03-17 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed crash with OFX download when IBAN field is empty (thanks to
    John Whitlock for pointing it out) now for libofx < 0.9

2008-03-16 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Portuguese translation from José Jorge
  * Fixed a lock-up problem with transaction reports that contain transactions
    with a single income or expense split
  * Added 'Favorites' to the single selection mode account selectors
  * Fixed crash with OFX download when IBAN field is empty (thanks to
    John Whitlock for pointing it out)

2008-03-13 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed layout of findTransactionDialog

2008-03-12 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * New and updated German price sources (thanks to M. Zimmerman and others)

2008-03-11 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Galician translation as provided by mvillarino

2008-03-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed more spelling problems as reported by mvillarino

2008-03-08 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed spelling problems as reported by mvillarino
  * Fixed message catalog generation
  * Regenerated and merged messages

2008-03-07 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed ROI calculation when ending balance is zero

2008-03-07 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Minor change in configure.in.in to support NetBSD's shell
  * Added automatic insertion of path to perl interpreter for makekdewidgets
  * Fixed a leftover problem from conversion of double to MyMoneyMoney
    in reports

2008-03-06 Alvaro Soliverez <asoliverez@gmail.com>
  * Restored calculation of investment performance (IRR)
  * Added new column on investment performance report to show ROI
  * Restored original test case for IRR
  * Fixed a crash on config report when not showing Include Transfers

2008-03-06 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added checkbox to hide unused budget categories

2008-03-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed setup of base currency when missing in file

2008-03-04 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Last changes required to compile w/o KOffice being installed

2008-03-03 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Always show register header in bold
  * Size ledger divider according to the font size
  * Refactored wizard modules into their own directory
  * Resolved circular dependency between widgets and dialogs

2008-03-02 Alvaro Soliverez <asoliverez@gmail.com>
  * Added settings box to forecast view
  * Added button to run forecast on modified settings from forecast view
  * Forecast settings are now only used on instantiating
  * Adjusted forecast test cases due to new way of using settings

2008-03-02 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a problem with entering budget values that end in 0 and
    have no fraction (trailing zeroes were removed)
  * Added some testcases to check formatMoney() in more details
  * Added our own copy of libkdchart so we don't depend on KOffice anymore

2008-03-01 Alvaro Soliverez <asoliverez@gmail.com>
  * Skip beginForecastDate test cases if 1st or last day of month

2008-03-01 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed alternating background colors in pivot table based reports
  * Added vertical column border for budget vs. actual reports

2008-02-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added compounding frequency widget to new account wizard for loans
  * Allow share split transactions with (almost) arbitrary precision ratio

2008-02-28 Alvaro Soliverez <asoliverez@gmail.com>
  * Show all investment accounts in forecast
  * Do not calculate account in forecast if there is no relevant
    transaction for that account
  * Adjusted forecast test cases for investment accounts

2008-02-26 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Removed unused parentId information from budget account group
  * Show details of split transaction as tooltip

2008-02-25 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed performance calculation when no activity during the report timeframe
  * Cleaned up test code in querytable and querytabletest

2008-02-25 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Italian translation as provided by Vincenzo Reale

2008-02-24 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed a crash due to precision formatting in forecast view
  * Change performance return to show the current return, not
    annualized - #1897433
  * Updated performance return unit test

2008-02-24 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added missing code changes due to interface changes
    in ReportAccount::currency()

2008-02-22 Alvaro Soliverez <asoliverez@gmail.com>
  * Disable Include Transfers checkbox when filtering by Category - #1523508

2008-02-21 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Require currency string and precision for all formatMoney() calls
  * Fixed queryTable testcase to obey selected date formatting
  * Prevent crash when hitting Ctrl-W while transaction editor is present

2008-02-20 Alvaro Soliverez <asoliverez@gmail.com>
  * Added test case to check for correct date and value of closing
    balance in query table

2008-02-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added check for MyMoneyMoney constructor to avoid zero denominators
  * Fixed a problem with unavailability of the 'mark transaction as' options
  * Removed unused code
  * Fixed persistancy of balance column setting in reports
  * Fixed position of closing balance row in query table reports
  * Reverted changes to unit tests made on 2008-02-15 by Alvaro

2008-02-17 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed crash when calculating recent stock prices - #157905 at bugs.kde.org
  * Added warning label about excluding transfers when filtering
    transactions by Category
  * Updated Argentinian translation

2008-02-16 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed 'WARNING: KLocale: trying to look up "" in catalog.' at appl start

2008-02-15 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed unit tests of querytable.cpp broken when adding foreign currency fixes

2008-02-14 Alvaro Soliverez <asoliverez@gmail.com>
  * Added stock accounts to forecast for historic and scheduled-based methods

2008-02-13 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated account templates

2008-02-12 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Remember date of last imported transaction with account object
  * Fixed a compiler warning

2008-02-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Created new widget for account template loading
  * Integrated that into the new user wizard
  * New dialog for loading account templates once file is created
  * Fixed home page settings

2008-02-08 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Labels in wizards use KDE color settings
  * Fix label frames in new user wizard when started multiple times

2008-02-07 Robert Wadley <robntina@users.sourceforge.net>
  * Reorganized the old template into new, more modular category
    templates and added descriptions.

2008-02-07 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Keep group membership when saving to a local file

2008-02-07 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed forecast tests for minimum, maximum and average balance methods

2008-02-06 Alvaro Soliverez <asoliverez@gmail.com>
  * Changed forecast negative numbers to use KMyMoney settings
  * Changed detail forecast to show negative by cell not row - #1877719
  * Added negative color to advanced forecast - #1877719
  * Added beginDay to calculation of accountMinimumBalanceDateList in forecast
  * Removed old setting and method for trendBasedForecast from home page

2008-02-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed removal of categories

2008-02-04 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Ask user if last payment for schedule should be reset in case the next
    due date is changed to a date prior to the last payment - patch supplied
    by Colin Wright

2008-02-03 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * New schedule intervals (3, 8 wks) - patch supplied by Colin Wright

2008-02-02 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed calculation of foreign currency balances and prices in transaction reports

2008-02-02 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed the example on keeping a stable and development version
    on the same machine.

2008-02-02 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed calculation of foreign currency in transaction reports - #1369048

2008-02-01 Alvaro Soliverez <asoliverez@gmail.com>
  * Added missing files for submissions and settings chapter

2008-02-01 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Removed extra qualifier from subAccountByName() declaration

2008-01-31 Alvaro Soliverez <asoliverez@gmail.com>
  * Added submissions chapter to project handbook - #1394772
  * Added settings chapter to project handbook
  * Added option to Makefile to preview project handbook

2008-01-31 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Don't create the same parent account if it already exists during
    account creation

2008-01-30 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Don't run overdue test between 28th and 2nd
  * Resolved a bunch of compiler warnings

2008-01-29 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed error calculating beginDate when currentDate plus cycle equals beginDay - #1877701

2008-01-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Applied documentation update provided by Colin Wright

2008-01-28 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Applied documentation update provided by Colin Wright

2008-01-28 Alvaro Soliverez <asoliverez@gmail.com>
  * Modified home page forecast cycles according to begin day setting - #1877701

2008-01-28 Alvaro Soliverez <asoliverez@gmail.com>
  * Added begin day of forecast setting and default - #1877701
  * Added calculation to start forecast according to begin day of
    forecast setting - #1877701
  * Modified summary and advanced to show intervals according to
    begin day of forecast setting - #1877701

2008-01-27 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Block delete payee function when a payee was just deleted

2008-01-26 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed width of summary list when over the width of the screen

2008-01-25 Alvaro Soliverez <asoliverez@gmail.com>
  * Fixed off-by-one error when calculating total variation in detail forecast view

2008-01-25 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added sort indicator to payees list
  * Added context menu key handling to payees, investment and budget view
  * Fixed crash when using context menu key in account trees
  * Handle context menu the KDE way

2008-01-24 Alvaro Soliverez <asoliverez@gmail.com>
  * Swapped rows and columns in detail forecast view

2008-01-24 Alvaro Soliverez <asoliverez@gmail.com>
  * Added calculation of base currency balances in Investment
    Performance report - bug #1699859
  * Removed comments of ReportAccount::deepCurrencyPrice and
    baseCurrencyPrice where it said it would return 1.0 if date was not exact

2008-01-24 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added Context Menu Key handling to ledger and account tree views

2008-01-23 Alvaro Soliverez <asoliverez@gmail.com>
  * Adjusted width of forecast columns when refreshing

2008-01-22 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Preserve last selected tab of schedule view
  * Use KMyMoneyGlobalSettings for autosave options

2008-01-21 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Write out id to XML via MyMoneyObject
  * Adjusted testcases
  * Keep modified budget values when switching to a different view
  * Keep focus when changing budget values
  * Hide unused budgetary categories when 'Hide unused categories' filter
    is active
  * Deactivate clear button if budget value is zero

2008-01-20 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Improved sorting of schedules view
  * Show date in schedule view according to KDE settings
  * Double click on scheduled transaction opens schedule editor
  * Added two changes from the debian distribution
  * Clear out the reconciliation account when closing a file

2008-01-19 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Show date field when manually updateing prices
  * Don't show 'Accounts with no institution' item in institution view
    if there are no such accounts 
  * Use date of last new transaction entered also in
    investment transaction editor

2008-01-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Removed text from buttons on top of budget list in budget view
  * Converted QMessageBox calls to use KMessageBox in GNCConverter

2008-01-17 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Yahoo Canada Online Quote Source - contributed by Danny Scott

2008-01-17 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Chinese translation provided by Roy Qu

2008-01-16 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Added FT Quote source for UK Funds - contributed by Peter Lord

2008-01-15 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed #1866855 with patch provided by Chris Roland
  * Pressing the enter key during budget value entry moves the focus to the
    next (value) field.

2008-01-14 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Fix desktop file errors

2008-01-14 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a bunch of reported budget GUI issues
  * Replace KMyMoneySettings with KMyMoneyGlobalSettings
  * Added searchline widget to schedules view

2008-01-13 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a bunch of open budget GUI issues
  * Adapted testcases to latest changes

2008-01-12 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added 'Not marked' as new item to status filter
  * Show date field when manually updateing prices

2008-01-11 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed operator == for MyMoneyPayee to include match parameters
  * Cleaned up payees view and match parameter handling
  * Cleanup up budget view and introduced an OK button as in payees view
  * KBudgetValues widget sends out valuesChanged() signal upon all changes

2008-01-10 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Exchanged order of test for OFX and KDChart during configure
    to avoid problems with additional libraries (eg curl) as reported
    here: http://sourceforge.net/mailarchive/message.php?msg_name=478558AB.1080003%40lemmons.name .
  * Improved error messages when invalid transaction id/key is requested
  * Improved consistency check to find invalid references in schedules

2008-01-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added copy budget feature

2008-01-07 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a problem with price precision in currency calculator dialog
  * Fixed a warning in kmymoneytest.cpp
  * Fixed problem with keypad return key during transaction entry
  * Removed some unused code
  * Made some improvement to the balance calculation
  * Fixed scrolling problem in ledger when moving the focus with the
    cursor keys.
  * Refuse loading of data file only if openingBalance is not equal zero

2008-01-06 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Show a marker in the ledger when transactions are possibly filtered
    This is shown if the filter is set to any other date than 1900-1-1
  * Removed widget in settings dialog that should not be visible
  * Fixed loan creation when no payout transaction was selected
  * Fixed popup of price editor during loan creation
  * Improved detection of splits for loan payment transaction in
    loan editor
  * Removed all references to MyMoneyAccount::openingBalance
  * Fixed a bug in the XML loader that caused the date order to be incorrect
  * Fixed QIF writer to write out the opening balance as expected

2008-01-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed problem with creating new transactions when quick filter is active
  * Save transaction also on Return pressed on status combo box
  * Preset status combo box with 'Not Reconciled' for new transactions
  * Got rid of some openingBalance() and setOpeningBalance() calls
  * Updated the reporting testcases to construct an opening balance transaction
  * Removed an automatic loan account fix. User has to use version 0.8.7
    or higher in 0.8 branch to fix the problem.
  * Fixed endless loop when loading a broken XML file
  * Fixed a bug in processing of online statements
  * Fixed MyMoneyObjectContainer handling for updated objects
  * Fixed bug introduced on 2007-12-06 where share amount was loaded off
    by a factor of 1/1000
  * Added general method to create brokerage account name in MyMoneyAccount()
  * Removed unused MyMoneyFile::updateBalances()

2008-01-04 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a problem in LibOFX 0.9 adapter implementation that caused
    statement downloads to fail
  * Reduced minimum version for LibOFX to 0.8.2

2008-01-03 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Changed behavior of Return-Key in transaction editor. Acts like a TAB
    key except for the amount field where it acts as the Enter button.

2008-01-02 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added patch provided by Alvaro Soliverez to fix total for yearly budgets

2008-01-02 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added option to show/hide row totals in reports
  * Removed default total column from non income/expense reports

2007-12-31 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Store all OFX bank list files in ~/.kde/share/apps/kmymoney2
  * Use different VER settings to retrieve information in ofxpartner
  * Added webprice quote patch as provided by David Pugal
  * Fixed crash when changing account limits
  * Added reporting patch provided by Alvaro Soliverez
  * Leave reports in their group when switching to a different translation

2007-12-30 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed sign problem when selling shares with a price per transaction setting
  * LibOFX 0.9.0 now mandatory
  * Added missing testcase to consistency check
  * Preset brokerage account if available for investment transactions

2007-12-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Catch exceptions thrown in libxml++ during OFX setup
  * Store OFX bank list files in ~/.kde/share/apps/kmymoney2

2007-12-28 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added feature to start KDE language settings from within KMyMoney
  * Updated French translation as provided by Patrick Petit
  * Fixed a crash when updating multiple transactions
  * Fixed documentation to mention 19% VAT for Germany
  * Added i18n support to strings in mymoneyfile.cpp
  * Fixed the problem of GPG photo id's popping up
  * Allow to create a brokerage account for investment accounts

2007-12-26 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a problem when loading price information in the investment
    transaction editor

2007-12-24 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added testcase for MyMoneyMoney::reduce()
  * Fixed price handling when loading a transaction into the editor
    to prevent rounding errors

2007-12-23 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Update balance visibility after sorting the ledger items during view load
  * Added feature to either enter price/share or price/transaction
    to the investment transaction editor

2007-12-22 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Applied budget report patch provided by Alvaro Soliverez

2007-12-21 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed problem with the calculator when starting to enter numbers
    using the mouse
  * Fixed problem with various negative sign positions
  * Show negative numbers in pivot table reports in the selected color
  * Removed unused filter settings on the register tab of the settings dialog
  * Mark splits as cleared when accepting or matching a transaction
  * Show not reconciled and cleared transactions when setting the quick
    filter in the ledger view to 'Not reconciled'

2007-12-20 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added budget() to MyMoneyReport to return the budget id

2007-12-19 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed layout problem in report configuration dialog
  * Fixed payee assignment when deleting a payee

2007-12-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Take the character pressed to start editing a split transaction
    as the first character of the category
  * Get rid of kMyMoneyDateInput::getQDate()
  * Store real budget id with report
  * Fixed the signature of a signal
  * Added a budget selector widget to report configuration
  * Fixed unknown signal/slot problem during startup

2007-12-17 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Double click in number field assigns next check number
  * Fixed type assignment for schedules to be created
    based on existing transactions
  * Added split fees and interest to investment transaction editor
  * Use two digit month and day values in QIF export

2007-12-16 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a bug in transaction reports which only showed in the testcases
  * Improved the balance calculation of transaction reports
  * Show running balance column in 'transactions by account' reports

2007-12-15 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added patch provided by Alvaro Soliverez

2007-12-14 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Remove payee from required field for schedules

2007-12-13 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Removed unnecessary assignment to MyMoneyPayee::null
  * renamed budgetsubaccounts() to budgetSubaccounts() in MyMoneyBudget
  * Added more budget entry features (use previously entered value when
    switching to another method (eg. from monthly to yearly)
  * Added clear button to clear the budget values
  * Added running balance column to transaction reports

2007-12-12 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Update default quote strings for Yahoo France

2007-12-12 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Don't select different transaction if action is cancelled

2007-12-11 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Resolved duplicate function parameter name
  * Added plugin dialog to show plugin information
  * Added warning message when quitting transaction dialog editor
    via selection of a different transaction
  * Don't show the sort column shaded in KListViews

2007-12-10 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Make GNC import error message translator-friendly 

2007-12-10 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a precision problem when entering the number of shares

2007-12-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated Italian translation as provided by Vincenzo Reale

2007-12-09 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Fix Finance::Quote interface to use 'last' price

2007-12-07 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Dump POT-Creation-Date and PO-Revision-Date in XML output
  * Added all available language files to the po directory
  * Created kmymoney.pot and merged all language files

2007-12-06 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * adapted MyMoneyStatement interface to use MyMoneyMoney objects
    for monetary values instead of doubles
  * Removed KBanking plugin. From now on, the plugin can be found under
    http://www.aquamaniac.de/sites/download/packages.php or via SVN under
    http://devel.aqbanking.de/svn/kmm_plugins/banking/trunk
  * Use same font size for reports as for home page
  * Renamed pt_PT.po into pt.po

2007-12-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added readOnly property to kMyMoneyEdit
  * Fixed allowEmpty property in kMyMoneyEdit
  * Revised budget value widget

2007-12-03 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed selection of all transactions with ctrl+a
  * Applied patch provided by Alvaro Soliverez
  * Fixed build system to include new files in tarball

2007-12-01 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Store original price with investment splits for display purposes
  * Improved budget UI (except reports)

2007-11-28 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Applied patch provided by Alvaro Soliverez to fix some budget report issues
  * Improved budget view

2007-11-27 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added logic to the consistency check to remove invalid payee ids
    and replace them with correct ones
  * Moved account balance graph into own dialog

2007-11-25 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Applied patch provided by Alvaro Soliverez with a few modifications

2007-11-23 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a problem in KFindTransactionDlg when entering a user defined date

2007-11-22 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Don't include finished schedules in reports

2007-11-21 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added standing orders and bank transfer as payment types for schedules

2007-11-19 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Use name match if no ticker symbol is present in
    security record of OFX file
  * Fixed a problem when creating scheduled transactions that the 
    shares field of the second split was set to 0

2007-11-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a problem when importing OFX statements with cash dividends

2007-11-16 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed QIF importer to work with new wizards

2007-11-11 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Don't send out data changed signal during file save operation
  * Imported GnuCash account template files

2007-11-07 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added current and last fiscal year to period combo
  * Added period combo widget to find transaction dialog

2007-11-06 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added settings for beginning of fiscal year and drawing of markers for it
  * Added ledger markers for current and previous fiscal year

2007-11-04 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Made some adjustments to charts. Thanks to David Houlden for some of them
  * Completed the loan account section in the new account wizard

2007-11-01 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added new MyMoneyMoney::formatMoney() convenience method

2007-10-27 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Don't show unused securities/currencies in update stock price dialog

2007-10-26 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a problem in forecast module (take initial balance into account)
  * Adjusted a few signatures of forecast module for better performance
  * Fixed a problem with split detection in split transaction editor

2007-10-25 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added forecast patch provided by Alvaro Soliverez
  * Modified layout and changed QListView* into KListView* objects in forecast
  * Don't include disabled widgets in mandatory field checks
  * Fixed a layout problem in enter and edit schedule dialogs when resizing
  * Fixed a sizing problem with KMyMoneyCombo widgets
  * Removed a spacer in the base wizard logic
  * Improved new account wizard

2007-10-24 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed some problems around changing the next due date of schedules
  * Added testcases to catch those problems

2007-10-23 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a few problems around the split transaction editor

2007-10-22 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed problem during creation of schedules reported by David Houlden
  * Fixed schedule XML loader to adjust old style nextDueDate information

2007-10-19 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed build problems caused by recent changes

2007-10-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Applied forecast patch provided by Toan Nguyen
  * Applied testcase provided by Alvaro Soliverez
  * Initial implementation of the new loan wizard

2007-10-16 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Improved sizeHint() of KMyMoneyCombo

2007-10-12 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Gnucash importer
    - Fix problem caused by improbable zero share quantity

2007-10-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Allow creation of payees while editing schedules
  * Fixed logic to append suffix on the home view for
    accounts with the same name
  * Fixed re-assigning of an account to a different institution

2007-10-09 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Preserve fraction denominator of securities in GNC importer

2007-10-08 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Implemented #1394794 (Duplicate schedule)

2007-10-07 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Get rid of varargs from GNC importer

2007-10-06 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Gnucash importer
    - add new schedule intervals
    - improve status reporting
    - debug changes

2007-10-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added updated testcases for MyMoneyForecast as provided by Alvaro Soliverez
  * Added introduction page to new user wizard which is shown
    to first time users

2007-10-04 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added operator < to MyMoneyInstitution
  * Added operator < to MyMoneySecurity
  * Replaced new account wizard
  * Started implementation of KMyMoneyPeriodCombo
  * Sort entries in KMyMoneySecuritySelector
  * Changed display in KMyMoneySecuritySelctor from "Symbol (Name)"
    to Name (Symbol)"
  * Improved KMyMoneyWizard base class
  * Disable 'postpone reconciliation' and 'finish reconciliation'
    buttons during transaction edit
  * Updated tips file
  * Applied forecast patch provided by Alvaro Soliverez

2007-10-03 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Use KDE window title font for KMyMoneyTitleLabels
  * Setup default buttons for KMyMoneyWizard

2007-10-02 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Avoid display of multiple entries for single time schedules on homepage

2007-10-01 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * GnuCash importer
    - correct schedule import
    - handle GnuCash 2.2 files

2007-09-25 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed problem when creating a payee during schedule creation

2007-09-24 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Clear payee search filter when using the 'Goto payee' function
    of the ledger view
  * Don't offer creating of a schedule while entering a schedule
  * Show warnings if a limit has been reached
  * Fixed some schedule creation problems

2007-09-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Modified OFX importer to use Qt::UTC as dateformat

2007-09-17 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added functionality to help buttons in edit and enter schedule dialog
  * Added quick search to accounts and categories view
  * Added 'collapse all' and 'expand all' buttons to accounts
    and categories view

2007-09-15 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Update developer documentation

2007-09-15 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added feature to create schedule for new transactions with a postdate
    in the future
  * Fixed endless loop caused by scheduled transactions with single occurence
  * Fix a problem, if last payment and next due date of a schedule are
    identical

2007-09-14 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Overhauled schedule editor
  * Store the next due date of a schedule as the post date of the
    transaction object within the schedule
  * Improved MyMoneyBudget API (use references where possibly)
  * Added testcase to test the next due date adjustment according to the
    selected weekend option
  * Added feature to create schedule based on existing transaction
  * Don't allow 'skip transaction' for schedules with frequency 'once'

2007-09-10 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed problem with loading a split w/o account id
  * Don't allow to add/modify a split w/o account id
  * Updated testcases
  * Thanks to David Walling for providing the anon file to catch that one

2007-09-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed crash when editing splits w/o transaction form. Thanks to
    Michael Aichler for tracking it down.

2007-09-02 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Obey closed accounts in pivot table based reports

2007-09-01 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed display of first row in investment transaction form
  * Use alternate background in the investment view
  * Control visibility of rows in the transaction form on a per
    transaction basis

2007-08-31 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed creation of schedules
  * Redefined tabstops in edit schedule dialog
  * Engine throws exception when the application tries to store a
    transaction that contains splits not referencing an account
  * Don't show closed accounts in querytable based reports
  * Prevent crash when cancel out of the exchange rate editor during
    the entry of a scheduled transaction
  * Force usage of GPG agent if environment variable GPG_AGENT_INFO is filled

2007-08-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Don't show closed accounts in account query table

2007-08-28 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Removed unused code from KMyMoneyUtils

2007-08-27 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added feature to close investments (stock accounts)
    Maybe, the report functions need to be adjusted as well

2007-08-26 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Improved class documentation for MyMoneyFile::attachStorage()

2007-08-25 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed layout of GNC import options dialog
  * Fixed processing of ROOT type account entry in GNC importer

2007-08-24 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added option to hide finished schedules
  * Added option to hide closed accounts
  * Added feature to 'Select all transactions' via Ctrl+A
  * Added note that closed accounts will be not shown if the option is active
    whenever an account is closed by the user

2007-08-23 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Allow to create an account with the same name on the same
    hierarchy level
  * Allow to load 'Who am I' address from standard KDE addressbook

2007-08-20 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added release target in Makefile.dist as proposed by Tony Bloomfield
  * Replaced QMessageBox with KMessageBox (except in GNC importer)

2007-08-17 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Removed duplicate entry of XFP as default currency

2007-08-16 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed graph in account balance history

2007-08-10 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Replaced "acc.accountType == Stock" with "acc.isInvest()"
  * Fixed #.... (Allow change of stock type)
  * Merge message files during 'make package-messages'

2007-08-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added account field to standard transaction editor
  * Allow to change account during entry of scheduled transaction
  * Removed references to KMyMoneySettings in designer plugin

2007-08-08 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added interface for reconciliation report

2007-07-25 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added "CFP franc" as currency

2007-07-22 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed typo. Thanks to David Houlden for finding it

2007-07-21 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Made MyMoneyFile a static singleton and MyMoneyFile::instance() an
    inline method
  * Adapted testcases to work with static singleton
  * Added toolbutton for HBCI account update to toolbar

2007-07-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed crash when online price update for exchange rate failed
  * Removed some unused engine functions (accountValue/totalAccountValue)

2007-07-13 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added framework to modify axis parameters in PivotTable::drawChart()
  * Fixed creation of account hierarchies

2007-07-11 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Removed the 'oldreports' option
  * Allow creation of multi currency categories
  * Allow changing the base currency
  * Removed default parameter of MyMoneyPrice::rate()
  * Base currency activities (new, edit, delete, etc.) on KActions
  * Show networth graph on home page in base currency
  * Fixed a problem with ledger not displaying all transactions when
    loading a new account
  * Added Euro conversion rates for MTL (Maltese Lira) and CYP (Cyprus Pound)

2007-07-04 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * calendar->monthString() was the wrong candidate. use calendar->monthName()
    instead. The monthName(QDate(),bool) version is broken on older KDE systems
    so we use monthName(int,int,bool) instead
  * Don't cycle through 'Reconciled' state during reconciliation when
    left clicking into the reconciliation state column of the ledger
  * Adjust ending balance when changing statement date during reconciliation

2007-07-02 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed problem while determining the last used id for accounts
  * Remove all references from reports when objects are deleted
  * Don't use setId() directly
  * convert locale->monthName() to locale->calendar->monthString

2007-06-30 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed crash when saving user information

2007-06-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Removed unnecessary code in MyMoneyReport
  * Made inclusion of stylesheet in HTML exported reports optional
  * Enable/disable also the split-button of the category widget

2007-06-28 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Rewrote the XML parser to be based on a SAX model
  * Provide readAll() with larger block sizes in KGPGFile
  * Fixed problem with balance cache mishits
  * Fixed crash when reading an encrypted file that does not contain
    the "kmm-encryption-key" is missing in the file (could happen when
    reading rather old files)
  * replaced QDate::shortMonthName() with KGlobal::locale()->monthName()
  * Only assign check numbers for scheduled payments, if payment type
    is 'write check'.

2007-06-22 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed update of price editor when deleting prices

2007-06-21 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed price dialog loading
  * Fixed deleting accounts that have no sub-accounts

2007-06-20 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added hook for trend based forecast on homepage
  * Added some details about the account types to the file info dialog

2007-06-17 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed creation of KMyMoneyWizard buttons to work when the KDE
    global setting 'icons on buttons' has been turned off

2007-06-16 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added 'Move to account ...' logic
  * Keep track of all toolbar attributes

2007-06-15 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added new user wizard logic

2007-06-14 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added #1349502 (Report all categories in income/expense report)

2007-06-12 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added chinese entries to desktop files
  * Improved new user wizard
  * Show limits in account balance graph

2007-06-11 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Pickup new options for the homepage items

2007-06-10 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added networth forecast graph to homepage

2007-06-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added updated account templates as provided by mvillarino

2007-06-02 Robert Wadley <robntina@users.sourceforge.net>
  * added a "forcast" icon

2007-05-31 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * !!! Note SQL support is broken with this version. Will be fixed later. !!!
  * Move MyMoneyObjectContainer to MyMoneyFile and make it a general cache
  * Added start/commit/reject Transaction to seq access mgr
  * Added 'last check number used' to accounts editor
  * Don't allow to move stock accounts in institution view
  * Modified new account wizard to use new widgets
  * Modified new loan wizard ot use new widgets and fixed a bunch
    of problems with unassigned share field where a value was present 
  * New account wizard did not set shares on credit card payment
  * Added color setting for background of ledger markers
  * Moved the transaction editor code from widgets/ to dialogs/
  * Reduced circular dependencies between widgets/ and dialogs/ to a single one
  * Removed some unused files

2007-05-27 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Don't include splits referencing deselected categories in transaction
    report by category

2007-05-22 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added new account template files for Spain (Spanish and Galician)
    as provided by MVillarino
  * Fixed #1723325 (Cannot quit the program)

2007-05-21 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed crash when closing the passive popup of the date edit widget
    during transaction editing

2007-05-19 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Include style sheet contents in exported HTML reports
  * Prepare integration of general object cache in MyMoneyFile layer

2007-05-17 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added dialog to select the transaction to be used for autofill if
    multiple transactions exist for the same payee
  * Show all matching splits in find transaction dialog

2007-05-16 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Use prettyURL() where appropriate
  * Renamed KMergeTransactionDlgDecl into KSelectTransactionDlgDecl

2007-05-14 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Better detection of write errors in GPGFile component

2007-05-13 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added patch update to QueryTable provided by Demitrios Vassaras
  * Make inclusion of specific accounts (tax, investment or loan)
    in reports mutually exclusive
  * Added ability to 'Save as...' to a network drive
  * Check if save operation would override a file and ask the user for
    confirmation

2007-05-12 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Additional database debug options
  * Fix database account balance problem

2007-05-12 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added report configuration changes supplied by Demitrios Vassaras

2007-05-11 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed presetting the tabbar when starting to edit an existing transaction
  * Applied remaining patches to the report logic provided by Demitrios Vassaras
  * Allow investment transactions to be performed against credit card accounts

2007-05-10 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Clear some transaction attributes before entering a schedule
  * Added MyMoneyAccount::isLoan() and testcases

2007-05-10 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Retain status of imported transactions
    Patch supplied by Fernando Vilas

2007-05-08 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed indentation problem in reports

2007-05-07 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Add all features to auto schedule enter
  * Prevent asking too many times for conversion rate during schedule entry
  * Created interface class for PivotTable and QueryTable called ReportTable

2007-05-05 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Fix crash when saving new file after database activity

2007-05-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed rounding problem when entering investment transactions

2007-05-04 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Renamed --newreports option into --oldreports
  * Use new split based report logic by default
  * Fixed crash when reports were opened
  * Grey out 'Create schedule' as long as it is not implemented

2007-05-02 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added support for stock splits to the pivot table based reports
  * Improved performance (only create pivot table once) of report update
  * Improved display of delta for changed scheduled transaction during
    schedule entry
  * Fixed a label display problem in the investment transaction editor

2007-04-30 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a problem with displaying numbers with high precision
  * Added testcase to check for precision

2007-04-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Applied patches to the report logic provided by Demitrios Vassaras
  * Introduced TCell as the list member for TGridRows and initial code
    to support stock splits in reports (not working yet)
  * Re-enabled the value column in the investment register

2007-04-28 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed sign problem when reconciling liability accounts

2007-04-27 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added moldavian leu as currency
  * Fixed an autofill problem
  * Show the investment account for the 'goto account' feature

2007-04-21 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Removed all references to MyMoneyObserver and MyMoneySubject
    (testcases still use it)

2007-04-20 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Support 'goto account' also to stock accounts and back

2007-04-19 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed matching transaction logic to work with investment transactions
  * Allow deletion of categories even with transactions assigned on the GUI
    level. Re-assign them prior to deletion.
  * Fixed a problem with changing the amount in an existing VAT transaction
  * Fixed disappearing text 'Split transaction' in the category widget
    when opening the split transaction editor

2007-04-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added missing headers to option menus

2007-04-16 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Database backend - phase 2

2007-04-16 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Keep expanded items in reports view expanded when reloading
  * Use new KMyMoneyPayeeCombo in the transaction reassign dialog
  * Fixed moc inclusion for file info dialog
  * Renamed KTransactionReassignDlg into KPayeeReassignDlg

2007-04-15 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Reactivated the automatic entry of scheduled transactions after file open

2007-04-13 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added display of investment value
  * Added balance display for investments

2007-04-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added minimum balance and maximum credit fields to account editor
    (not functional yet - storage works)
  * Reworked the 'Enter schedule transaction' dialog to use new transaction
    editor
  * Update schedules view only if visible
  * Allow individual column resize in schedules view

2007-04-08 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a problem with the Ok button in the report configuration dialog

2007-04-06 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a problem when creating new investment transactions
  * Only update home page if visible
  * Don't jump to investment view after editing investment transactions

2007-04-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Removed code of old kMyMoneyCategory widget

2007-04-04 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a long pending problem with the visibility of group markers
  * Always allow click on reconciliation column to change reconciliation state
  * Clicking the reconciliaiont column now toggle through the possible
    reconciliation states. Same applies for Ctrl-Space.
  * Mark transaction cleared now has a shortcut of Alt-Ctrl-Space
  * Fixed autofill problem

2007-04-03 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Schedule editor does not wipe out split transaction when amount was changed
  * Cleanup (removed unused files)

2007-04-02 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed automatic VAT assignment when gross amount was selected
  * Merge transaction dialog uses new register code
  * Added menu entries for debug purposes to toggle timers and traces

2007-03-31 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Moved isAssetLiability and isIncomeExpense from
    ReportAccount to its base class MyMoneyAccount
  * Added filter option 'last 11 months' which covers the last 11 full months
  * Reworked the search transaction dialog to use the new register code
  * Added sort feature to search register
  * Fixed the institution testcases to support KVPs

2007-03-30 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed some problems around the latest changes
  * Get rid of annoying message that account with same name already exists
  * Corrected items in budget time period combo box

2007-03-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated split transaction dialog to use new KMyMoneyCategory object
  * Added budget view changes as provided by MVillarino

2007-03-28 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added BIC and IBAN fields to institution and account dialogs
  * Removed manager field from institution dialog
  * Add new columns to account / category view
  * Mark mandatory fields in account and institution edit dialogs

2007-03-27 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Code cleanup (remove unused code)
  * Don't try to reload default reports from the engine

2007-03-26 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Support empty thousand separator setting
  * Added new category widget to enter/edit schedule dialogs
  * Don't append currency id to account name if not foreign currency
    when creating CSV export of pivottable reports

2007-03-25 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Update report if report configuration has been changed
  * Avoid possible usage of invalid pointer in KMyMoneySelector

2007-03-24 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated reconciliation wizard to support
    - entry of payee
    - multiple currencies
    - automatic calculation of start end ending balance of statement
    - set the statement date to the same day of the following month if
      the time span since the last statement is larger than a month
  * Fixed a problem when loading non VAT transactions into the editor
  * Clear the memo for the second split during autofill to allow overriding
    the text by the user

2007-03-22 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated kmymoney2.desktop

2007-03-21 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Use KDE conrolled date format for kschedulebriefwidget
  * Fixed a problem with category creation during transaction entry
  * Added two new columns to category and accounts view

2007-03-20 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed column width of price in investment register
  * Respect global price precision setting in price edit widget in
    investment transaction editor
  * Added some budget view patches provided by mvillarino
  * Fixed a crash in KMyMoneyCheckListItem and KMyMoneyListViewItem

2007-03-19 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added some russian files as provided by Andrey Cherepanov
  * Fixed title of new file dialog to be based on QString rather than char*
  * Fixed a few other i18n problems reported by Andrey Cherepanov
  * Fixed duplicate opening of split edit dialog in some circumstances

2007-03-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Preload payee widget for new schedules
  * Only send out update signal from engine after list of price updates
    has been processed to speed up the operation
  * Modified the way splits are selected for pivot table reports back to
    original code but added a filter for text and amount range.
  * Fixed testcase support (global newReport variable)
  * Send out MyMoneyFile::dataChanged() once a new file is loaded
  * Use a non-null account id when creating InvestmentTransaction objects

2007-03-17 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added method to remove the buttons from a kMyMoneyAccountSelector
  * Correctly fill the account selectors in the new loan wizard
  * Replaced setId(QCString()) with clearId()
  * Update reports only when required
  * Provide MyMoneyFileBitArray to suppress warning when index to QBitArray
    is out of bounds
  * Resolved some compiler warnings
  * Provide --newreports option also in non-debug versions
  * Fixed a severe bug which I introduced on 03-15 with the reportAllSplits
    change. Files written with this version could not be read in again.
  * Fixed calculation of values in the loan wizard

2007-03-16 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added logic for auto increment of check number to transaction editor
  * Rearranged the register settings dialog (added new tab)

2007-03-15 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Control character that is produced by the comma on the numeric keypad
    to be the monetary decimal symbol regardless of keyboard layout
  * Return all splits from MyMoneyTransactionFilter when no filter is
    set but reportAllSplits is set
  * Changed the way splits are selected for pivot table based reports
    This is only available when KMyMoney is started with option --newreports
    and has been compiled with --enable-debug=yes or --enable-debug=full
  * Re-use post date of a new transaction for next new transaction
  * Fixed a problem when autofilling a split transaction

2007-03-14 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a couple problems introduced with yesterdays changes
    (Thanks to Bob Ewart for spotting them)

2007-03-13 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Removed transaction tab from investment view
  * Removed references to kMyMoneyPayee and replaced them with 
    the new widget KMyMoneyPayeeCombo
  * Added option to synchronize the account in the ledger and investment view

2007-03-10 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added network transparent file access to import dialog

2007-03-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Improved layout of find transaction dialog

2007-03-08 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Replaced getQDate() with date() in ending balance dialog
  * Fixed reconciliation of liability accounts

2007-03-04 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Include children of investment accounts (stock accounts) inthe
    reports if the expert mode is not enabled
  * Fixed a bunch of warnings
  * Improved handling of multiple selected transactions
  * Applied some (modified) patches provided by Demitrios Vassaras

2007-03-01 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a problem detecting finished schedules

2007-02-28 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Automagically remove the yellow 'imported' background when a
    transaction is modified and has a category

2007-02-27 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Don't allow deletion of a category if still referenced by schedule
  * Allow creation of new transactions in new (empty) accounts

2007-02-26 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added statistics script to automaticall generate an overview
    about the current status of the translations
  * Don't create a scheduled transaction containing splits w/o account ref

2007-02-20 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated PHB to have correct CVS examples

2007-02-19 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Force a view reload at midnight
  * Fixed a problem when adding new transactions with a number filled in
  * Start the loan edit wizard when editing a loan account
  * Removed some unnecessary files

2007-02-14 Robert Wadley <robntina@users.sourceforge.net>
  * added new title label for cvs version

2007-02-15 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Switched to a newer splash screen
  * Added (a bit improved) patch and testcase provided by David Houlden
  * Corrected ISO code for new turkish lira and added old turkish lira
    to the list of ancient currencies

2007-02-14 Robert Wadley <robntina@users.sourceforge.net>
  * Adjusted the size of the welcome page images (I got a large monitor for
    Christmas and the image breaks apart when viewed full screen.
  * Added some images to the pics directory to be used, or not, when needed.

2007-02-14 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Assign the payee to category splits no matter what

2007-02-13 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Prevent creation of accounts with the same name and the same parent
  * Prevent moving an account to a destination that already has an
    account with the same name
  * Replaced ":" with MyMoneyFile::AccountSeperator where appropriate

2007-02-12 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added account column to ledger view of categories
  * Improved the 'goto account' function
  * Fixed creation of account hierarchies if parts of the hierarchy already
    exist
  * Allow modification of check number while entering scheduled transactions
    of type 'write check'

2007-02-10 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Improved handling of hidden transactions in the register
  * Allow usage of enter key on numeric keypad to enter transactions

2007-02-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added Yahoo France web source
  * Added french comment for kmymoney2.desktop
  * Fixed Menu name in documentation for investment price update

2007-02-08 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added ability to print home page

2007-02-07 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a problem with detection of VPATH environment in Makefiles
    Thanks to Bob Ewart for reporting

2007-02-06 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed refreshing problem with search line widget in register

2007-02-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed crash in KMyMoneyListViewItem::isAlternate() and
    KMyMoneyCheckListItem::isAlternate()
  * Added new price source "Gielda Papierow Wartosciowych" as provided
    by Piotr Adacha

2007-02-04 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Improved handling of category assignment in mulit selection
  * Fixed detection of closed accounts in the account tree widget
  * Use localized date format in reports

2007-02-02 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Don't modify a transaction when marking for match operation
  * Eliminated usage of import verify dialog

2007-01-31 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added logic to accept imported transactions
  * Added transaction menu to menu bar
  * Use kde-xgettext as default and check that i18n(c,s) has been extracted
    correctly during 'make package-messages'

2007-01-30 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Converted the private data d-pointers to be of type "* const d"
  * Fixed a bunch of missing i18n() calls as reported by Patrick Petit

2007-01-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Some more fixes on the background color

2007-01-28 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Reset the status filter when pressing the clear button
  * Use the full width for the filter
  * Prevent a crash when clearing a register

2007-01-27 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Don't rely on the split id to generate a unique id for a ledger entry
    It could change while updating a modifed transaction in the engine
    and would therefor not be reselected after the update
  * Setup the base currency correctly after loading a new file
  * Removed unused code
  * Fixed list background color usage and setting
  * Fixed loading ledger for specific account from home page
  * Added a status combo box to the register quick filter
  * Fixed initial column width problem in accounts, categories and institutions

2007-01-26 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Don't show a balance in the ledger if an entry has been skipped due
  * Optimized painting of group markers
  * Balance shown underneath the ledger is the current balance as of today
    not including any future transactions

2007-01-25 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * More work on invest transaction editor (should be functional now)

2007-01-24 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Fix another database record count error

2007-01-23 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * More work on invest transaction editor

2007-01-22 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Allow column resizing in accounts, categories and institution view
  * Remember column sizes of these views between sessions
  * Added sort indicator to the lists in the above mentioned views
  * Moved investTransactionTypeE from KMyMoneyRegister to MyMoneySplit
  * Fixed path to title label background image

2007-01-21 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed tab display when starting to create a new transaction via the tab

2007-01-21 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Correct record counts

2007-01-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Finished work on the RegisterSearchLine widget
  * More work on the investment transaction editor

2007-01-17 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed problem that postpone and finish reconciliation are disabled
    whenever the corresponding account object changes (e.g. due to change
    of a transaction)
  * More work on the RegisterSearchLine widget

2007-01-16 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed problem with actions being disabled after a transaction
    has been entered
  * Open ledger for investment account if one of its stock accounts
    is selected

2007-01-15 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added framework for RegisterSearchLine object (not yet functional)

2007-01-13 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added new reconcile overlay icon provided by Rob
  * Added display of reconcile overlay to institution and account icon view
  * Fixed a problem with selecting transactions

2007-01-11 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * More investment ledger work

2007-01-10 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Support all UTF-8 characters in schedule list items and account editor
    dialog caption

2007-01-08 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added detection for libxml++-2.6 in libofx.m4
  * Fixed Tony's pesky payee problem

2007-01-07 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added speed search to the payees view
  * Fixed prevention of using unsermake on some systems

2007-01-06 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Only allow postpone and finish reconciliation in account for
    which the reconciliation has been started
  * Mark that account in the accounts view

2007-01-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Return references to QStrings instead of copies in MyMoneySecurity
  * Added sort by security for investment accounts
  * Removed external visibility of sorting by 'entry date'. The user
    can use 'entry order' instead. Internally we still need it.
  * Fixed broken handling of Return and Escape during edit.
  * Disconnect edit widgets from editor object in editor's dtor to
    prevent crashes
  * Added GroupMarkers for Reconciled state
  * Improved auto check number handling
  * Added default Ctrl+Shift+Space to mark a transaction reconciled

2007-01-04 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Use Enter/Return as shortcut to start and finish editing transactions
  * Improved ledger update to avoid unnecessary resize checks
  * Fixed some more spots where we need to escape special chars before
    passing text as pattern to QRegExp

2007-01-03 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Escape special chars in names before using the text as pattern for QRegExp

2007-01-02 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added Slovenian Tolar to the ancient currencies

2007-01-01 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Happy New Year!!
  * Changed KMyMoney2App::updateActions() into slotUpdateActions()

2006-12-31 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added reconciliation state to the ledger sort options

2006-12-30 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Use include path given with --with-extra-includes during OpenSP detection

2006-12-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed problem introduced with changes made on 2006-12-14 and keep
    the OK button in the report configuration enabled at all times
  * Added support for automake 1.10
  * Use KMessageBox for questions when deleting a report

2006-12-23 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed extra qualification error

2006-12-22 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Refactoring some code modules
  * More work on the transaction editor for investment transactions
    (only works in ledger, crashes in form)

2006-12-04 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Improved detection of KBanking support

2006-12-01 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Don't allow to edit/create transactions in income or expense ledgers

2006-11-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed problem with fancy header on weekstartday set to other than Monday
    Thanks to David Houlden for sending a patch

2006-11-07 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Prevent autofill if date has been changed by user in transaction editor

2006-11-04 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Implement transaction fix level, for speedier startup

2006-11-03 Ace Jones <acejones@users.sourceforge.net>
  * Fixed a bug where an invalid price was entered into the system for
    cash dividend investment transactions imported via OFX/AqBanking.
    Hopefully fixes 1581788.
  * Added online help for new investment wizard.  Partially addresses
    #1506390.
  * Fixed #1327943 where the user could not abort a QIF import with bad date
    formats.

2006-11-03 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed crash when adding new transactions without transaction form active
  * Started work on transaction factory for register

2006-11-01 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a problem with transaction selection

2006-10-30 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a memory leak and crash when starting with either '--help'
    or '--dump-actions'. There is still a leak with '--help' but that
    remains due to the fact, that exit() is called within the constructor
    and there is no way to obtain a pointer to the KApplication object
  * Fixed crash when selecting a different transaction and having the
    option 'keep changes when selecting different transaction' selected

2006-10-29 Ace Jones <acejones@users.sourceforge.net>
  * Fixed a memory leak and crash when a second instance of the app
    is aborted

2006-10-27 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Optimized register repainting
  * Select a newly created transaction automatically once entered
  * Preset From/To according to payment type when creating a new transaction

2006-10-26 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed capacity()/size() method usage mixup in the register code
  * Added logic to block signal emission of the engine during transaction
    matching
  * Applied patch provided by Fernando Vilas to check for array boundaries

2006-10-21 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a problem in the ledger code when loading a different file
  * Fixed size problem of combo boxes in transaction form

2006-10-14 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed problem with account selector dialog
  * Fixed display problem when switching to / from reconciliation mode
  * Fixed flicker problem with QTable

2006-10-11 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Renamed MarkColumn in register to ReconcileFlagColumn
  * Update actions when view has been changed
  * Allow to toggle between cleared/not reconciled during reconciliation
    by left clicking on the C column
  * Added new attention marker provided by Rob

2006-10-10 Robert Wadley <robntina@users.sourceforge.net>
  * corrected a minor spelling error.

2006-10-10 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Improved painting of fancy headers

2006-10-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Modified fancy markers
  * Modified attention sign to use black on yellow exclamation mark
  * Fixed logic that causes empty ledgers to show up

2006-10-08 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a problem with account selection and opening the ledger view
  * Fixed Tabbar::copyTabs() to use the correct ids and pointers
  * Added configure check for KDChartListTableData::setProp()

2006-10-08 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Implement Finance::Quote interface

2006-10-07 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed crash when turning on the transaction form while ledger view
    is visible
  * Fixed problem with payee creation during transaction entry

2006-10-06 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Brought back the tabbar for the form based input
  * Fixed number field appearance in transaction form

2006-10-05 Robert Wadley <robntina@users.sourceforge.net>
  * updated titlelabel_background.png to reflect 0.9 status

2006-10-03 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed documentation problems reported by doxygen
  * Changed the mark for erroneous transactions to be a white
    exclamation mark inside a circle (default color is red)

2006-10-02 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Removed extra qualifiers in method definitions
  * Added more changes which slipped through in yesterdays checkin
  * Reduced margin in investments view
  * Removed account button in ledger view
  * Added transaction report to account menu
  * Fixed a couple register display problems

2006-10-01 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added new ledger logic

2006-09-25 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fix the shares and values to have the correct fraction during file load

2006-09-23 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a duplicate negation during liability account creation

2006-09-19 Ace Jones <acejones@users.sourceforge.net>
  * Fixed a multiplication bug in budget reporting when the user specified
    a yearly budget amount. 

2006-09-19 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed rounding problems with automatic VAT assignment
  * Fixed problem when modifying values in a transaction that has
    a VAT part.

2006-09-11 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Correct spelling mistakes; patch supplied by Tom Browder

2006-09-11 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added initial chapter on documentation to PHB (provided by Tom Browder)
  * Switched to dblatex for PDF file generation

2006-09-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added -lkdeui to the link phase of the kbanking plugin (was missing)

2006-09-06 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Removed old html documentation files

2006-09-04 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed date widget keyboard behaviour for Up/Down cursor key

2006-09-04 Ace Jones <acejones@users.sourceforge.net>
  * Minor change to error handling for transaction matching

2006-09-03 Ace Jones <acejones@users.sourceforge.net>
  * UI, engine, and documentation changes to support substring
    payee matching.  Still not functional until the matching itself is added.

2006-08-28 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Allow for null return from online price quote source

2006-08-28 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Removed duplicate period in kmymoneygpgconfigdecl.ui

2006-08-24 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Only create the chart in the account dialog, if the resp.
    tab is available

2006-08-21 Ace Jones <acejones@users.sourceforge.net>
  * Fixed an error message in the merge transactions path. 

2006-08-21 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Correct currency code for Mexican Peso to MXN

2006-08-21 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed include path to allow VPATH build environment

2006-08-20 Ace Jones <acejones@users.sourceforge.net>
  * Added a proper dialog for verifying that the user wants to match 2
    transactions on the ledger. 

2006-08-20 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed build environment required for debian builds
  * Default for KBanking support is now enabled

2006-08-19 Ace Jones <acejones@users.sourceforge.net>
  * Improved online stock quotes so the "Update all" continues even if
    one stock is unable to be updated.
  * Added a dialog to prompt the user whether he wants to disable online
    quotes for this stock in this case.

2006-08-19 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Integrated new icons into the application
  * Changed shortcut for 'show all accounts' to Ctrl+Shift+A

2006-08-18 Robert Wadley <robntina@users.sourceforge.net>
  * added some icons to use in the icon bar for 'show/hide reconcile',
    'show/hide unused categories', and 'update prices' (investments)

2006-08-17 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added patch provided by David Houlden to support automake and
    autoheader 2.6

2006-08-11 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * GnuCash importer changes
    - Support for GnuCash V2.0 files (maybe incomplete)
    - Handle additional account and schedule types
    - Preserve account's tax-related status
    - Minor coding changes

2006-08-07 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Gnucash importer
    - Add non UTF-8 support (manual selection)
    - remove unnecessary "Unknown payee" references

2006-07-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Don't show price/value if price information is invalid

2006-07-04 Ace Jones <acejones@users.sourceforge.net>
  * Fixed bank ID handling in QIF imports (This was the purpose of my 5/29
    checkin, but that was incomplete)
  * Added budget-vs-actual report logic (HTML output only, CSV still needs
    to be written

2006-06-30 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed #1514522 (Zero-amounted transfer transaction leads to crash)
  * Added check for minimum KDE version
  * Adjusted minimum KDE and QT versions in configure.in.in

2006-06-19 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Replace parenthesis with brackets in GPG key information
  * Comment modification to fix problems reported by Doxygen
  * Added chapter 'Making most of KMyMoney' to manual

2006-06-15 Darren Gould <darren_gould@gmx.de>
  * Improvements in budget implementation 
    (Patch applied by Ace Jones)

2006-06-14 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed #1505732 (Frequent crash on changing/opening file)

2006-06-13 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Applied patch for cppunit.m4 provided by Daniel Calvi� S�chez

2006-06-12 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed more GPG problems in KGPGFile::GPGAvailable and
    KGPGFile::keyAvailable by applying the same fix as on 2006-06-05

2006-06-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed problem in KGPGFile::open which reported an error when a read
    operation was finished before open gets around to check for the presence
    of the process.

2006-06-02 Ace Jones <acejones@users.sourceforge.net>
  * Fixed a small error with the X axis labels in charts.  The label for the
    first column was repeated after the last column.
  * Added %mm-%dd-%yyyy QIF date format (Addresses #1449744) 

2006-05-31 Ace Jones <acejones@users.sourceforge.net>
  * Replaced the Edit Account chart generation logic with a safer 
    implementation that uses the public interface of MyMoneyReport.

2006-05-30 Ace Jones <acejones@users.sourceforge.net>
  * Added a "last 3 to next 3" months option for transaction filter (and
    reports) date lock.  This is not exposed to the user yet, so it's
    only for use by generated reports.

2006-05-29 Ace Jones <acejones@users.sourceforge.net>
  * Modified bank ID handling for QIF files so the ID's are handled the same
    as other imported statements.
  * Added a file filter (e.g. "*.qif") to QIF profile when an input filter is 
    used. (Addresses RFE #1172030)

2006-05-28 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed #1496258 (Chart doesn't repaint when configured)

2006-05-27 Ace Jones <acejones@users.sourceforge.net>
  * Updated user manual for deleting accounts

2006-05-26 Ace Jones <acejones@users.sourceforge.net>
  * Removed a spacer from the report configuration and find transaction 
    dialogs.  This allows users to maximize the report config dialog,
    for better selection of accounts BUT it means the ledger won't be as
    large in the find transaction dialog.

2006-05-23 Ace Jones <acejones@users.sourceforge.net>
  * Fixed tax transaction report, which was erroneously including transfers

2006-05-22 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Fix Schedule Payment History storage
  * Correct account balances on database read

2006-05-19 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed usage of --enable-final configure option
  * Fixed cvs example in project handbook

2006-05-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Removed extra qualifiers as reported by Nico Kruber

2006-05-13 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added general asset and liability accounts to be shown as payment
    sources for loan schedules

2006-05-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Preserve file permissions for compressed and encrypted files

2006-05-02 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added Skip schedule function

2006-05-01 Ryan Buschert <rbuschert@users.sourceforge.net>
  * Fixed #1463167 (Account change in Enter Schedule Dialog not used)
    (Patch applied by Thomas Baumgart)

2006-04-29 Ace Jones <acejones@users.sourceforge.net>
  * Fixed #1478758 (ONLINEBANKING tag not anonymized).
    I just removed it from the anon file entirely.

2006-04-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Add better support for KOffice 1.5 libraries/includes
  * Fixed a problem in MyMoneySchedule::paymentDates() and added testcase

2006-04-28 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed "Overdue schedules with a single payment cause KMM to hang
    when showing the home page". Many thanks to Joel Webb for his
    assistance to nail this one down.

2006-04-26 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Corrected spelling

2006-04-25 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed another location of the lockup for loan transfers

2006-04-24 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Applied patch provided by Dirk Mueller <dmuell@gmx.net>

2006-04-23 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed translation of messages in KBanking plugin
  * Fixed pot generation again

2006-04-22 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed massive creation of temp files when saving followed by
    crash of the application

2006-04-21 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed pot generation (strings in ui files in subdirs were not included)
  * Added logic to extract the comment field from UI string fields
    to support context translation for UI files. See
    https://sourceforge.net/mailarchive/message.php?msg_id=15450159
    for details
  * Fixed problem with loan transfers

2006-04-16 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added lithuanian translation as provided by Donates Glodenis
  * Renamed kMyMoneyAccountCombo into KMyMoneyAccountCombo
  * Added KMyMoneyAccountCombo to designer widgets

2006-04-10 Robert Wadley <robntina@users.sourceforge.net>
  * Clarified text relating to the "payout transaction" in the new loan wizard.

2006-04-10 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added backward information from split to transaction

2006-04-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed speed/lockup issue during startup (thanks to Markus Draeger
    for providing an anonymized file to duplicate the problem)
  * Improved some interfaces to avoid unnecessary object copying

2006-04-06 Robert Wadley <robntina@users.sourceforge.net>
  * Changed text "Amortization" to "principal" in the new loan wizard.

2006-04-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed #1439099 (Balance entry on import messed up)

2006-03-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Don't show invalid smallest cash fraction value in security editor for
    non currency securities entries

2006-03-25 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed #1434611 (Can't edit account to 'No Institution')

2006-03-21 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Refixed #1439701 (Deposits don't book as deposits)

2006-03-20 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Remove splits from scheduled transactions that reference not existing
    accounts

2006-03-17 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated online documentation

2006-03-16 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed #1398411 (Exchange rate not used when recording a transaction)
  * Disable transaction edit in context menu when account is closed
  * Create new transaction when first empty entry in ledger is double clicked
  * Fill buttons with securities/currencies in new price editor dialog
  * Renamed widget from m_commodity in m_security in price editor dialog
  * Fixed #1439701 (Deposits don't book as deposits)

2006-03-15 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed #1447764 (KMyMoney crashes when loading file)
  * Fixed #1445815 (Hidden category warning when editing a category)
    Thanks to Ryan Buschert for supplying a patch

2006-03-08 Martin Preuss <aquamaniac@users.sourceforge.net>
  * kbanking.cpp: When importing transactions now also read the FIID
    of the transaction (if any) and the account type.
    Replaced my code for KBankingPlugin::slotAccountOnlineUpdate() with a
    more elaborate version (now asks the user for the first date for which
    transaction reports are to be retrieved).

2006-03-04 Ace Jones <acejones@users.sourceforge.net>
  * Fixed a bug in statement importer where transactions imported
    into an investment brokerage account were not getting auto-
    filled based on payee.

2006-03-03 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Present information message, that an account must be specified
    before splits can be defined while creating a schedule
  * Don't override amount specified if all splits have been cleared
    and the split edit dialog has been left with OK back to the schedule dialog
  * Update OK button in schedule dialog when the last thing required and
    added are the splits of a split transaction
  * Allow manual update of KMandatoryFieldGroup
  * Only show asset and liability accounts in From/To field for schedules
  * Only show income and expense account in Category field for schedules
  * Avoid usage of std::find with QValueLists
  * Added MyMoneyTransaction::hasAutoCalcSplit() and testcase
  * Fixed Doxygen problems in budget headers
  * Added start of New User Wizard
  * Improved KMyMoneyWizard

2006-03-02 Ace Jones <acejones@users.sourceforge.net>
  * Fixed a subtle bug in my 2/11 checkin.  When transactions were auto-filled
    in based on payee, the split bank ID would get brought in, too.  This
    make it impossible to later match that transaction.

2006-03-01 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added MyMoneySplit::isAutoCalc()
  * Optimization of MyMoneySplit return parameters
  * Fixed #1441071 (Investment transaction Enter button not enabled)

2006-03-01 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Fix base currency dialog for GNC import

2006-02-26 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Reorganized layout of account editor
  * Added balance history/preview to account editor
  * Setup shares field for scheduled transactions
  * Added KReportChartView::setProperty()
  * Added new timestamp() trace function
  * Removed MyMoneyObserver functionality from KMyMoneyCurrencySelector

2006-02-24 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Update developer documentation
  * Speedup build process

2006-02-23 Darren Gould <darren_gould@gmx.de>
   * Added budgeting capability on the account level
   * hooked up the KMyMoneyAccountTree to the BudgetList
     (Patch applied by Ace Jones)

2006-02-23 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added method to remove account from account selection widget

2006-02-23 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Fix outdated hyperlink

2006-02-22 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Sort accounts on homepage in alphabetical order
  * Show number of overdue payments on homepage and sum-up payments
    if more than one payment is overdue for a schedule
  * Added Netherland Antillian Guilder to currency list
  * Added feature to create new currency entries

2006-02-21 Bjorn Helgaas <bjorn.helgaas@hp.com>
  * Remove needless status bar updates
    (Patch applied by Thomas Baumgart)

2006-02-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed documentation problems in MyMoneyBudget
  * Added KMyMoneyWizard framework
  * Fixed build system to better support FreeBSD

2006-02-17 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Don't show closed accounts on home and institution view
  * Don't allow to close accounts referenced by schedules

2006-02-15 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added feature to close/re-open accounts
  * Fixed currency list in new account wizard
  * Fixed layout of new account wizard opening balance page

2006-02-12 Darren Gould <darren_gould@gmx.de>
  * Added new budget, rename budget, delete budget support
  * Support for changing the budget start date

2006-02-12 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Adjusted Andreas' changes here and there a bit and checked in the 
    whole package

2006-02-12 Andreas Nicolai <Andreas.Nicolai@gmx.net>
  * Added : categories menu to main menu and category specific context menu
    to categories view
  * Added : whole hierarchies of (unused) categories can now be deleted,
    also the user can again delete an unused category and have its
    child-categories moved one level up in the hierarchy
  * Fixed : when account/category got deleted, the actions and currently
    selected account weren't updated

2006-02-11 Ace Jones <acejones@users.sourceforge.net>
  * Added rudimentary implementation of manual transaction matching

2006-02-11 Andreas Nicolai <Andreas.Nicolai@gmx.net>
  * Added Feature request #1395262 (Allow customization of Home Page Font Size)
  * Added : font scaling (adjustable with CTRL + mouse wheel) is now
            saved on exit and restored on next restart
  * Added : font scaling can be directly set in "Home" configuration page,
            also the "remember font size on exit" feature can be turned on
            and off in the configuration dialog

2006-02-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added patch provided by Mathieu Ouridoux to check for a possible difference
    when ending reconciliation and warn the user
  * Added missing include of locale.h

2006-02-09 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Read Gnucash V2 files

2006-02-07 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Remove includehints from *.ui files
  * Added support of equity group to MyMoneyFile::consistencyCheck
  * Converted --notimers to --timers option
  * Started adding KMyMoneyPlugin::OnlinePlugin interface

2006-02-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Improved encryption selection on file-by-file basis
  * Bumped internal version of kmymoney2ui.rc due to recent changes

2006-02-05 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Patch to allow compile on FreeBSD
  * Add (some) field descriptions to Investment Register

2006-02-04 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added feature to retrieve secret keys from GPG keyring
  * Added #1280473 (Encryption on a file-by-file basis)

2006-02-03 Darren Gould <darren_gould@gmx.de>
  * Added MyMoneyBudget write and readXML capability
  * Tied XML writing/reading into KBudgetView

2006-02-03 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Extend field descriptor hint to category/memo fields

2006-02-03 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Update networth manually at the end of institution processing to get
    correct numbers
  * Revised mandatory field handling for KMyMoneyEdit object

2006-02-02 Ace Jones <acejones@users.sourceforge.net>
  * Laid the groundwork for budget reports

2006-02-01 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Generalized signal connection for ledger views
  * Prevent from dropping a parent account onto one of its children/grand-
    children
  * Support calling of configure with absolute pathname
  * Fixed #1422382 (Adding payees)

2006-01-31 Ace Jones <acejones@users.sourceforge.net>
  * Added a --notimers option to get rid of my nemesis, the Timer messages.

2006-01-31 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed build system to keep po/*.gmo files from being included
    in the distributioin tar-ball
  * Include fixuifiles in distribution
  * Do not recurse into subdirectories that are not part of the
    project distribution
  * Updated experimental field descriptor
  * Updated tool detection logic to the latest version from the KDE repository

2006-01-31 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Experimental - add field descriptor to ledger view

2006-01-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Show stock accounts as children of corresponding investment account
    in institutions view

2006-01-29 Ace Jones <acejones@users.sourceforge.net>
  * Fixed #1394647 (Stock splits broken)

2006-01-29 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * A tidier implementation of mandatory fields

2006-01-28 Ace Jones <acejones@users.sourceforge.net>
  * Automatically create securities and stock accounts for securities
    found in an OFX file.  Removes the requirement that the security
    already be present in your file before importing.

2006-01-28 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a translation error in the German version (thanks to Karin Capey
    for reporting)
  * Fixed 1400746 (Entering scheduled transaction for a loan crashes)
    (at least shows a somewhat more descriptive error message)
  * Removed unused code
  * Show stock accounts in the correct institution if the parent
    investment account is assigned to an institution
  * Improved signal handling in KMyMoneyAccountTree
  * Improved selection of accounts and investments
  * Reactivated icon tab in accounts view
  * Added #1058732 (Save Account Icon Position)

2006-01-27 Ace Jones <acejones@users.sourceforge.net>
  * Disallow importing into a stock account.
    Fixes #1395656
  * Removed online banking setup options when editing a stock account

2006-01-27 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Apply required field status/color to edit schedule dialog

2006-01-26 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added fixuifiles to the admin directory and included it in Makefiles

2006-01-25 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Sort list of payees in the Reassign transactions dialog by name
  * Improved RMB behaviour in some views/widgets

2006-01-25 Ace Jones <acejones@users.sourceforge.net>
  * Modified ofx plugin to accept ofc files
  * #if0'd out some broken logic in ofx importer.  Some OFX files don't follow
    the spec wrt totals, and this was a poor attempt to deal with that.  It
    ended up breaking many more common cases. 

2006-01-25 Darren Gould <darren_gould@gmx.de>
  * added XML ability and mymoneybudget class for budget feature

2006-01-24 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed #1398924 (Incorrect calculation of investment price)
  * Fixed #1390918 (Can't use more than 2 decimal places in manual price update)
  * Added setting capability for background of required fields

2006-01-23 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added capability to modify/add the opening balance in the account
    edit dialog
  * Renamed kMyMoneyCurrencySelector to KMyMoneyCurrencySelector
  * Renamed kMyMoneySecuritySelector to KMyMoneySecuritySelector
  * Added both of the above to Qt designer widgets
  * Reworked payees view to use new KAction logic

2006-01-21 Darren Gould <darren_gould@linuxmail.org>
  * Initial budgeting view and report mockup 

2006-01-20 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Developer documentation for dialog boxes

2006-01-19 Ace Jones <acejones@users.sourceforge.net>
  * Added README.ofx to help people build with OFX support

2006-01-18 Bjorn Helgaas <bjorn.helgaas@hp.com>
  * Remove unused and commented-out code from account, institution, money,
    payee, security, and transaction

2006-01-16 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Changed definition of USE_OFX_DIRECTCONNECT to be numeric as all others
  * Fixed problem with investment view context menu not poping up anymore
  * Finalized integration into build system for online banking setup wizard

2006-01-16 Ace Jones <acejones@users.sourceforge.net>
  * Updated unit tests for my last checkin

2006-01-14 Ace Jones <acejones@users.sourceforge.net>
  * Added account setup for OFX direct connect
  * Revived OFX direct connect (it's been broken since the KAction changes)
  * OFX direct connect is now officially supproted!
  * Even added some docs

2006-01-12 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed documentation problems
  * Added option to resize icons in navigation bar

2006-01-11 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Allow equity accounts in templates
  * Don't modify account type while reparenting account
  * Made MyMoneyFile a QObject derivative to be able to emit signals.
  * Started to replace notifications with signals
  * Updated some code of KMyMoneyTitleLabel
  * Complete rewrite of KMyMoneyAccountTree and KMyMoneyAccountTreeItem
  * Added KMyMoneyAccountTree to the Qt-Designer widget library
  * Started reworking the views to be more efficient
  * Removed some unused code and files

2006-01-11 Robert Wadley <robntina@users.sourceforge.net>
  * Added 'budget' icons
  * Added an alternate titlebar image with no logo.
  * Added new "default_categories-template" to "C" and "en_US".
    The template in "en_US" contains some additional US specific
    categories (taxes, etc.)
  * Renamed existing "default_accounts" to "old-default_accounts" 
  * Added Joel Webbs schedule E and schedule E templates to en_US

2006-01-07 Ace Jones <acejones@users.sourceforge.net>
  * Added UI for OFX online banking account setup 

2006-01-04 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Fix #1393899 (Add support for new Russian Ruble - RUB)
    Backport to 0.8

2005-12-28 Ace Jones <acejones@users.sourceforge.net>
  * Added a "Transaction Report" option to the Account Menu pull-down in 
    ledgers.  This allows you to quickly get a report for the current account.
    This is part of my insidious plan to weave reports throughout the app.
  * Fixed a bug that prohibited reports from loading, introduced in the 12/22
    checkin.

2005-12-27 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed #1390918 (Can't use more than 2 decimal places in manual price update)
  * Moved maintenance logic for account's balances from MMFile to MMSeqAccessMgr
  * Fixed #1318972 (Currency symbol for foreign stock mis-displayed after quote)

2005-12-26 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added #1280473 (Ecryption on a file-by-file basis)

2005-12-25 Ace Jones <acejones@users.sourceforge.net>
  * Added ability to sort report groups in pivottable reports
   (e.g. Income, Expense).
  * Forced Income group to come before Expenses in spending reports.
  * Merry Christmas!

2005-12-24 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Handle stock accounts in forecast

2005-12-22 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Removed binary reader (left a message if someone tries to load such a file)
  * Added balance to MyMoneyAccount as balance cache for all stored transactions
  * Applied patches provided by Bjorn Helgaas

2005-12-22 Ace Jones <acejones@users.sourceforge.net>
  * Fixed currency conversion in daily/weekly reports  

2005-12-20 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed problem with disabled Finish button in reconcile dialog
  * Added (in)equality operator to MyMoneyPrice
  * Added support for new Romanian Leu
  * Added reference check for price table

2005-12-17 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * changed readXML methods to a constructor of the resp. MyMoneyXXX object
  * adopted testcases
  * Fixed argument to qDebug call in MyMoneyStorageSQL
  * Added patch supplied by Bjorn Helgaas to preset the default currency
    when creating a file
  * Removed some unused code

2005-12-16 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Implemented MyMoneyAccountLoan::hasReferenceTo()
  * Added database documentation files to list of distributed files
  * Fixed markup of database documentation to follow DTD
  * Use new isReferenced() method to enable certain actions
  * Applied patch provided by Bjorn Helgaas (passing references)

2005-12-16 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Document database usage
  * Implement database code with timing improvements

2005-12-15 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Started to fix KDE #115863 (--enable-final and 'make check' fails)
    Now we can compile but still get link errors

2005-12-12 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Applied patch provided by Andreas Nicolei to also change the payee
    within scheduled transactions
  * Fixed new account dialog to assign currency to returned account object

2005-12-11 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed spelling error in payees view
  * Added reference check logic to objects and engine code
    Calls at appropriate locations must still be added

2005-12-10 Ace Jones <acejones@users.sourceforge.net>
  * Added a Loan Transactions report.  This shows loan-specific information 
    about transactions in loan accounts.  It doesn't provide future-looking
    amortization information or loan summary information.

2005-12-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed export of symbols missing from patch applied on 2005-11-29
  * Fixed missing definition in mymoneymoneytest.cpp
  * Fixed export of symbols in test environment

2005-12-09 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Trap database errors; provide timing traces

2005-12-01 Andreas Nicolai <ghorwin@users.sourceforge.net>
  * added new dialog KTransactionReassignDlg
  * new features in payees view:
    - multiple payees can be selected, payee info is only shown
      when a single payee is selected (otherwise info widget is disabled)
    - 'in place' renaming is only possible when a single payee is selected
    - renaming a payee to an existing payees name gives a warning
    - whitespaces in payee names (entered via 'rename' or 'new payee'
      actions) are stripped
    - 'New payee' creates a unique payee name of the format 'New payee [?]'
    - Action 'Delete payee' is now possible for several selected payees
    - when payees are deleted and still assigned to transactions, the user
      can now select an alternative payee who should be used for the
      transactions
  * new comparison operator for MyMoneyPayee to find payees by their id

2005-12-07 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed #1375112 (Can't configure home page)

2005-12-07 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Provide utility routine for schedule weekend option
  * More database stuff (work still ongoing)

2005-12-05 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Integrate database into menu structure

2005-12-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added patch provided by Bjorn Helgaas entitled 'remove
    superfluous QString() usage'

2005-12-04 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Reworked the category creation from within the widget
  * Allow creation of complete category hierarchy in one step from
    within the 'Create category' dialog

2005-11-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added view actions to toggle 'hide reconciled transactions' and
    'hide unused categories'
  * Applied patches provided by Bjorn Helgaas

2005-11-27 Ace Jones <acejones@users.sourceforge.net>
  * Install the 48x48 application icon.  Fixes KDE bug #117044.
  * Inverted the sign for expenses and liabilities in reports and charts.
  * Added a "7-day cashflow forecast" report under the "Net Worth Reports".
    Hopefully this addresses #1238112
  * Added a "year-to-month" date filter in transaction search and reports.
    Addresses #1260311 
  * Added option to include transfers on income/expense reports.  This
    addresses #1297972.
  * Added ability to configure reports to have days or weeks as the column.

2005-11-25 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Reworked settings dialog to be based on KConfigDialog
  * Allow quit when trying to open the same file as already opened in
    another instance of KMyMoney
  * Install kgpgfile.h
  * Removed deprecated method kMyMoneyEdit::getMoneyValue()
  * Use kMyMoneyEdit::setValue() rather than setText() to load values
  * Changed MyMoneyPayee to use references in constructor

2005-11-24 Ace Jones <acejones@users.sourceforge.net>
  * Added mid- and low-level support for days-based grid reports.  (High-
    level UI support has not been added yet.)
  * Removed opening balance tests in reports, which now failed thanks to
    opening balances being removed.
  * Fixed a bug where duplicate securities were not getting picked up
    correctly in online quotes.   

2005-11-22 Ace Jones <acejones@users.sourceforge.net>
  * Better handling of missing &...; sequences in HTML returned during online
    quotes.
  * Added an Account button to the checking & loan ledger

2005-11-19 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Fix doxygenation...

2005-11-19 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Doxygenate SQL stuff

2005-11-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added autosave patch provided by Marcellino Villarino with a few
    modifications
  * Combined multiple ways of commiting a scheduled transaction into a
    single path
  * Send out notification when MyMoneyFile::setUser() was called

2005-11-18 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Initial checkin of SQL backend code

2005-11-16 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added factor feature for online price updates

2005-11-15 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Converted schedules view to use new action structure
  * Don't colorize lines in schedule view that do not contain a schedule

2005-11-14 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added date modification widget to KCurrencyCalculator to allow
    manual price updates in a single dialog
  * Converted investment view to use new action structure

2005-11-13 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed problem with opening balance transactions for investment accounts
  * Fixed a problem when the current selected investment account is removed
  * Added toolbar button to start KCalc

2005-11-12 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Applied patch as provided by Bjorn Helgaas to collect user
    information in a MyMoneyPayee object.
  * Fixed display suppression of unused categories

2005-11-11 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Moved most context menus to kmymoney2ui.rc
  * Modified menu structure
  * Revised logic around actions, context menus
  * Adapted plugin interface to new action handling
  * Print error when running 'make package-messages' in a VPATH environment
  * Differentiate 'split transaction' for usage as category and caption

2005-11-08 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Moved some action slots to KMyMoney2App:
  * Revised KAction handling
  * Fixed date calculation in isOverdue testcase, enhanced testcase
  * Restructured action handling
  * Renamed some members in the new account wizard
  * Changed open balance handling in new account wizard to use
    'opening balance transaction'

2005-11-06 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated files for german and galician translation

2005-11-06 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Save/restore payee email address
    Could backport to 0.8

2005-11-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed #1348087 (Save not enabled)
  * Added command line option '-n' to startup without the last file opened
  * Adjust the size of the 'move account to ...' selector based on the
    length of the account names

2005-11-04 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added ledger sort mode for 'order of entry' (based on transaction-id)
  * Fixed MyMoneyScheduled::isOverdue() to return correct information
  * Added testcase for MyMoneyScheduled::isOverdue()
  * Fixed calculation of net-worth in views
  * Added 'Move to account ...' functionality

2005-11-03 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Make MyMoneySchedule::transaction() return a reference
  * Catch exceptions during forecast processing

2005-11-02 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed #1323166 (Investment balances on homepage are the number of shares)
    with patch provided by Maik Hinrichs
  * Applied patch to add *.a to .cvsignore as provided by Maik Hinrichs

2005-10-31 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed MyMoneyStorageANON to write out correct data
  * Added performance test feature
  * Performance improvements in accounts view and engine code
  * ::timetrace changes
  * Write error message about thrown exception to stderr in pivottable.cpp
  * Added patch required for gcc 4.1 as provided by Stephan Binner
  * Added patch to remove invalid includehints from *.ui file as provided
    by Stephan Binner

2005-10-27 Ace Jones <acejones@users.sourceforge.net>
  * Updated MyMoneyReport object to use MyMoneyObject
  * Change MyMoneyStorageANON to calculate the quasi-random offset
    factor once and use it every time.
  * Also removed some extraneous consts from returned-by-value objects

2005-10-23 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Allow entry of new categories; check Payee present
    Backport to 0.8

2005-10-19 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Don't crash on schedules w/ strange transactions during forecast
  * Only allow entering of schedules when all needed values are present
  * More changes due to introduction of MyMoneyObject

2005-10-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added MyMoneyKeyValueContainer::clear()
  * Added testcases and fixed a few problems here and there in the read/write
    XML methods
  * Added configure options for Mandriva 2006 as reported by Paul Doig

2005-10-17 Robert Wadley <robntina@users.sourceforge.net>
  * Made corrections to the 'what's new' html page.

2005-10-17 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added writeXML and readXML to MyMoneyInstitution, MyMoneyPayee
  * Added testcases for those routines
  * Changed storage MyMoneyStorageXML to use these routines
  * Fixed non-working quit button, shortcut and menu entry
  * Don't allow negative values for 'enter schedules # days in advance'

2005-10-16 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated MyMoneyObject as discussed on mailing list
  * Added writeXML and readXML methods to MyMoneyAccount and
    MyMoneyKeyValueContainer
  * Added testcases for those routines
  * Changed storage MyMoneyStorageXML to use these routines
  * Added number of stored prices to file info dialog

2005-10-16 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Fix 1323157 - Price Editor showed reciprocal value
  * Gnucash reader - set shares = value where split currency = tx currency

2005-10-11 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Preliminary signals for proposed file ops plugin

2005-10-10 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Don't include todays transactions twice in the forecast

2005-10-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added fileinfo dialog to show object counts of current file
  * Added traces for time measurement
  * Added patches to Makefile.dist as provided by Bjorn Helgaas
  * Incremented min automake version to 1.7.9

2005-10-09 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Fix a typo which has long annoyed me, tho' nobbut a Brit would notice

2005-10-08 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added MyMoneyObject as base object to be used for all storable
    MyMoneyXXX objects.
  * Converted MyMoneyAccount to use MyMoneyObject

2005-10-07 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Gnucash reader - link dialog help to online manual (requires 'make install')

2005-10-04 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed #1221979 (KMyMoney won't start)

2005-10-03 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Fix transaction types for Create Schedule

2005-09-30 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Linked help button in reports configuration dialog to online manual

2005-10-02 Ace Jones <acejones@users.sourceforge.net>
  * Fixed a raft of broken logic in calculation of scheduled payment dates
  * Added option to include scheduled transactions in pivottable reports.

2005-09-30 Ace Jones <acejones@users.sourceforge.net>
  * Vastly simplified OFX dependency checking.  Now relies on pkg-config to
    sort out OFX versions.
  * Enabled debugging details for all load-time fixups.  I want to root out 
    the source of all fixups upon load.
  * Added debugging information around ofx direct connect sessions, in an
    attempt to troubleshoot certain problems for users in that area.

2005-09-30 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Made calculatorButtonVisible available for Qt-Designer
  * Added kMyMoneyPayee to designer library
  * Removed calculator button from minimum balance field in new account dialog

2005-09-30 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Avoid problem when creating schedule from Check or ATM transaction.
    Unlikely, but...

2005-09-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed library dependency during build by including the required object file

2005-09-28 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Make sure UIC uses our own widget library
  * always build widget library, install for designer upon request
  * Applied patches by Erik Johansson to be Up/Down the same as +/- and
    the day field receives focus when the widget is selected no matter
    which date format is selected
  * Fixed #1289026 (Transfer creates flashing red entry in destination account)

2005-09-27 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Removed debug output for price conversion
  * Added minimum balance for asset/liability  accounts
  * Improved 90 day forecast to show warnings when balance drops
    below the minimum balance setting or even below 0

2005-09-24 Ace Jones <acejones@users.sourceforge.net>
  * Fixed #1289811 (Account balance incorrect when opening kmymoney) by...
  * Disallow importing a QIF transaction that transfers from/to the same 
    account.
  * Properly fix the problem where KDE currency settings would interfere with
    QIF date parsing.

2005-09-24 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added 90 day forecast to home view

2005-09-22 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added MyMoneyPrice unit tests
  * Fixed #1285995 (Accounts view shows wrong balance with foreign currency)
    actually a problem in conversion rate extraction in MyMoneyPrice
  * Added date parameter to totalValue() and accountValue() in MyMoneyFile

2005-09-22 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Fixed spelling problem reported by Jochen Rundholz

2005-09-20 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed #1264916 (Cannot edit fund details in investments)
  * Set default fraction for new investments to 100
  * Improved numeric validator for kMyMoneyEdit objects

2005-09-19 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Editorial changes to the project handbook
  * Use correct character set for HTML version of project handbook
  * Added note about usage of interest field in reconciliation wizard to docs
  * Added version number to title page of online documentation

2005-09-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added version history for the project handbook
  * Added chapter about translations provided by Jochen Rundholz to project
    handbook
  * Fixed problems around editing multi-currency transactions based
    on a different currency than the current account.
  * Balance transactions in anonymized files by using a single,
    somewhat random factor per transaction

2005-09-16 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed #1288592 (Crash with Auto fill)
  * Added danish translation file as provided by Daniel Sørensen
    <daniel@dumazz.dk> (he says only 20% are done but he does not have time
    to continue)

2005-09-15 Robert Wadley <robntina@users.sourceforge.net>
  * replaced reports icons
  * added some 22x22 "chart style" icons

2005-09-14 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed #1287850 (Empty action box)
  * Fixed #1286028 (Edit Account dialog shows wrong currency)
  * Fixed #1286033 (KMyMoney hangs up)
  * Fixed result calculation in KCurrencyCalculator to produce smaller
    numerators and denominators
  * Added unit testcase for problem #1291044
  * Fixed #1291044 (Cannot apply $0.01US interest expense in a split)
  * Fixed typos reported by Jochen Rundholz

2005-09-13 Ace Jones <acejones@users.sourceforge.net>
  * Updated to CVS version of libOFX
  * Added support for fees to OFX and Statement imports
  * Fixed sign reversal on OFX dividend imports
  * Support QIF imports without a "Type" line
  * Added Wallstreet-Online.DE online quote source
    Submitted by Marc Zahnlecker <tf2k@users.sourceforge.net>

2005-09-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Changed minimum KDE version to 3.2 in configure.in.in
  * Added patch provided by Erik Johansson to display the selected date
    including the weekday in a KPassivePopup
  * Adjusted build system to work from in initially empty sandbox

2005-09-09 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * GnuCash Reader - fix locale-dependent problem on schedules
                   - stop crash on invalid price

2005-09-04 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Restrict type of accounts allowed as payment/asset accounts for loans
  * Sort transactions in ledger on same date by check no and then by value
  * Keep check number if already entered when autofilling a transaction
  * Updated link to PDF version of project handbook
  * Added local rules to make online versions for project handbook and manual
    (requires a script which I currently only have on my local system)
  * Changed spelling of Ruble to be consistent
  * Translate currency names when loading file with different language set
  * Don't override user supplied check no when loading prev. transaction
  * Fixed #1264927 (check number for same day not in ascending order)
  * Removed GWEN logger settings as requested by Martin
  * Added hint to sort order of transactions in online manual

2005-09-04 Ace Jones <acejones@users.sourceforge.net>
  * Update docs to say that you have to remove all the transactions from an
    account before deleting it.
  * Fixed a bug where in online price update, the local KDE currency was being
    shown for foreign stocks, instead of the stock's own currency.
  * Added VWD.DE online quote source, useful for german funds
  * Added ability to handle quote sources where the decimal separator
    is not period
  * Added ability to handle quote sources which contain a thousands separator
  * Added docs on how to find the trading symbol for a security supported
    by Yahoo
  * Chart documentation

2005-09-04 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added support to build widget library for Qt-Designer (needs to be
    enabled via configure)
  * Include new options in configure summary.
  * Separated configure summary in user and developer optionsa
  * Separated generation of kmymoney2.pot from merging of language files
  * Allow to run in VPATH environment
  * Added patch provided by Mathieu Ourioux to hide reconciled
    transactions in ledger view
  * Added patch provided by Erik Johansson to allow * to decrement the
    date and use T to set date to today
  * Updated documentation
  * Include a missing string in pot file
  * Use KMessageBox rather than QMessageBox

2005-09-02 Ace Jones <acejones@users.sourceforge.net>
  * Fixed legend on circular charts
  * Don't give option to display charts for querytable reports
  * Don't populate default charts if charts are not compiled in
  * Change all uses of "security" to "encryption" where that's what it means.
    Eliminates terminology conflict with "security" where it means "stock/etc".
  * Change uses of "Transfer from/to" to "Convert from/to" in currency converter.
    Linguistically more accurate.

2005-08-29 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * GnuCash Reader 
    - correct split action types
    - detect checks properly
    - fix locale-dependent problem on schedules

2005-08-27 Ace Jones <acejones@users.sourceforge.net>
  * When importing investments via OFX into an investment account with an
    associated brokerage account, use that account for the buys/sells &
    cash dividends.
  * When importing investments via OFX into an investment account with an
    associated brokerage account, allow non-investment transactions.  Dump
    them into the brokerage account.
  * Added fees to MMStatement::Transaction struct for later use
  * Commented some obscure aspects of MMStatement
  * Also match imported securities by name if they have no symbol

2005-08-26 Ace Jones <acejones@users.sourceforge.net>
  * Added ability for import plugins to specify the file format filter to use
    when looking for those files
  * Added "*.qfx" to file format filter in OFX import plugin
  * Added three new default chart-type reports
  * Added a new "Charts" section to the reports summary which collects all
    reports that are set to display initially as charts

2005-08-25 Ace Jones <acejones@users.sourceforge.net>
  * Fixed crash in chart configuration
  * Added stacked bar chart
  * Changed ring chart to be proportional widths (not sure I like this)
  * Changed pie charts to look 3D

2005-08-23 Ace Jones <acejones@users.sourceforge.net>
  * Chart configuration dialog
  * Added line, bar, pie & ring charts
  * Ability to configure a report to always show up as a chart
  * Ability to toggle grid lines and printed data values
  * These new values are saved to the KMM file.

2005-08-22 Ace Jones <acejones@users.sourceforge.net>
  * Fixed text string problems.  Thanks to Jochen Rundholz for identifying.
  * Attempted to fix QIF import problem where it was hampered by having
    the KDE locale's negative sign position set to "Parens Around".

2005-08-19 Ace Jones <acejones@users.sourceforge.net>
  * Modified pivottable reports to be configurable to four levels of detail
    (sub-accounts, top-accounts, groups, total)
  * Charting and HTML rendering respects the new levels of detail.  This
    makes charting much more useful, IMO.

2005-08-19 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed #1263755 (Crash when moving account from one subgroup to another)

2005-08-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * updated admin/acinclude.m4.in
  * Fixed KDE BUG #110851 (Wrong date formatting in forms)

2005-08-17 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed #1260732 (Reconciling multiple currencies) Thanks to
    "pSmart" for reporting
  * Fixed #1261797 (Manual price entry/update does not store values)
  * Added complete check for KDChart availability

2005-08-16 Ace Jones <acejones@users.sourceforge.net>
  * Modified charts to show one line per sub-account or per top-account
    depending on the setting of the "Show Top Accounts" configuration option.

2005-08-15 Ace Jones <acejones@users.sourceforge.net>
  * Initial integration of charts.  For pivottable reports (income/expenses and
    net worth), the "Chart" button will display a single line graph of the 
    total.  To use it, ensure you have libkdchart.la and configure with 
    --enable-charts.

2005-08-15 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed #1259351 (Icons view doesn't honor single click preference)
  * Fixed minor problem in build environment
  * Bumped minimum required version of KBanking to new AqBanking package

2005-08-14 Ace Jones <acejones@users.sourceforge.net>
  * Explain how to convert from another encoding to UTF8
  * Fixed a problem in my last checkin where libofx was 
    required to build CVS version.

2005-08-13 Ace Jones <acejones@users.sourceforge.net>
  * Fixed a recently-introduced bug where the wrong price
    source was being used.
  * Updated OFX Direct Connect to use libofx 0.8.0
  * #if0'd OFX unit tests this will get moved to a plugin unit tester.
  * #if0'd code to create OFX response files.  This will get moved to
    libofx.
  * Added support for stock splits

2005-08-12 Ace Jones <acejones@users.sourceforge.net>
  * Catch exceptions in QIF importer when turning back on notifications

2005-08-12 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * If auto enter is selected for a schedule, enter it if it's due today
    not only if it is overdue
  * Fixed #1256431 (tx switch from Dep. to Withdr.)
  * Released 0.8

2005-08-09 Ace Jones <acejones@users.sourceforge.net>
  * Added progress to the progress bar when importing a KMM statement
  * In KMM statement importer, post dividend income to "_Dividend" account
  * "By institution" reports now group by institution & topaccount
  * Accounts with no institution now get their institution from the topaccount
  * Investment accounts are not included in account-based query reports

2005-08-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Make sure the Finish button is enabled on the last page of
    the edit loan wizard
  * Update schedule view when a new loan account has been added
  * Don't show error if schedule has no payee assigned
  * Fixed a problem in KFilterDev by providing our own version
    of QIODevice::readAll() in mymoneystoragexml.cpp  This caused
    the program to lock up on certain compressed files

2005-08-08 Robert Wadley <robntina@users.sourceforge.net>
  * Changed my email address as listed in the docs
  * Assorted image resolution tweeks to improve PDF output.

2005-08-06 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Send out notification when report is added to engine

2005-08-06 Robert Wadley <robntina@users.sourceforge.net>
  * Added the 0.8 splash screen and titlebar image.

2005-08-06 Ace Jones <acejones@users.sourceforge.net>
  * Edited loan docs

2005-08-06 Robert Wadley <robntina@users.sourceforge.net>
  * Adjusted image sizes for PDF output.

2005-08-05 Ace Jones <acejones@users.sourceforge.net>
  * Spelling fixes in loans docs from Darin

2005-08-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added --enable-pdf-docs to configure which controls the generation
    of the PDF version of the developer handbook and the user manual.
    This setting defaults to 'no'
  * Fixed a problem around creating symbolic links to header files in
    VPATH build environments
  * Added online help to
    - settings dialog
    - QIF profile editor
    - Schedule dialog

2005-08-03 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed #1250608 (Calculator calculates wrong)
  * Fixed crash when using option 'Goto other side of transfer transaction'

2005-08-03 Ace Jones <acejones@users.sourceforge.net>
  * Spelling fixes in loans docs from Darin

2005-08-02 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Don't show the 'ancient' currencies in the online update dialog

2005-08-01 Ace Jones <acejones@users.sourceforge.net>
  * Handle 'yield' transactions in reports.  Previously, they were
    universally ignored.
  * New Loans chapter for manual from Darin.
  * Updated search chapter for manual from Darin.

2005-08-01 Robert Wadley <robntina@users.sourceforge.net>
  * Added more screenshots for the manual
  * Clarified some text in the manual (Schedules)
  * Made some small changes in the manual for consistency.(First time)

2005-07-31 Ace Jones <acejones@users.sourceforge.net>
  * Added a "continue/cancel" dialog when there is a problem importing
    a single transaction.  Otherwise, the user will keep getting the
    error dialog continuously in a large file.
  * Fixes a bug in the investment performance report: "shares bought on 
    the report start day are included in the starting balance and in buys. 
    The solution is to take the starting balance from the day before the 
    start of the report."
    As submitted by Peter Pointner <pml1@wuzel.de>

2005-07-31 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * GnuCash Reader - implement (and document) ancient currency support

2005-07-31 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added auto loading of 'ancient' currencies to
    KMyMoneyView::loadAncientCurrencies
  * Added all currencies that were converted to EURO to this list
  * Maintain setting of 'update price history' between sessions
  * Correctly interpret the amount entered for foreign currency
    transactions (required a TAB to update the values before pressing OK)
  * Do not allow to modify ancient currency prices

2005-07-30 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Maintain identification entered for investments
  * Modified home view to catch exceptions when information is somewhat
    inconsistent

2005-07-30 Robert Wadley <robntina@users.sourceforge.net>
  * fixed some screenshot mistakes

2005-07-30 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * GnuCash Reader - handle transactions without a currency

2005-07-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Released 0.7.5
  * Regenerated strings for translations
  * Added updated Italian and German translation
  * Fixed #1241831 (Encryption/Decryption problem with 0.7.4)
    Many thanks to Thomas Schlesinger for his help to resolve this problem

2005-07-29 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * GnuCash Reader
    - fix account type error message
    - fix sloppy coding errors which I've been getting away with for too long
    - update documentation

2005-07-27 Robert Wadley <robntina@users.sourceforge.net>
  * Added some screenshots for the user manual for Tony.

2005-07-26 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed problem with total value not including fees when editing
    investment transactions (reported by Peter Pointner)
  * Fixed #1243365 (Wrong symbol of foreign currency on homepage)
  * Hide unused widget in currency editor

2005-07-25 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Enter and show reconciliation values for liability accounts as
    positive values

2005-07-24 Ace Jones <acejones@users.sourceforge.net>
  * More handbook changes
    - Added & edited Roger's Settings chapter
    - Retooled introduction chapter
    - Added lots of links between various sections
    - Added more details on the price editor
    - Added authorinfo tags to chapters where they were missing
    - Wrote instructions on how to write high-quality bugs
    - Various edits throughout the manual

2005-07-24 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed misdetection of EOF in KGPGFile
  * Make sure edit session ends when switching from investment transaction tab
    to investment summary tab

2005-07-23 Robert Wadley <robntina@users.sourceforge.net>
  * Added some investment screenshots to the user manual.

2005-07-23 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * GnuCash Reader - handle Currency account type
                   - update documentation

2005-07-22 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed problem when opening an encrypted file w/o using the gpg-agent
    This was broken due to the changes added on 2005-07-15

2005-07-21 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed crash when selecting print with no report selected

2005-07-20 Ace Jones <acejones@users.sourceforge.net>
  * Fixed QIF importer to deal with reinvest dividend transactions that have
    fees associated with them.

2005-07-20 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed auto increment of check number field to work with non-numeric
    entries

2005-07-18 Ace Jones <acejones@users.sourceforge.net>
  * More handbook changes
    - Explained the price editor
    - Finished investment documentation
    - Added lots of "Screen Shot" cues for Rob
    - Added Rob to the manual credits

2005-07-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Allow opening the split editor on new transactions when the
    transaction form is not visible

2005-07-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed tab order in new investment wizard
  * Added help button to reconcile wizard
  * Released 0.7.4
  * Bumped version to 0.7.5

2005-07-18 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * GnuCash Reader - stand-alone anonymizer fixes
                   - fix memory leak when deferred interval present

2005-07-18 Robert Wadley <robntina@users.sourceforge.net>
  * Added quite a few more screenshots to the user manual.

2005-07-17 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Minor layout changes (use tags where possible)
  * Added Ctrl-Ins to create new transactions/splits
  * Use $(MAKE) instead of 'make' to be able to switch make program
  * Removed unused code enclosed with "#if __WORDSIZE == 32"
  * Removed unused declarations in mymoneymoney.h
  * Allow to compile mymoneymoneytest on FreeBSD

2005-07-16 Ace Jones <acejones@users.sourceforge.net>
  * QIF Importer improvements for investments
    - Supports O and L fields (transaction fees and account transfer)
    - Disallow transfers INTO an investment account
  * Major revision of the handbook
    - Pared down 'firsttime' section significantly
    - Moved most 'firsttime' information down into the details
    - Merged MTE's 'firsttime' information with Roger's sections
    - Added Roger's latest: Menus reference
    - Removed "Views" reference
    - Removed "Integrity Checks"
    - Removed "Other documentation"
    - Removed my "Files" section. Tom's is better.
    - Added links for the 2 remaining "whats new" items without links
        
2005-07-16 Robert Wadley <robntina@users.sourceforge.net>
  * Added screenshots for details-widgets.docbook in the user manual.

2005-07-15 Robert Wadley <robntina@users.sourceforge.net>
  * Applied patches submitted by Darin Strait for the user manual.

2005-07-15 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Allow modification of due date for newly created schedules based on
    existing transactions
  * Fixed a nasty problem when two-byte characters across a 512 byte
    boundary in a GPG encrypted file causing a false EOF report in KGPGFile.

2005-07-11 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Destroy objects in MyMoneyStorageXML::readFile even if file is not
    parsable to avoid memory leaks
  * Added capability to modify fraction of securities/investments
    ie. Fixed #1175904 (Edit investment shares precision)
  * Use precision setting for price fields in investment handling
  * Fixed email link in documentation
  * Suppress engine notifications during auto entering due schedules
    after file load

2005-07-13 Robert Wadley <robntina@users.sourceforge.net>
  * added screenshots submitted by Darin Strait for the user manual.

2005-07-10 Ace Jones <acejones@users.sourceforge.net>
  * When saving an anonymous file, retain the linkage from investment account 
    to brokerage account  
  * QIF Importer improvements for investments
    - Fixed reversed sign on dividend importing
    - Fixed price importing.  Previously, it only imported prices for the
      current account.  But really it should import them for any prices you have
      in your KMM file.
    - Added line number to warnings, to make it easier to track them down
    - Converted many dialog-box warnings to debug output.  They weren't that 
      useful in dialogs
    - Removed "QIF/" from bank ID's.  It was a bad design decision to include
      that.  If you import the same transaction 2 different ways, it will
      seem different to KMM, but it should look like the same transaction.
    - Warn when importing an investment transaction without a stock
    - Warn when ignoring a transaction because the stock was not found
    - Warn when ignoring a stock split

2005-07-10 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Applied patch provided by Christian Nolte <noltec@users.sourceforge.net>
  * Use QFile as base class instead of QIODevice
  * Bumped version number to 0.7.4

2005-07-10 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * GnuCash Reader - improve formula detection in schedules
                   - minor stand-alone anonymizer changes

2005-07-09 Ace Jones <acejones@users.sourceforge.net>
  * Updated ledger docs from Roger
  * Small fixes here and there in the docs
  * Modified home view to show total value of favorite accounts
    (this includes balances of sub-accounts, and correctly handles currency)

2005-07-08 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Regenerated message files
  * Released 0.7.3

2005-07-07 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added quick-fix to avoid crash on schedule creation
  * Applied doc patch provided by Jerry Amundsen

2005-07-06 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Save equity account to file
  * Re-attach children of equity account when loading old file

2005-07-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Moved stockSplit() and transactionType() from KLedgerView to KMyMoneyUtils
  * Improved display of investment transactions in other ledger views
  * Added help button to new account wizard and linked to online doc
  * Fixed some of the screenshot stuff

2005-07-05 Robert Wadley <robntina@users.sourceforge.net>
  * screenshot stuff

2005-07-04 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added index.html to .cvsignore in doc/en
  * Fixed #1231925 (Institutions view: totals do not reflect the accounts)
  * Changed section tags into sect1 tags
  * Changed 'KMyMoney' to &kappname;
  * Added missing files to doc/en/Makefile.am
  * Added home.html and whats_new.html for french as provided by
    duloup@gmail.com

2005-07-02 Robert Wadley <robntina@users.sourceforge.net>
  * Added screenshots for the manual.
  * Made some small changes to some of the image names in the manual.
  * Added image names to the makefile

2005-06-28 Ace Jones <acejones@users.sourceforge.net>
  * Added meta tag to html reports.  Apparantly this makes them show up better
    on Windows.  Submitted by Duloup <duloup@gmail.com>

2005-06-23 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Selecting a different payee during renaming of another payee will
    now enter the changes if the 'Keep changes when selecting a 
    different transaction/split' register setting is selected.
    See also ChangeLog entry dated 2005-03-12.
  * New categories will be shown as sub-account of expenses (#1061790)
  * Applied patch provided by Laurent Montel to kmymoney2ui.rc

2005-06-20 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed 'undefined INT_MIN, INT_MAX' problem
  * Resolved compiler warnings in kofxdirectconnectdlg.cpp
  * Fixed #1216779 (Fails to save with space in path)
  * Added italian what's new page provided by Samuel Algisi and Andrea Nironi

2005-06-20 Ace Jones <acejones@users.sourceforge.net>
  * Surround CSV fields with quotes in report export.  Fixes #1210755

2005-06-20 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * GnuCash Reader - fix QMessageBox change/bug

2005-06-15 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * GnuCash Reader - make anonymized names more readable

2005-06-15 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Moved mymoneymoney.cpp to be the first module included when
    building with --enable-final=yes, so that __STDC_LIMIT_MACROS is defined
    before stdint.h is included for the first time

2005-06-14 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Bumped version number to 0.7.3
  * Applied fix-compile-visibility patch by Laurent Montel
  * Updated acinclude.m4.in and cvs.sh from KDE/admin
  * Pick up unusual places for the KDE basedir (e.g. /usr/lib/kde/3.3)
  * Allow generation of pot file even if kde-config --install include
    returns NONE

2005-06-13 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added description of common widgets
  * Extract path for stylesheet from $(KDE_XSL_STYLESHEET)
  * Applied ui-dialog patch provided by Laurent Montel

2005-06-08 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added function to select/unselect an account subtree in the
    account selector widget via the right mouse button
  * Fixed nested 'if' in Makefile.am
  * Fixed reported Makefile.am problems with missing $(DESTDIR)

2005-06-07 Ace Jones <acejones@users.sourceforge.net>  
  * Added Roger's chapter on institutions
  * Updated some documentor assignments
  * Added Roger to the doc credits

2005-06-06 Ace Jones <acejones@users.sourceforge.net>  
  QIF Importer fixes for investments
  * Don't create the cash side of the split if there is no cash involved
    (Reinvest dividends and add/subtract shares)
  * Fix Reinvest Dividends to use an income account also
  * Support reinvlg, reinvsh (doing this on blind faith..I'm not really sure
    what these transactions look like)
  * Fix missing 'else' that caused reinvested dividends to show up as
    unsupported.
  * Support "sellx", "divx", etc
  * Clarified the warning that !Type:Bank + NInvst isn't really supported
  * Clarified the warning that Memorized Transactions are not supported

2005-06-06 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added access to online help to find transaction dialog
  * Made the transaction history the default in payees view
  * Added chapter about widgets to documentation
  * Convert html to encoding 'utf-8' for make preview
  * Added 'make show' which opens the preview in konqueror
  * Updated italian translation provided by Samuel Algisi and Andrea Nironi
  * Revised german pages

2005-06-05 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * GnuCash Reader - fix crash in Tools/Prices

2005-06-05 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * GnuCash reader documentation (forgot --check - sorry!)

2005-06-05 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * GnuCash reader documentation

2005-06-03 Ace Jones <acejones@users.sourceforge.net>
  * Refined the language regarding report configuration & report favorites
  * Fixed the QIF import progress dialog for adding transactions to your 
    ledger, so now it displays properly.

2005-06-03 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed broken actions (find transactions, print, reconcile)
  * Removed some recently added debug output
  * Applied i18n-patch provided by Laurent Montel with slight modifications

2005-06-03 Ace Jones <acejones@users.sourceforge.net>
  * Added some i18n's in report configuration.  Submitted by Laurent Montel
    <montel@kde.org>

2005-06-03 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Add a bit of code that got lost yesterday

2005-06-02 Ace Jones <acejones@users.sourceforge.net>
  * Massive speed-up to QIF import.  3,000 transactions now takes less than a 
    minute, instead of >45.  The progress dialog needs help, though.
  * Fixed OFX direct connect, that has been broken since I purged the non-
    plugin OFX importer.
  * Changes to experiment with link replacement in home.html.  These are all
    #if0'd out.

2005-06-02 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Don't allow GnuCash import into existing file

2005-06-02 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Allow to open/import GnuCash files without suffix

2005-05-31 Ace Jones <acejones@users.sourceforge.net>
  * Added Categories and Accounts help as submitted by
    Roger Lum <rogerlum@gmail.com>
  * Added Search Transactions help as submitted by
    Darin Strait <darin_strait@yahoo.com>

2005-05-31 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Released 0.7.2

2005-05-30 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added detection of html2ps and ps2pdf14 during configure
  * Added conditional conversion of project handbook into pdf if
    the necessary tools are present
  * Don't compress file if named .xml
  * Fixed warning about missing argument to QString::arg() in KMyMoneyView

2005-05-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Pickup i18n version of whats_new.html
  * Added KMyMoneyUtils::findResource() which searches different
    filenames to find a translated file
  * Added some more Galician files provided by Marcellino
  * Added German translation to home page and what's new page
  * Added (partial) italian translation provided by Samuel Algisi

2005-05-27 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Calculator widget will clear display upon first digit/comma/period when
    opened via the button
  * Fixed payee rename to happen immediately
  * Don't crash if splash screen is not correctly installed
  * Renamed gl_ES.po and es_ES.po into gl.po and es.po
  * Updated -fvisibility detection and usage
  * Added 'make preview' to online documentation
  * Generate PHB using meinproc

2005-05-25 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added support for unsermake (updated to current versions of 
    cvs.sh and detect-autoconf.sh in the admin subdir)
  * Added support for -fvisibility (slightly modified patch
    provided by Laurent Montel)
  * Fixed build-system in kgncpricesourcedlg.h (I made this change
    already for 0.7.1 but it got lost/overwritten in the meantime)

2005-05-23 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Applied patches provided by Laurent Montel
  * Added entry for Laurent on the about page
  * Added shortcut Ctrl-Ins to start a new transaction/split
  * Changed copy split to only work with Ctrl-C

2005-05-23 Ace Jones <acejones@users.sourceforge.net>
  * Updated help files for reports, investments, and qif/ofx import

2005-05-23 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Gnucash Reader
    * Add dialog for Price Source
    * Fix stock transfer crash
    * Stand-alone anonymizer fix

2005-05-22 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fix selection of investment accounts when account is selected in
    another view

2005-05-21 Ace Jones <acejones@users.sourceforge.net>
  * First draft of help files for reports, online quotes, and qif/ofx import

2005-05-21 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Bumped version to 0.7.2
  * Added == and != operators to MyMoneySecurity
  * Added testcases for the above
  * Fixed new investment wizard to store modified security information

2005-05-21 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed drag&drop of accounts between institutions
  * Fixed build system for documentation
  * Released 0.7.1

2005-05-20 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed dependencies and install instructions for documentation
  * Added initial doc on currencies
  * Removed outbox view from documentation as it is not part of 0.8

2005-05-15 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Avoid warning about unknown macro in kmymoney2.cpp
  * Fixed escape sequence in kmymoneyedit.cpp
  * Allow --enable-final to work properly with prior modifications
  * Don't include the docbook source files in the installation
  * Added new docbook files provided by Ace
  * Added patch provided by Laurent Montel to fix some cvsignore files
  * Fixed some more .cvsignore problems

2005-05-14 Ace Jones <acejones@users.sourceforge.net>
  * Added investment handling to QIF importing.  Handles !Type:Invst
    !Type:Price and !Type:Security.
  * Started "KMyMoney Files" help file

2005-05-14 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Gnucash Reader
    * Infrastructure for Price Source fix

2005-05-14 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Display all values in the investment transaction form as they show
    up in the edit widgets
  * Display currency symbol in investment transaction's value column
  * Updated language specific files
  * Released 0.7.0

2005-05-13 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Gnucash Reader: allow edit of suspect scheduled transactions

2005-05-12 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated am_edit to state currently found in KDE admin directory
  * Fixed am_edit to setup dependencies correctly
  * Show currency symbols in investment ledger

2005-05-12 Robert Wadley <robntina@users.sourceforge.net>
  * Changed the version number in the "about this release" page to 0.7

2005-05-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Update field descriptions according to tab for all fields empty
  * Fixed scheduled transactions to work from non-base-currency accounts
  * Fix commodity of scheduled transactions if empty when loading file

2005-05-08 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Update balances in accounts and institutio view when prices are changed
  * Fixed handling of 'parens around' handling for negative values
  * Fixed layout of details tab in FindTransactionDlg
  * Speedup processing of page-up/page-down of register display

2005-05-07 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed flickering of register when running w/o transaction form
  * Fixed crash when loading different file
  * Fixed initial selection of account in investment view

2005-05-06 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Force pointers to deleted objects to point to 0x00
  * Fixed update of transaction type tabs and field description strings
  * Fixed update of transaction type widget in ledger entry mode
  * Removed unused code in kMyMoneyCombo
  * Fixed signal emition of kMyMoneyCombo

2005-05-01 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Switch to ledger view when double-clicking an account in the 
    institutions view
  * Fixed title label of institution view

2005-04-30 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed display of positive net-worth (no more &nbsp;)
  * Added auto increment check number
  * Fixed a bug in the build system around the man pages

2005-04-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed crash when adding new investment transactions via clicking
    on the emtpy line at the end of the ledger.
  * Fixed some problems around widget updates during entry of
    investment transactions
  * Fixed initial column width of transaction list in payees view
  * Removed non-existant files in doc/en from distribution list

2005-04-24 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added methods checkNoUsed() and highestCheckNo() to MyMoneyFile
  * Warn user if check no is already in use
  * When creating a transaction based on a previous one, set
    check no to 'highest number used' plus 1.
  * Update check no field if scheduled bill is paid with check
    (This partially fixes #972028)

2005-04-24 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added setting for color used to identify values that are based
    on missing conversion rates (default=blue)
  * Fixed values in the institution view when stock accounts are involved
  * Fixed sign of values in institution view
  * Added KGlobalLedgerView::accountId() to return id of selected account

2005-04-21 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed editing schedules with a single split
  * Improved exception messeages if split is not found
  * Added capability to select reconcile from menu / toolbar

2005-04-19 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Removed deprecated method from KLedgerView
  * Fixed creation of categories when editing transaction with
    single split

2005-04-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Preserve file permission when saving
  * Don't store ID for splits within transaction. They will be re-assigned
    during file load anyway.
  * Start editing split when any printable key is pressed
  * Fixed crash in split editor when quitting using ESCape
  * Advance selection bar to next split when saving a split

2005-04-18 Ace Jones <acejones@users.sourceforge.net>
  * Applied patch #1183190: Online quotes locale patch
    Submitted by Andy Thaller <gandy@users.sourceforge.net>
  * Fixes an error in online quotes on locales which use a different
    comma and period placement scheme from the quote source.

2005-04-17 Robert Wadley <robntina@users.sourceforge.net>
  * Added a background image

2005-04-15 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added template exporter
  * Allow start editing in split editor with any key if table has focus

2005-04-13 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Removed config.h.in from repository because it is automatically generated
  * Fixed initial setting of LED in gpg config dialog when key field is empty
  * Added ability to turn off VAT handling for specific accounts

2005-04-11 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added configure switch to turn off online tests by default
  * Added this switch to the respective unit tests

2005-04-08 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed generation of symbolic links to header files to support
    building for different environments and using the header files
    of the sandbox and not the one's installed in $KDEDIR/include/kmymoney
  * Fixed buildsystem again to use top_builddir in some circumstances rather
    than top_srcdir
  * Make sure to remove temporary files during distclean
  * Fixed distribution directory for conditional subdirectories (plugins)

2005-04-06 Robert Wadley <robntina@users.sourceforge.net>
  * Changed the size of the title text in welcome.html and whats_new.html
    to allow for languages that require more space.
  * Added the capability of using a background image for the welcome and
    whats_new pages.

2005-04-06 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Fix spurious re-display of split editor window

2005-04-05 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Remove old GNC reader

2005-04-05 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Tidy up converter Makefile

2005-04-03 Ace Jones <acejones@users.sourceforge.net>
  * Fix QIF import to set shares as well as value.  This bug caused reports to
    be all 0's until the file was saved and reloaded.  The reload ran it
    through KMMView::fixTransactions(), which fixed the problem.
  * Added a custom '#' field which contains the unique transaction ID.  The QIF
    importer will refuse to load a transaction which contains the same
    transaction ID as an existing transaction.
  * Separated --enable-ofx into --enable-ofxplugin and --enable-ofxbanking.
    ofxplugin enables ofx support only in the plugin.  It defualts ON, and
    should be left on for the release.  ofxbanking enables OFX direct 
    connect, and causes the main application to require libofx.  This 
    is experimental and is not desired for production use.
  * More thorough error checking in KEnterScheduleDialog.

2005-04-03 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Move GnuCash reader to converter directory

2005-04-01 Ace Jones <acejones@users.sourceforge.net>
  * Fixed #937728: Opening balances sometimes not picked up in QIF files
  * Set the 'finish' button to be default in the last page of the new account 
    wizard
  * Fixed bug in account select dialog.  When using it to create a loan 
    account, the schedule is not created, which causes the account to need 
    to be "fixed" when its loaded.

2005-03-31 Ace Jones <acejones@users.sourceforge.net>
  * Added support for utf8-encoded QIF files
  * Cleaned up some character-based string handling in QIF imports

2005-03-31 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Set all values when entering scheduled transactions
  * Don't show 'More ...' in home view, if there are no more scheduled tx

2005-03-30 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed a crash on startup when compiled w/o debug options
  * Fixed behaviour of briefScheduleWidget
  * Fixed layout of briefScheduleWidget
  * Made widgets inside briefScheduleWidget more readable

2005-03-28 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added cancel button to new file dialog
  * Hide load button for address data if no data is found for the owner
    and also shows a message if the logic is started anyway.
  * Fix enabling reports view
  * Display currency symbol for payments

2005-03-29 Ace Jones <acejones@users.sourceforge.net>
  * Cleaned up welcome html pages a bit, with some help from Rob.

2005-03-28 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed INT64_MIN, INT64_MAX definition problem
  * Fixed initial startup behaviour
  * Added tabs for personal information and transaction history in payees view
  * Remove symlinks to header files before (re-)creating them during configure

2005-03-27 Ace Jones <acejones@users.sourceforge.net>
  * Added new welcome and whats new screens
    (Submitted by Robert Wadley <rob@robntina.fastmail.us>)
  * Hooked up logic for all the links and added a bunch of whats new text 

2005-03-26 Ace Jones <acejones@users.sourceforge.net>
  * Handle QIF-imported opening balances the new way
  * Terminology changes to US-english-ize the base text
    (Submitted by Robert Wadley <rob@robntina.fastmail.us>)
  * Fixed #1171039 (Made spaces in value amounts non-breaking in home view)
  * Fixed a bug in QIF import.  When a transfer transaction was imported,
    the remainder of the transactions were imported into that account.

2005-03-26 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Remove window size display from caption when compiled w/o debug support

2005-03-25 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Avoid inadvertent overwrite of foreign file types

2005-03-24 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Removed unused files
  * Added missing header file to support 'make bcheck'
  * Remove symlinks to header files before re-creating them

2005-03-23 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fix mymoneymoneytest.cpp to work with 64 bit systems
  * Fixed description of kbanking.m4 and libofx.m4 to match behaviour

2005-03-22 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Resolved doxygen warnings in kfindtransactiondlg.h
  * Added missing include stoppers in kmymoneypricedlg.h
  * Fixed duplicate #defines when building with --enable-final
  * Revised install/uninstall instructions in icons subdirectories to
    support $(DESTDIR) setting used in e.g. RPM builds
  * Revised build system to support 'make distcheck'

2005-03-22 Ace Jones <acejones@users.sourceforge.net>
  * Added "Are you sure you wish to cancel?" to import verify dialog.

2005-03-21 Ace Jones <acejones@users.sourceforge.net>
  * Modified MMTransaction::isDuplicate to consider split numbers
  * Added an option to MMQifProfile to turn off the check for duplicate 
    transactions
  * Made QIF import account type check less brittle by ignoring case and
    white space.  Also added "Credit Card" as a type instead of just
    "CCard".

2005-03-21 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Reworked build logic (Makefile.am)

2005-03-19 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed reparenting of stock and investment accounts in engine
  * Started to setup environment for external plugins

2005-03-19 Ace Jones <acejones@users.sourceforge.net>
  * Cleaned up small issues in reports wrt foreign stocks.  These were
    exposed by the fixes in Tom's last checkin.
  * Edited the warning message for foreign stocks. 
  * Infrastructure for QIF investment imports.  Doesn't actually handle them
    yet, but the parsing is in place to do so.  Also warns the user that
    investments are not supported.
  * Terminology changes to US-english-ize the base text 
    (Submitted by Robert Wadley <rob@robntina.fastmail.us>)
  * Fixed all warnings
  * Removed old online quotes system

2005-03-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Allow payment of stock transactions to be in different currency
    than the stock's security

2005-03-18 Ace Jones <acejones@users.sourceforge.net>
  * Fixed Makefile.am mkinstalldirs for kmymoney.desktop

2005-03-17 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Gnucash Importer
    - Handle A/Payable and A/Receivable account types

2005-03-16 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed splash screen handling
  * Fixed handling to delete investment accounts

2005-03-15 Ace Jones <acejones@users.sourceforge.net>
  * Added new titlebar background 
    (Submitted by Robert Wadley <rob@robntina.fastmail.us>)
  * Removed text shadow in title label widget.  I couldn't find a way to ensure
    it looked good in all color schemes.

2005-03-14 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Revised install/uninstall instructions in icons subdirectories
  * Improved reparenting of accounts
  * Don't allow removal of accounts that have transactions assigned
  * Remove reference to kapptest.  KDExecutor is much better ;-)
  * Removed unused icon file kfm_home.png
  * Allow removal of unused stock accounts

2005-03-13 Ace Jones <acejones@users.sourceforge.net>
  * Online quotes will now only fetch quotes for the first security using a
    given trading symbol.  It's assumed that multiple securities using the
    same symbol is an error condition.

2005-03-12 Ace Jones <acejones@users.sourceforge.net>
  * Removed most OFX dependencies in the main program--all that's left is the
    OFX Direct Connect and the OFX importer test cases
  * Reworked Web Connect to work on ANY plugin-handled file, not just
    OFX.
  * Removed "stripped.txt" from being output during online quote retrieval

2005-03-12 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added option to control whether selecting a different transaction/split
    using the mouse should be treated as Enter (saving changes) or Cancel
    (discarding changes).
  * Added option to activate auto fill feature in transaction entry
  * Fixed crash when scrolling payees view

2005-03-11 Ace Jones <acejones@users.sourceforge.net>
  * Honor price precision setting in Online Quotes
  * Honor price precision setting in Investment Summary

2005-03-11 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * AutoEnter Schedules
    - 1105503 - avoid lockup, produce debug data

2005-03-10 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Qif Profile Editor
    - Added patch provided by Tami King
    - Reworked layout management to align objects

2005-03-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Improved future payment display in financial overview page
  * Revised KDE menu integration

2005-03-09 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Gnucash import
    - Fix handling of credit card accounts

2005-03-08 Ace Jones <acejones@users.sourceforge.net>
  * Fixed a crash in checking ledger when attempting to edit the splits of
    an investment transaction
  * Added memos in the case of split transactions to transaction reports
    (Submitted by Andy Thaller <gandy@users.sourceforge.net>    
    
2005-03-07 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added duplicate split feature
  * Added menu dynamics to the HBCI plugin

2005-03-04 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Gnucash import
    - Fix #1151541 handle invalid value in splits causing crash
    - Fix #1078850 remove dailym_f schedule which we can't currently handle

2005-03-03 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added logic to update color settings for CSS

2005-02-20 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Pulled titlelabel_background.png out of the attic
  * Allow plugins to access the new title label object
  * Added new title label to AqBanking plugin
  * Added icon to institution list
  * Removed unused icon files
  * Install title label background image
  * Added base class for views

2005-02-19 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added icon to institutions in institution view

2005-02-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added OK and Cancel buttons for the mouse users to the split widget
  * Added .cvsignore to ofx plugin  directory

2005-02-16 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Preload split widget when category is not known
  * Assign values when moving focus from e.g. amount field to split button
  * Cancel any edit activity during reconciliation when pressing finish
    or postpone button
  * Removed unused member variables of split widget
  * Fixed abnormal termination during read of encrypted files
  * Improved performance of KGPGFile::atEnd()

2005-02-16 Ace Jones <acejones@users.sourceforge.net>
  * Changed the title bar to draw the text in at runtime.  Thanks to THB.
  * Robert Wadley's latest 32x32 ledger icon
  * Moved reports into kmymoney2/reports directory, and exploded the reports
    source files into more files.
  * Moved converter unit tests into kmymoney2/converter directory.  

2005-02-16 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed reported documentation inconsistencies

2005-02-16 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Gnucash import
    - fix scheduled transactions >999.99

2005-02-15 Ace Jones <acejones@users.sourceforge.net>
  Latest Robert Wadley icons
  * Made the colors more consistent, 
  * Fixed the contrast to better match icons next to them
  * Changed the reconcile icons to make it more obvious that it is an account 
    being reconciled. 
  * Changed the find_transaction icon to look like its actually magnifying, and
    added a white row.
  * Toned down the green in the '+' symbols
  * Fixed ledger icon (accidentally cut off part of the icon when I exported 
    the images) which causes the ledger icon to look too big.

2005-02-15 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added complete re-work of the split transaction widget and dialog
  * Increased height of transaction form items
  * Another s/Splitted/Split/
  * Improved MyMoneyMoney::operator ==(const MyMoneyMoney&)
  * Added new MyMoneyTracer constructor

2005-02-15 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Gnucash import
    - doxygen update
    - add online quote source to imported securities

2005-02-13 Ace Jones <acejones@users.sourceforge.net>
  * Fixed doxygen warnings
  * Added new icons supplied by Robert Wadley

2005-02-13 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Gnucash import
    - normalize monetary amounts
    - correct Investment Account description

2005-02-12 Ace Jones <acejones@users.sourceforge.net>
  * Refactored PivotTable::AccountDescriptor into ReportAccount, which is now
    a subclass of MyMoneyAccount, with hierarchy, currency, and
    other convenience methods.
  * Propagated ReportAccount throughout the entire reporting engine.  The
    reporting engine should never ever use a MyMoneyAccount.
  * Numerous object logic cleanups throughout reports.  I moved each method to
    the proper object upon which it acted.  Should improve readability.  This
    involved pushing a lot of functionality into the MyMoneyReport class.
  * Fixed pivot table reports to handle foreign stocks
  * Fixed report unit test helpers to deal with foreign currencies better
  * Fixed MyMoneyMoney multiplication overflow in account query reports
  * Made MyMoneyMoney::reduce() public so I can use it in reports
  
2005-02-10 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Use the correct account when selecting 'edit' from within
    the institution view

2005-02-07 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Gnucash import - anonymizer changes, restore Ace's credit
  * Fix editing of some frequencies (e.g. Quarterly)

2005-02-05 Ace Jones <acejones@users.sourceforge.net>
  * Fixed account query reports to handle foreign stocks
  * Minor clean-ups in query reports
  * Really fixed report unit tests to deal with changes in handling of
    opening balances
  * Updated artwork supplied by Robert Wadley
  * Added Tony Bloomfield to the credits

2005-02-03 Ace Jones <acejones@users.sourceforge.net>
  * Added more colorful title labels for the views in MyMoneyView using
    artwork and conceptual design supplied by Robert Wadley

2005-02-02 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed name of #define to make memory leak check feature work
  * Added MyMoneyTracer trace logic
  * Fixed a nasty bug in categories view
  * Added 0.7 splash screen

2005-01-31 Ace Jones <acejones@users.sourceforge.net>
  * Updated unit tests to match new handling of opening balances

2005-01-30 Ace Jones <acejones@users.sourceforge.net>
  * Moved OFX import logic to a plugin.
  * Some refinements to GNC import options dialog

2005-01-30 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Gnucash import - implement option dialog

2005-01-28 Ace Jones <acejones@users.sourceforge.net>
  * Fixed a subtle bug in reports that caused a crash if you double-clicked on 
    empty areas.
  * Relaxed MyMoneyStorageANON::writeSecurity to pass through the trading 
    symbol, trading currency, and quote source for securities.  This is useful 
    for debugging online quotes problems.

2005-01-26 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Changed open balances handling to be transaction based
  * Show balance per institution in institution view
  * Added recursive option to MyMoneyFile::accountList()

2005-01-26 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Gnucash import
    * Properly fix coding error picked up by stricter compiler!

2005-01-24 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Gnucash import
    * Fix coding error picked up by stricter compiler

2005-01-22 Ace Jones <acejones@users.sourceforge.net>
  * Hooked up the "online price updates" button in the price editor

2005-01-20 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Gnucash import
    * Scheduled transactions default to Bills rather than Deposits
    * Reinstated default currency calculation

2005-01-20 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Allow modification of end date for scheduled transactions at any time
  * Allow to add splits to scheduled transfers
  * Loan wizard now treats final payment as 0 if two fields are left blank
  * Updated handling of calculated last payment vs. final payment
  * Fixed rounding problems in financial calculator
  * Added testcases to financial calculator based on user's error reports
  * Enter manually added price information into engine

2005-01-18 Ace Jones <acejones@users.sourceforge.net>
  * Added MSN.CA as another canadian source
  * Fixed the online quote config dialog that I broke in my last checkin

2005-01-14 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * add shared library support for external plugins
  * Fixed #1074957 (Create loan accounts)
  * Improved the check for a valid GPG id in the settings dialog
  * Fixed crash when closeing the base currency selection dialog
  * Allow changing the amount of a transaction w/o having a categroy assigned
  * suppress version control of *.lo files

2005-01-12 Ace Jones <acejones@users.sourceforge.net>
  * Fixed reports test failure caused by fixing bug #1079427 ("Checkings" now 
    reads "Checking")

2005-01-11 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * removed unnecessary include at the end of kmymoneyonlinequoteconfig.cpp
  * Fixed #1079427 ("Checkings" should read "Checking")
  * Fixed problem with generated header files
  * Added general plugin structure and mechanism
  * Made KBanking a real plugin

2005-01-10 Ace Jones <acejones@users.sourceforge.net>
  * Added customizable date parsing to online quotes
  * Added canadian mutual funds source
  * Created a general-purpose date format parsing object
  * Added date-parsing unit tests

2005-01-07 Ace Jones <acejones@users.sourceforge.net>
  * Online price quotes for foreign stocks will now automatically include a
    price quote for the foreign currency

2005-01-06 Ace Jones <acejones@users.sourceforge.net>
  * Fixed single-shot price updates
  * Added functionality to retrieve single-shot currency price updates,
    although this is not hooked up to the UI.
  * Added right-click option in price editor to do an online price update
    for a single currency pair
  * Cleaned up parsing of multiple currencies passed around as a single
    string in online price updating pipeline

2005-01-05 Ace Jones <acejones@users.sourceforge.net>
  * Added online quotes for currencies

2005-01-05 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Gnucash import - complete rewrite
  * Uses Qt SAX2 XML Parser; simpler interface, more structured code
  * Uses imymoneystorage interface rather than imymoneyserialize
  * Separates XML reading and conversion code
  * More user options on Schedules and Investments
    (selection dialog to be written)
  * Better exception handling and reporting
  * Conversion code tidied up considerably

2005-01-04 Ace Jones <acejones@users.sourceforge.net>
  * Hooked up multiple sources for online quotes
  * Moved online quote logic out of KEquityPriceUpdateDlg and into the new 
    WebPriceQuote class.
  * Moved online quote configuration logic out of kMyMoneyOnlineQuoteConfig
    and into the new WebPriceQuote class.
  * Fixed a test case in KReportsViewTest::testInvestment to use the correct 
    year (2004, not "current year").

2005-01-03 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * added currency New Turkish Lira (YTL) for newly created files
  * reassigned id of New Israeli Shekel from ILS to NIS for newly created files
  * added configuration dialog for data encryption
  * added support for gpg-agent in libkgpgfile
  * updated drag&drop support
  * Added README.Fileformats

2005-01-02 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Show preferred investment accounts on home page
  * Added tip on anonymous save
  * Fixed creation of securities - do not override information of existing
    securities for new stock accounts
  * Modified link order to avoid problems with unresolved symbols
  * Added drag and drop to accounts, categories and institution view

2005-01-01 Ace Jones <acejones@users.sourceforge.net>
  * Fixed tab order in KNewFileDlgDecl

2005-01-01 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Happy new year to all KMyMoney developers and users!
  * Show preferred investment accounts on home page
  * Added tip on anonymous save
  * Fixed creation of securities - do not override information of existing
    securities for new stock accounts
  * Added setting for memory leak checker to configure scripts

2004-12-31 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed ChangeLog entry to show the correct author
  * Added more price entry logic (manual add, delete, etc.)
  * Added icon to institution view
  * Removed settings logic to distinguish between old and new accounts view
  * Resolved a few warnings about deprecated methods
  * Display a note in accounts and categories view if categories are hidden
    by settings because they are unused (are not referenced by any split)
  * Enhanced logic to convert account values into the base currency 
  * Fixed MyMoneyFile::security(const QCString& id) to return the baseCurrency
    in case id is empty
  * Fixed designer version problem in dialogs/keditschedtransdlgdecl.ui
  * Added configure summary
  * renamed kmymoneyonlinequoteconfig.ui into kmymoneyonlinequoteconfigdecl.ui

2004-12-29 Ace Jones <acejones@users.sourceforge.net>
  * Added simple category matcher for OFX import.  This fills in the rest of an
    imported transaction using the most recent transaction with this payee as a
    model.
  * Maintain backward compatibility with Qt designer 3.2 
  * Removed support for older versions of LibOFX  
  * Removed check for libuuid (not using this anymore, see 12/14 checkin)

2004-12-28 Michael Edwardes <mte@users.sourceforge.net>
  * Fixed #944780 (Schedule Brief Widget)
  * Fixed # 972028 (Does not honour Scheduled Method)
  * Fixed #987465 (cant edit scheduled transactions)
  * Fixed #1012273 (Cant enter overdue payments at real date)
  * Fixed #1035730 (No number edit in enter schedule dialog)

2004-12-28 Michael Edwardes <mte@users.sourceforge.net>
  * 64bit fixes for MyMoneyMoney

2004-12-28 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added new admin directory from kdelibs 3.3.0

2004-12-23 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Gnucash import - Christmas crash fix
  * setTradingCurrency for new regime

2004-12-20 Ace Jones <acejones@users.sourceforge.net>
  * Fixed bug in net worth reports with investments, related to new price scheme
  * Added test case to catch this bug next time

2004-12-19 Ace Jones <acejones@users.sourceforge.net>
  * Adjustments to work with new price scheme

2004-12-18 Kevin Tambascio <ktambascio@users.sourceforge.net>
  * Added a new institution view, so users can easily edit
    institution properties.

2004-12-17 Ace Jones <acejones@users.sourceforge.net>
  * Maintain backward compatibility with Qt designer 3.2 

2004-12-17 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added some changes for KDE 3.0 backward compatibility
  * Added patch supplied by Leonardo Skorianez to load one's own data
  * Added definition of QT_IS_VERSION to kdecompat.h
  * Remove reconciliation flag if creating a transaction from a previous one
  * Reduced flickering in ledger views
  * Repackaged MyMoneyEquity and MyMoneyCurrency into MyMoneySecurity
  * Added new investment wizard
  * Added Equity base account which will hold opening balance accounts
  * Removed (int) operators from MyMoneyMoney
  * Added isZero(), isNegative() and isPositive() to MyMoneyMoney
  * Added --without-arts configure option to acinclude.m4.in
  * Removed unused MyMoneyFile* from engine objects
  * Improved status display during online price update
  * Added checks for referential integrity to MyMoneyFile
  * Modified KEquityPriceUpdateDlg to support multi-selections
  * Perform engine notifications based on a local copy of the notification
    list to allow modification of the list during update()
  * Enhanced parsing of MyMoneyMoney(QString) constructor
  * Added automatically generated files to widgets/.cvsignore
  * Added spanish and galician translation provided by Marcelino Villarino
  * ... maybe a few other things I have forgotten ...

2004-12-14 Ace Jones <acejones@users.sourceforge.net>
  * Added Investment Performance reports (by account & type)
  * Expanded unit tests for OFX imports
  * Finished ability to create OFX files from KMyMoney data (currently only used
    for unit tests, but could be expanded).
  * Added unit tests for investment reports
  * Added XMLandBack calls to reports that were missing it
  * Added MyMoneyTransaction::splitByAccount(QCStringList&,bool) 
  * Added MyMoneyTransactionFilter::clearAccountFilter()
  * Removed use of libuuid (OFX uid's don't need to be universally unique,
    locally unique is good enough.)

2004-12-10 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Gnucash import - minor bug fixes
  * - preserve memo in scheduled transactions
  * - correct account opening dates

2004-12-07 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Fix sloppy coding error in Edit Schedule dialog
  * Sorry, will try harder next time

2004-12-05 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Gnucash import changes
  * Improve exception reporting
  * More comprehensive scheduled transaction processing

2004-12-05 Ace Jones <acejones@users.sourceforge.net>
  * Added unit tests for OFX import of bank statements
  * Maintain libofx 0.6.6 compatability
  * Separated "From/To (account)" and "From/To (date)" for translation purposes  
  
2004-12-03 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Implement KMyMoneyAccountCombo in scheduled transaction dialogs
  * Allows selecting any asset/liability account for bills, etc.

2004-11-28 Tony Bloomfield <tonybloom@users.sourceforge.net>
  * Partial correction of share price import
  * Fix bug 1067499 - crash on import
  * Create orphan accounts for unknown account ids

2004-11-28 Ace Jones <acejones@users.sourceforge.net>
  * Replaced 'splitted' with 'split', which is more gramatically correct
  * Added support for cash dividends in OFX importing.  (Cash dividends are
    dividends which are NOT reinvested).  

2004-11-27 Ace Jones <acejones@users.sourceforge.net>
  * More test cases for transaction reports
  * Added error-checking in OFX import/download  
  * Fixed bug in transaction reports where grand total was getting too large 
    when multiple levels of subtotalling were in effect
  * Better handling of the memo field on transaction reports    

2004-11-25 Ace Jones <acejones@users.sourceforge.net>
  * Added "Anonymous" as a file saving type, which will save off a
    version of the user's data with all private information (names,
    strings, amounts) masked.  Hopefully this will be enough to get
    users to be willing to send their data files to us when they have
    a problem.
  * Avoid runtime warnings concerning MyMoneyMoney::operator== in unit
    tests
  * Replaced some various MyMoneyMoney::operator==() calls with 
    MyMoneyMoney.isZero()
        
2004-11-21 Ace Jones <acejones@users.sourceforge.net>
  * Added support for OFX Direct Connect.  Thus you can download statements
    directly from your bank if they expose an OFX server.  Detailed online help
    file included, and posted to the dev list.
  * Consolidated the work of OFX importing at the KMyMoneyApp level into a
    single slot, KMyMoney2App::slotOfxStatementImport
  * Better handling for online price update when selecting it for a single 
    stock using the right-click menu in investment summary.  Automatically
    starts the update, and only shows the selected stock.
  * Respect KDE-wide settings for negative money sign position in reports

2004-11-08 Ace Jones <acejones@users.sourceforge.net>
  * Added support for multiple accounts in a single OFX file, based on a patch
    by Chris B <news@semperpax.com>.

2004-10-29 Ace Jones <acejones@users.sourceforge.net>
  * Added option to obtain online stock quotes using a local shell script

2004-10-23 Ace Jones <acejones@users.sourceforge.net>
  * Investment Transactions report
  * Investment Holdings by Account report
  * Investment Holdings by Type report
  * Account Balances by Institution report
  * Account Balances by Type report
  * Added grand total row to all transaction reports
  * Added underlying support for account reports, which builds on 
    transaction reports
  * Added KMyMoneyUtils::equityTypeToString  

2004-10-21 Ace Jones <acejones@users.sourceforge.net>
  * Added settings tab for online quotes

2004-10-17 Ace Jones <acejones@users.sourceforge.net>
  * Automatically close all report tabs when the file closes
  * Added right-click access to on-line price updating in investment view
    summary

2004-10-17 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed crash when creating new categories while entering transactions
  * Added "Don't ask again" switch to question if new category should be
    created.
  * Removed unused tabs in new account dialog rather than disableing them
    from the KABC addressbook.

2004-10-16 Ace Jones <acejones@users.sourceforge.net>
  * Added online price updating for equities  
  * Added "Favorite Reports" to the home page.
  * Added investment view to the global ledger view, which is needed for 
    investment accounts to show up in the verify import dialog.
  * Fixed handling of "Sell" transactions in transaction reports.  They were 
    still being reported as "Buy" transactions.
  * Tweaked the logic for handling account filters with transfer transactions 
    in transaction reports.  Now the transaction will be included once
    if only one of the accounts is included in the filter.
  * Added cash flow analysis tools for future investment reports
  * Cleaned up random investment data generator (in KReportsViewTest)

2004-10-14 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added VAT handling
  * Added MyMoneyMoney::isZero()

2004-10-13 Ace Jones <acejones@users.sourceforge.net>
  * Added investment fields to transaction reports (action, shares, price)
  * Added 'value' field to investment summary.  This displays the net value of
    each holding.  Renamed previous 'current value' to 'price'

2004-10-11 Ace Jones <acejones@users.sourceforge.net>
  * Implemented "Edit..." from context menu in investment view summary

2004-10-11 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated splash screen handling. Using KSplashScreen on KDE >= 3.2.0

2004-10-10 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed #1043892 (crash when changing action in checkings view)
  * Fixed #1040653 (GNC import doesn't handle equity accounts correctly)
    as provided by Tony Bloomfield
  * Allow double click in investment view on any column

2004-10-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Reworked keyboard event handler
  * Removed signalEnter() and signalEsc() signals
  * Fixed initial size of cash account completion box
  * Avoid some of the register flickering introduced in investment stuff
  * Fixed a problem in reinvest dividend transactions when a fee was
    assigned to an interest account
  * Fixed switching to investment view when start editing an investment
    transaction in a different view
  * Reduced min version for autoconf to 2.53
  * Maintain 3.0 backward compatibility

2004-10-09 Ace Jones <acejones@users.sourceforge.net>
  * Fixed a bug in collapsed-column net worth reports (quarterly, yearly, etc)
    where currency conversion was involved.  The wrong price was being used.

2004-10-06 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * make sure widgets are destroyed when edit transaction mode is left
    before any other operation is started. There used to be a race
    condition somewhere which caused the program to crash
  * Enable to clear the category field and save the transaction
  * Added a 'use system font' switch to the configuration (Fixes #1039342)

2004-10-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated changes for equity price edit dialog
  * Updated currency edit dialog to show a better equation for price

2004-10-04 Ace Jones <acejones@users.sourceforge.net>
  * Added importing of investment statements via OFX files.  This is highly
    experimental, and should not be used with any real data!!
  * Added MyMoneyStatement XML files as an acceptable file format for 
    web connect.  This is just for debugging.
  * Changed equity price edit dialog to use the same widget as the currency
    price edit dialog.

2004-10-04 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added patch supplied by Alexander Novitsky
  * Fixed logic so that register is updated when a transaction is
    modified/entered.
  * Corrected error messages to point to the right method names

2004-09-26 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed memory leak in KEditEquityEntryDlg
  * Added icons to buttons in KEditEquityEntryDlg
  * removed compile warnings in KEditEquityEntryDlg
  * disable edit/remove button when no entry is selected

2004-09-25 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Use QGuardedPtr for pointers to widgets
  * Renamed hideWidgets() into destroyWidgets()
  * Don't re-create edit widgets when changing type of investment
    transaction. This solved the misterious crash.
  * Use highest compression rate for man pages

2004-09-24 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Applied patch for FreeBSD supplied by Alec
  * Added feature request #929127 (new transaction default based on payee)

2004-09-23 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * added buttons to register edit mode
  * revised the string comparison in operator == of our objects
  * fixed bug in MyMoneyMoney::operator -(int)
  * added option to re-enable all (don't show again) messages
  * added setting (not in GUI yet) do suppress display of calculator button

2004-09-21 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated investment logic to support change of action during edit
  * Generalized tab order handling in ledger view
  * Improved tab order handling
  * Fixed focus display of account combo box
  * Added more investment logic (register based input)
  * Cancel investment edit when focus is lost
  * Fixed logic of account combo box
  * Updated interface to MyMoneyEquity::hasPrice()

2004-09-19 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Update investment summary when different account is selected
  * Update ledger register when account with no transactions is selected
  * Set the default smallest fraction for new equities to 100
  * Check all equity parameters before accepting them

2004-09-16 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Moved m_smallestAccountFraction from MyMoneyCurrency to MyMoneyEquity
  * Added fraction field to equity object
  * Added icons to buttons in equity dialogs
  * Added edit field for totals in investment ledger
  * Revised calculation of values (e.g. total) in investment ledger

2004-09-15 Ace Jones <acejones@users.sourceforge.net>
  * Applied latest patch from Martin Preuss: Imported data is UTF8.
  * Reversed sign on OFX statement import when transactions are
    investment transactions.  I haven't figured out yet why this is needed.

2004-09-14 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Turned KMyMoneyBanking into a singleton object
  * Reduced dependency of KBanking down to converter/mymoneybanking
  * Present reasonable error message when trying to load a directory as template

2004-09-13 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Do not allow any action that requires a file if no file is open

2004-09-11 Ace Jones <acejones@users.sourceforge.net>
  * Modified OFX Web Connect to deal with the case where the user does not 
    have any file open at all.
  * Modified OFX Web Connect to bring the window to the forefront in KDE < 3.2
  * Moved "Tools | Banking Settings" to "Settings | Configure Online Banking"

2004-09-11 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed inclusion order of header files
  * Include xmethod generated files prior to any other header file
  * Fixed argument for QMessageBox in kmymoney2.cpp

2004-09-10 Ace Jones <acejones@users.sourceforge.net>
  * Added patch from Martin Preuss to import files via AqBanking

2004-09-10 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * More investment view work (mainly register based editing)

2004-09-09 Ace Jones <acejones@users.sourceforge.net>
  * Changed the way the program raised itself to the forefront when
    receiving an ofxWebConnect DCOP call.  This method was suggested by 
    Lubos Lunak <l.lunak@suse.cz> of the KDE core development team.
  * Fixed compile problems when neither HAVE_NEW_OFX or HAVE_LIB_OFX
    are defined.
  * Copied new "OFX not available" message to the other place it's used.   
  * Unified the 2 interfaces to LibOFX (pre-0.7 and post-0.7).  They now
    share the same code for processing the data, the only differences are
    in how it interacts with the library.
  * Fixed memory leak in KMyMoney2App::slotBankingSettings()

2004-09-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added KBanking support supplied by Martin Preuss
  * Set focus to register after deleting a transaction

2004-09-04 Ace Jones <acejones@users.sourceforge.net>
  * Added support for Quicken "web connect".  To enable this, set up KMM to
    handle the mimetypes "application/vnd.intu.qfx", "application/x-ofx".  KMM
    will launch and import those transactions.  If there is another instance of
    KMM open at the time, it will import them into THAT instance.
  * Added bankID's to MyMoneyStatement & MyMoneyTransaction.  This is a
    unique bank-assigned ID that can be used to detect duplicate transactions.
  * Modified MyMoneyStatement importer to skip transactions with BankID's that
    are already in the file.
  * Added type identifier to MyMoneyStatement (checkings, savings, etc)
  * Cleaned up MyMoneyStatement importer

2004-09-02 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added set/get functions to MyMoneyMoney for completeness
  * Added formatting testcases to MyMoneyMoneyTest
  * Improved libofx autoconf logic and put into separate file
  * Check for a minimum version of the automake package

2004-09-02 Martin Preuss <aquamaniac@users.sourceforge.net>
  * added optional support for next generation of LibOFX
  * Online banking: Importing transaction statements from the result of
    online requests now works.

2004-08-31 Ace Jones <acejones@users.sourceforge.net>
  * Added importing of OFX files
  * Added libofx to the project
  * Added AC_CHECK_LIB_WPROLOGUE to check for libofx
  * Added MyMoneyStatement.  This class represents a paper bank statement,
    and acts as an interface between providers of such data (OFX, HBCI)
    and the program.
  * Fixed crash in QIF import when filter was set to %d/%mmm/%yyyy and
    data was actually %d/%m/%yyyy

2004-08-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Removed "Create Me" files from Makefile.am
  * Better handling of next due date in loan wizard
  * Updated README with instructions about how to get the memory leak
    detection code compiled in
  * Fixed #1016219 (Account creation fails after loan creation)
  * Added page to loan account wizard to specifiy the loan payout transaction
  * More investment view work (now can create and edit all transaction types)

2004-08-26 Martin Preuss <aquamaniac@users.sourceforge.net>
  * added support for online banking using kbanking
    (http://www.aquamaniac.de/aqbanking/)
    configure now checks whether KBanking is available and simply skips
    support for it if kbanking is not found.

2004-08-24 Ace Jones <acejones@users.sourceforge.net>
  * Removed "Create Me" graphics from all dialogs 

2004-08-24 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed some logic errors in KAccountComboBox and completion object
  * More work on the investment view

2004-08-22 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed conflicts due to merge with changes made by Ace
  * Preload the KDE default settings for monetary display
  * Fixed #1012257 (Calculator does not honor localized settings)
  * Added flag support to MyMoneyTemplate
  * Reconverted old default category files to new format (incl. flags)
  * Added display only mode to kMyMoneyCategory which does not try to
    create accounts

2004-08-22 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added idlist as parameter to MyMoneyFile::accountList()
  * Added testcase for the above
  * Fixed MyMoneyMoney::formatMoney() to avoid displaying the decimal
    separator if currency does not have a fractional part (e.g. HUF, IRR)
  * Added new account template loader
  * Removed old default category loader
  * Removed old default account files
  * Added new i18n based template directories for accounts
  * Converted old default category files to new format
  * Rearranged the ledger views to better support 800x600
  * Added size display in caption
  * Resized payees view to better support 800x600

2004-08-22 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added button to kMyMoneyEdit to start the calculator
  * Fixed icon display on date and money edit fields
  * Converted button of kMyMoneyDateInput to KPushButton
  * Fixed account selection button to show the correct
    account after switch to different account type
  * Fixed initial header of empty schedule view
  * Fixed default button in schedule edit dialog
  * Added KGPGFile::keyAvailable()
  * Made OK the default button in edit schedule dialog

2004-08-21 Ace Jones <acejones@users.sourceforge.net>
  * Fixed a bug in transaction reports where totals did not work
    with the new parentheses-around money format
  * Added "Do not ask again" to "Do you want to override the opening balance 
    of this account currently set to %1 with %2?" in QIF reader.
  * Added "Automatically create missing payees" to "Last Use Settings" in
    configuration file.

2004-08-17 Ace Jones <acejones@users.sourceforge.net>
  * Fixed a bug where creating a new category would not properly use the
    currently selected account as the parent, for expense accounts.
  * Implemented double-clicking in accounts and categories views.

2004-08-16 Ace Jones <acejones@users.sourceforge.net>
  * Modified reports to use ()'s for negative values
  * Added Tax notation in GB default accounts
    (Thanks to Tony Bloomfield)

2004-08-14 Ace Jones <acejones@users.sourceforge.net>
  * Added an initial Tax Transactions report.  Still more work needed
    to make it fully-featured.
  * Added "Include on Tax Reports" property in category edit dialog
  * Added Tax notation in US default accounts
  * Commented MyMoneyReport class
  * More information on "Unexpected exception in KLedgerView::
    setupPointerAndBalanceArrays"
  * Inverted sign of values in Transactions reports to match standard
    cash flow notation.

2004-08-11 Ace Jones <acejones@users.sourceforge.net>
  * Added stock accounts to kMyMoneyAccountSelector

2004-08-08 Ace Jones <acejones@users.sourceforge.net>
  * Added the ability to designate some reports as your favorite, and
    they'll be grouped together.
  * Altered handling of reports index list, so customized reports are stashed
    in the same heading as their parent reports.
  * Fixed a bug in running sum reports (Net Worth, et al).  When either end
    of the date range was QDate() the opening balance could be calculated wrong.

2004-08-07 Ace Jones <acejones@users.sourceforge.net>
  * Added MS Money date format as an option to QIF importer (%m/%d'%yyyy)  
  * Added some new default reports, which are permutations of the old ones
  * Modified the reports index list to show a tree view, organized by type of
    report.
  * Modified reports to remember the plain language date range setting,
    so if you set a report to "Current Month", it will ALWAYS show the
    current month.
  * Added rudimentary help to report configuration dialog.
  * Added 'close' button to report configuration dialog.

2004-08-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * More changes to maintain backward compatibility with older Qt versions.
    Application now compiles under KDE 3.0 again.

2004-08-04 Ace Jones <acejones@users.sourceforge.net>
  * Added more operators to reports::QueryTable::TableRow to satisfy
    qHeapSort in earlier versions of QT

2004-08-04 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Maintain backward compatibility with older Qt versions
  * Fixed initialization order of kgpgfile objects

2004-08-03 Ace Jones <acejones@users.sourceforge.net>
  * Added ISO date format as an option to QIF importer (%yyyy-%mm%-dd)
  * Added CSV export for Transaction Reports
  * Added Currency conversion for Transaction Reports

2004-08-03 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added workaround for bug in KFilterDev

2004-08-02 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added GPG encryption logic

2004-08-01 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed asset loan view activation
  * Fixed new category/equity process

2004-07-31 Ace Jones <acejones@users.sourceforge.net>
  * First draft of transaction reports.  Doesn't yet convert currency or export
    to CSV, and definitely needs more testing.
  * Changed the currency identifier for "don't convert to base currency" reports
    from the trading symbol (e.g. $ which could mean USD, or AUD, or CAD) to the
    ID (e.g. USD, AUD, CAD, etc) which is more specific
  * Reworked the report configuration dialog.  Now instead of bolting on an
    additional frame, the report configs are additional tabs inserted at the 
    beginning.  Looks a bit cleaner.  Also brought them into QT Designer.

2004-07-29 Ace Jones <acejones@users.sourceforge.net>
  * Removed KTabWidget for KDE < 3.2 in the report tabs
  * Fixed CSV report export so larger (>10,000) values are not rounded
  * Fixed the case where the user enters transactions before the
    opening date of the account and calls for a net worth report.

2004-07-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Maintain backward compatibility for KDE 3.0 (it's still broken
    due to usage to KTabWidget which only exists in KDE >= 3.2)

2004-07-28 Ace Jones <acejones@users.sourceforge.net>
  * Fixed bug in reporting logic.  AccountDescriptor::operator<() was broken,
    missing a case.

2004-07-27 Ace Jones <acejones@users.sourceforge.net>
  * Fixed CSV report export so no commas are contained in values.  Values are 
    now saved as double's instead of formatted strings.
  * Fixed spelling error in reports exception dialog.

2004-07-26 Ace Jones <acejones@users.sourceforge.net>
  * Added numerous exceptions for overflow conditions in reports

2004-07-26 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed alignment of institution dialog

2004-07-26 Ace Jones <acejones@users.sourceforge.net>
  * Standardized formatting of headers for scheduled payments on home page

2004-07-25 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * added more investment logic (register layout)

2004-07-23 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * set id of category before emitting signal in kMyMoneyCategory
  * added more investment logic (automatic form adaption)

2004-07-23 Ace Jones <acejones@users.sourceforge.net>
  * Replaced report control hyperlinks with a new button bar widget at the
    top of the tab
  * Added a chart view for report charts.  No actual charts yet, just stubs.

2004-07-23 Ace Jones <acejones@users.sourceforge.net>
  * Preliminary rough implementation of transaction report

2004-07-22 Ace Jones <acejones@users.sourceforge.net>
  * Added ability to save reports as CSV
  * Moved reports::AccountDescriptor into reports::PivotTable
  
2004-07-22 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed painting of kMyMoneyAccountCombo

2004-07-20 Felix Rodriguez <frodriguez@users.sourceforge.net>
  * Expanded Backup Dialog so we can see the OK and Cancel Buttons.

2004-07-17 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Maintain backward compatibility with older Qt and KDE versions
  * Added File/Import/Gnucash menu entry and logic to call the reader

2004-07-17 Ace Jones <acejones@users.sourceforge.net>
  * Added 'comment' field for reports, displayed in the reports list tab
  
2004-07-17 Ace Jones <acejones@users.sourceforge.net>
  * Ability to delete reports
  * Context menu (right click) from the reports list to access the report 
    management actions.  (The same actions that are available as links in
    the report tabs)

2004-07-16 Ace Jones <acejones@users.sourceforge.net>
  * Interface to contain the reports, as suggested by Tom. Completely re-wrote
    KReportsView in the process.

2004-07-16 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed #987465 (can't edit scheduled transactions)

2004-07-14 Ace Jones <acejones@users.sourceforge.net>
  * Creation of new reports.  Interface is pretty rudimentary.
  * Center reports within tab frame

2004-07-14 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * More investment work
  * Moved showWidgets() from the various ledger views to the base class
    as it was the same code in all derivatives

2004-07-14 Ace Jones <acejones@users.sourceforge.net>
  * Don't attempt to 'fix' transfers from/to a credit card account on load

2004-07-14 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * More investment view work

2004-07-14 Ace Jones <acejones@users.sourceforge.net>
  * Created MyMoneyReport object, which replaces ReportConfigurationFilter
  * Serialize MyMoneyReport objects to/from XML storage file, so users' changes
    to their reports will be saved/loaded automatically
  * Updated all report test cases to also test serialization

2004-07-13 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added more logic for investment view
  * Fixed word wrap in split transaction dialog
  * Show warning message when a category is created and the unused
    categories are hidden by user settings
  * Added investment register framework

2004-07-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Add creation of stock accounts through investment view
  * Added equities to MyMoneyStorageDump
  * Really remove price information from equity history
  * Added new loadList method to kMyMoneyAccountSelector

2004-07-08 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added stock account type
  * Added checks to make sure that stock accounts have an investment parent
  * Added testcases

2004-07-07 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added possibility to update currency rate for foreign currency accounts
    during account creation
  * Added duplicate transaction detection and use it during QIF import

2004-07-06 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed spelling of institution
  * Added test for presence of round() function
  * Modified MyMoneyFinancialCalculator to use own rounding function if
    round() is not available
  * Fixed #979747 (Interest rate does not get updated)
  * Added constant MyMoneyMoney::autoCalc used to identify automatically
    calculated values.

2004-07-01 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added patch supplied by Ace Jones
  * Fixed the 'all dates' option in the report generation as proposed
    by Ace
  * Changed currency code for Ukraine Hryvnia from UAG to UAH
  * Calling kMyMoneyDateInput::setDate() with QDate() as argument sets
    date to 00.00.0000 which will be returned as QDate() (the invalid date)

2004-06-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Don't show investment accounts in category selector widget
  * Added general test environment for automated application tests
  * Allow three digit fractional part for loan interest rates

2004-06-27 Kevin Tambascio <ktambascio@users.sourceforge.net>
  * Added widgets to the online stock price update dialog
  * added placeholder dialog for the config options for the online update feature.
  * added a class in the engine to handle price updates from the online updater.
    This will allow dialogs to expose that feature, without burying logic to update
    the engine objects in the dialog.
  * some work on the investment view feature 

2004-06-23 Kevin Tambascio <ktambascio@users.sourceforge.net>
  * Added new dialog (doesn't do anything yet) as a placeholder for the online
    stock/currency price update features.
  * Added a menu item under the Tools menu to access this.  It will also be
    available in the investment view.

2004-06-23 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Applied patch(es) supplied by Ace Jones
  * Fixed QIF generation errors
  * Added method hasAccount() to MyMoneyFile
  * Added testcases for this method

2004-06-15 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Report failures of unit tests correctly
  * Fixed transaction filter handling for reports
  * Fixed #968755 (Unwanted ledger view switch)
  * Partial cleanup of unused code
  * Fixed #975134 (Finished transactions will be shown on homepage)

2004-06-14 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added patch supplied by Ace Jones
  * Show preferred account after startup
  * Fixed logic for KDE 3.2

2004-06-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Replaced KLineEditDlg with KInputDialog for KDE >= 3.2.0
  * Replaced some deprecated methods in KDE >= 3.2.0
  * Fixed #968338 (Quarterly schedules are not calculated correctly)

2004-06-06 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed problem in find transaction logic
  * Fixed problem with scheduled payments when payment is on 29th-31st but
    month has less days

2004-06-04 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added kMyMoneyEquity to KLedgerViewInvestment
  * Removed unused members from kMyMoneyCategory
  * Fixed new equity entry dialog to keep updated values in member vars
  * Fixed some make issues
  * Fix endless loop when using with Qt < 3.2.1

2004-06-03 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Renamed newAccount() to addAccount() in the engine code to
    maintain consistency
  * Adapted testcases to reflect above change
  * Adapted kmymoneytest.cpp to work with CPPUNIT 1.9.14

2004-06-01 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Setup minimum size of kMyMoneyAccountCombo
  * Clear out text on account combo if no account present
  * Disable account combo box if no account available
  * Disable register if no account available
  * Fixed parameter setup for call of split transaction dialog

2004-05-31 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Make sure datepicker widget is always shown completely on screen
  * Fixed category/amount assignment problem
  * Created kMyMoneyAccountCombo widget

2004-05-30 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added KDE compatability header file. Should be used instead of kdeversion.h
  * Added global test container that can be built and run using 'make check'
  * Added patch for report configuration supplied by Ace Jones

2004-05-28 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Enable more button even if transaction is not edited
  * Keep the payee id for transfer transactions

2004-05-27 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Allow arbitrary category/account selection in category field
  * Reworked the ledger view code to support new features
  * Investmentview is still broken!!
  * Fixed spelling in de.po
  * Fixed an issue with XML writing on KDE 3.2
  * Added setWeekendOption to MyMoneySchedule

2004-05-14 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Applied patch supplied by Ace Jones
  * Fixed #952804 (marking 'cleared' in transaction entry form doesn't work)
  * Started to implement equity accounts

2004-05-12 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed some issues around multiple currencies / exchange rates
  * Fixed #952696 (Mis-assigned shortcut Alt-M in transaction form)

2004-05-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed comparison of account objects
  * Added testcases for equality of MyMoneyAccount object
  * Removed unused code from kmymoneycategory.*
  * Keep account completion box in same position when resizing

2004-05-03 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added price precision setting to settings dialog
  * Use price precision setting in price edit dialog
  * Maintain backward compatability with Qt 3.1

2004-05-02 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed #944771 (Transaction form moves down the screen)
  * Fixed #944778 (File/Save As not working properly)
  * Fixed #944761 (Next date not calculated properly)
  * Fixed #932681 (no action for esc/enter in nr. field)
  * Allow to enter a '-' as first character in monetary fields without
    starting the calculator
    This issue only occured in the credit card and liability view
  * Enhanced MyMoneyFile::balance() and totalBalance() with date parameter
  * optimized MyMoneyTransactionFilter::setDateFilter()
  * optimized reporting code

2004-04-24 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Close dialog after the default currency has been selected
  * Allow to override opening balance of existing account when
    importing QIF file

2004-04-18 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed layout of initial import dialog
  * Fixed #906749 (Hang in loop on QIF import)
  * Fixed #933064 (MS-Money sub-categories make QIF import hang)
  * Fixed a problem with importing QIF dates using spaces
  * Maintain description field when importing accounts via QIF
  * Preload account types for account creation wizard in constructor

2004-04-17 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added missing layout to loan wizard

2004-04-14 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed some problems around multi currency and account/category creation
  * KUpdateStockPriceDlg now uses kMyMoneyEdit for price field
  * Revised interface of KUpdateStockPriceDlg
  * Enabled Return/Esc handling for KUpdateStockPriceDlg
  * Fixed problems with inline documentation
  * Fixed layout of amount tab in find transaction dialog

2004-04-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Revised view activation signalling
  * Added print button and file print option which is active for reports
    view only
  * Revised handling of cross-directory dependency to support older versions
    of automake
  * Removed m_file member from ReportsView::PivotTable
  * Added kMyMoneyCurrencySelector widget
  * Moved styles for report generation from code to kmymoney2.css
  * Added support for shares to XML storage object
  * Fixed a problem in MyMoneyMoney::formatMoney if precision is larger than 4
  * Added KCategoryListItem to differentiate between accounts and category
    view
  * Added observer functionality to KInvestmentView

2004-04-03 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added improvement for reporting
  * Added icon for reporting

2004-04-03 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added basic multiple currency work (currencies can be managed but
    they are not used for accounts and transactions yet)
  * Added reporting view supplied by Ace Jones
  * Made some changes to the reporting view to support printing through KDE
  * Added detection of multiple KMyMoney instances and issue warning
  * Prevent loading the same file into multiple instances of KMyMoney

2004-03-24 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed #922678 (number field is not saved to XML file)

2004-03-17 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed layout of split correction dialog
  * Allow transfers with partial income/expense
  * Fixed display of form for investment ledger
  * Added missing investmentview files to project
  * Added equity tests to unit test framework

2004-03-13 Kevin Tambascio <ktambascio@users.sourceforge.net>
  * A good chunk of functionality for investments is checked in.  Includes support for
    reading/writing MyMoneyEquity objects.  Can add investment accounts through
    the new account wizard.  Can use the investment view to view all your investment
    accounts.  XML reader/writer will read and persist the new objects.

2004-03-10 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added investment view and started integration of it

2004-02-24 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Revised payees view
  * Added validator function for kMyMoneyEdit that respects monetary
    settings
  * Updated project file
  * Fixed sizing of widgets in ledger view
  * MyMoneyFile emits more notifications for payees

2004-02-24 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed #897033 (fixed open file handling)
  * Fixed #902580 (unable to create category during transaction entry)
  * Fixed #902581 (unable to modify date correctly in ledger view)
  * Set initial focus of new account wizard to account name

2004-02-15 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added new MyMoneyMoney implementation which is based on
    numerators and denominators (based on GNUCash's gnc_numeric
    and converted to our object oriented environment)

2004-02-08 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed #892954 (Creating accounts within QIF import crashes application)

2004-02-06 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * 0.6rc2 released

2004-02-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * updated messages for further translation

2004-02-04 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated fix for #886979

2004-02-03 Michael Edwardes <mte@users.sourceforge.net>
  * Fix #886979

2004-02-03 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed bug in 'create schedule' to include all splits of the originating
    transaction
  * Make a selected schedule visible when coming from the 'home' page
    through a link on the schedule
  * Fixed EOL coding from CRLF to LF in all relevant files

2004-01-31 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed #887044 (cannot rename categories)
  * Fixed #887048 (account icons not updated after rename)
  * update of previous fixes. We now allow multiple splits with
    the same category for one transaction. This certainly makes sense.

2004-01-29 Michael Edwardes <mte@users.sourceforge.net>
 * Fixed #884364 (Support for variable amounts in startup code).
 * Fixed config read/write in settings dialog.
 * Fixed 883085 (Options for schedules stored in wrong group)
 * Fixed 883260 (The schedule 'engine' doesnt honour the days in advance option)
 * Fix edit schedule dialog that sets the estimate option even when not set.
   (Only occurs if you never click on the checkbox).
 * Fixed #880052 (Adjustment of payment date when scheduled for weekend).
   (I think its a bug...)
 * Call refresh properly in KScheduleView::slotNewXX.
 * Set the icons for the new file dialog in both constructors.
 * Make KBankListItem, KMyMoneySplitTable, KMyMoneyRegister honour the list colours option.

2004-01-26 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed #881136 (No warning when filesave fails)
  * Fixed #878380 (initial font setting)
  * Fixed #879317 (missing word-wrap for a label field)
  * Fixed #883778 (Maximum number of editable splits)
  * Fixed #884190 (Transaction containing two splits referencing same account)
  * Fixed #877819 (i18n of standard account names)
  * Fixed #882330 (Account button does not show correct account)
  * Fixed #879002 (account button does not get updated)
  * Fixed #884226 (Cannot edit loan transaction)
  * Fixed #882290 (Default accounts only support ISO8859-1 charset)
  * Fixed #884224 (Transaction details missing in search dialog)
  * added russian homepage, default accounts and po file

2004-01-16 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * 0.6rc1 released

2004-01-14 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Updated integration into KDE (desktop files)
  * Fixed installation location for x-kmymoney2.desktop
  * Updated home pages
  * Added German home page

2004-01-13 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Make sure tips are included in pot file
  * Added tips for German and French translation

2004-01-08 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * made some editorial changes to dialogs for better i18n support
  * added German translation file (many thanks to Raphael Langerhorst
    <raphael-langerhorst@gmx.at> who has done a great job
  * updated kmymoney2.pot file

2004-01-06 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * added info about mandir setting in README
  * added man page found in MEPIS distro
  * added new application icon
  * added creation of symbolic link kmymoney -> kmymoney2 in $(bindir)
    during 'make install'

2004-01-05 Kevin Tambascio <ktambascio@users.sourceforge.net>
  * added support for the progress bar during read operations.
  * added QStringEmpty and QCStringEmpty functions to properly handle
    empty strings from the XML file.
  * removed the bold when you hover over a link in the HTML view
    (seemed to look strange when using it).

2004-01-04 Kevin Tambascio <ktambascio@users.sourceforge.net>
  * removed the "nextid" attribute from some of the top-level XML attributes.
  * added qWarnings and qError statements when irregularities in the file
    are found.
  * personal data dialog box had lower case "O" and "C" for the
    ok and cancel buttons, which is inconsistent.
  * added some Q_CHECK_PTR() functions to check for invalid pointer values,
    which issues a warning to stderr.
  * added some Q_ASSERT checks in various places in the XML Reader/Writer code.
  * added a version field to keep track of different XML file versions,
    in a similar fashion to the binary reader/writer.

2004-01-04 Michael Edwardes <mte@users.sourceforge.net>
  * Added button icons to KEnterScheduleDialog.
  * Fixed handling of lastPayment in KEnterScheduleDialog.
  * Increased vertical space to KEditScheduleDialog.
  * Quick fix to make the split button work with no category.
  * Check the date when entering schedules.

2004-01-03 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * added engine observer functionality to kMyMoneyAccountSelector
  * correcting Mike's widget/Makefile.am change in the project file
    so that it will be maintained over the next regeneration of
    widgets/Makefile.am by KDevelop
  * show correct icons in account's icon view
  * fixed category assignment

2004-01-01 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * suppress standard F2 handling while in ledger's inline-edit-mode
  * fix problem when to-account is empty and more button is pressed for
    transfer transactions
  * clear the transaction list in payees view if required
  * overhauled some i18n stuff

2003-12-30 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Update search result when data in engine is changed
  * Fixed all (but one) compiler warnings
  * Regenerated kmymoney2.pot translation source

2003-12-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * select account for QIF import if it already exists
  * fixed visibility of selected account in kMyMoneyAccountSelector
  * re-arranged introduction to "import verification" message and
    allow to turn it off in the future (DontShowAgain)
  * removed check for C-only options (-Wbad-function-cast) in acinclude.m4.in
  * added bzip2 tarball generation to Makefile.am
  * added alternate background to transaction list in payees view and
    account selector widget
  * Added general method to extract colors respecting the user settings

2003-12-28 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * display correct action strings for credit card accounts in ledger
  * support i18n of action strings in ledger
  * added tip(s)
  * fixed action assignment during QIF import
  * changed QIF import to use KProcess instead of QProcess.
  * added more automatic fixes after 'file open'

2003-12-26 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * resized starting size of split dialog
  * use different icons for loan accounts in the account icon view
  * added inequality operator to MyMoneyTransaction
  * fixed logic of terminating notification suspending in MyMoneyFile
  * added more debug output to MyMoneyStorageDump
  * added default color settings to be drawn from KMyMoneyUtils
  * show template page during startup if no other info was found. This
    allows straight file generation for the first time user
  * speedup reading of default income/expense categories
  * finished work on reconciliation wizard
  * added consitency check to the new account wizard (Don't allow to
    proceed if data is not entered)
  * allow creation of new payees from new account wizard
  * added icons to KNewAccountDlg
  * allow 'reverse' category for schedule, but warn if it is selected
  * added button icons to KBackupDlg

2003-12-19 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * reworked KEndingBalanceDlg to be a wizard
  * added function to add interest and charge transactions during
    reconciliation
  * renamed 'total profit' into 'net worth'
  * added changes required to compile engine on MAC

2003-12-16 Kevin Tambascio <ktambascio@users.sourceforge.net>
  * Added ability for the user's last used directory to be stored in the
    save and open dialogs.
  * Left old code in place pending reviews from the team.

2003-12-15 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * fixed some bugs in handling w/o inline editing (no transaction form)
  * Some marketing on the about page
  * Store balances and dates in a locale-neutral form with accounts
  * Make Home and End button work in ledger views and find transaction dialog
  * fixed #859083 (false right alignment of input widgets based on
    kMyMoneyLineEdit)

2003-12-14 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * don't crash when closing file in ledger view showing loan account
  * newly entered transaction becomes the current selected transaction

2003-12-13 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * show correct category underneath the ledger lens
  * don't update screen while marking splits as reconciled
  * delete key now enables to delete transactions in the ledger views
  * optimized screen update for ledger view
  * page up/page down keys now scroll correctly in ledger view

2003-12-13 Kevin Tambascio <ktambascio@users.sourceforge.net>
  * Changed the khomeview.cpp and css file to brighten up the colors,
    and use better fonts.

2003-12-11 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * respect date changes when entering schedule transactions
  * create new payees during loan account creation (#859079)

2003-12-12 Kevin Tambascio <ktambascio@users.sourceforge.net>
  * Able to read and write all elements of the storage file using XML.
  * Added a US list of account categories.  This file is called 
    'default_accounts_enUS.dat', and it requires the user to select it,
    it's not the default list.

2003-12-11 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * reset the reconcile flag when creating schedules from existing
    transactions
  * fix existing schedules with reconciliation flag set
  * added more details to dumper

2003-12-08 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * emit stateChanged in kMyMoneyAccountSelector in single selection mode
    when selection changed
  * added missing pages to the loan wizard
  * fixed crash in settings dialog
  * don't show 'unknown institution' if no account w/o institution is found
  * added account's kvp to memory dump
  * fixed 'file/open...' handling
  * added testcases for them
  * added wizard to modify loan data
  * added ActionInterest
  * added testcases for large values to MyMoneyMoneyTest::testFormatMoney()
  * fixed MyMoneyMoney::formatMoney() for large values
  * added new type for loan schedules
  * updated the enter schedule dialogs to reflect loan payments
  * don't show number of transactions in accountsview for standard accounts
    (asset, income, etc.)
  * added field to setup the number of days before the actual occurence of a
    scheduled transaction it will be shown (functionality not implemented)

2003-11-26 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * added conversion to l10n free form for MyMoneyMoney objects
  * removed KDE specific code from engine code
  * added MyMoneySplit::ActionInterest

2003-10-23 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * move resize-grip in find transaction dialog
  * fixed minor problems in transaction filter
  * fixed duplicates for transalations in KMyMoneyUtils::stringToAccountType 
  * added investment loan to the new account wizard
  * added button icons to KImportVerifyDlg
  * show accounts in sorted order in the combo box of the ledger view
  * make sure that kMyMoneyEdit fields always have a fractional part
  * keep QIF profiles created during QIF input
  * added financial calculator class MyMoneyFinancialCalculator
  * force usage of new account wizard for creation of accounts
  * removed selection of wizard from settings
  * updated french translation file

2003-10-02 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * modify transfers to/from loan accounts to amortization payments
    when a new transaction is entered into the engine
  * added more logic for loan ledger view
  * added logic to read categories from QIF file
  * removed libxml++ references in configure stuff
  * improved QIF import performance
  * added method to turn off/on engine notifications for bulk updates
  * send out notification if an account was moved to another institution
  * if no filename is known, show 'Untitled' in caption
  * allow creation of categories while entering transactions
  * replaced "" with QCString() in all id handling spots
  * replaced comparison against "" with call to isEmpty() method
  * removed member m_file from MyMoneyTransaction
  * adapted testcases to the QCString() changes
  * don't popup transaction form when modifying transaction in
    reconciliation phase
  * removed message about file closing if no data has been changed
  * added startup logo for version 0.6 (hope you like it ;-)   )
  * fixed crash in transaction filter
  * fixed initial setting of post date for new transactions

2003-09-29 Michael Edwardes <mte@users.sourceforge.net>
  * Create a liability ledger view.
  * Confirm that the user meant to enter a positive number for the
    opening balance when creating liability accounts.  (Should usually
    enter a negative amount).

2003-09-27 Michael Edwardes <mte@users.sourceforge.net>
  * Change the end date when the start date changes while editing schedules.
  * Re-implement paintFocus in KAccountListItem and KScheduledListItem.
  * Use the doubleClicked() signal instead of executed() in the schedule list
    view.

2003-09-26 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * smarter detection of filetype to be read (looks at file contents
    not the extension)
  * fixed edit/delete options in AccountIconView
  * fixed listview handling with the changes for the background painting

2003-09-26 Michael Edwardes <mte@users.sourceforge.net>
  * Select the new institution in KNewAccountWizard.
  * Pre-select the institution if we right click on an institution and choose
    create new account.
  * Remove the new, edit and delete buttons from the categories view.
  * Select the payee after adding it in the payees view.
  * Dont let account types not supported by engine at this time get created.
  * Add a, non functional, help button to the new schedule dialog.

2003-09-25 Kevin Tambascio <ktambascio@yahoo.com>
  * Able to write out files in XML with all the categories present in the new engine.
  * Started the code for reading the XML files.

2003-09-25 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * moved KMyMoneyUtils::isCreditPayment to MyMoneyTransaction::isLoanPayment
  * added testcase for MyMoneyTransaction::isLoanPayment
  * removed unused code in MyMoneyTransaction
  * marked addXXX methods of IMyMoneySerialize as deprecated in the docs
  * added loan payment transactions (rudimentary support)

2003-09-24 Kevin Tambascio <ktambascio@yahoo.com>
  * Made GUI changes to allow the user to save their file as an XML file.
  * Removed checks for conditionally compiling XML suport.
    This is possible because I am now using the QT API's, and everyone 
    has support for those.
  * Able to now save a basic XML file.  It only currently saves the user 
    information, and it provides placeholders for the other sections of
    our file. 

2003-09-24 Michael Edwardes <mte@users.sourceforge.net>
  * Draw the background colour across the _whole_ list view in schedule
    view.
  * Use alternating colours for the accounts and categories view.
  * Start with the alternate colour in the list views.

2003-09-19 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * added new account selection widget
  * find transaction dialog uses new account selection widget
  * QIF import uses new account selection widget
  * added convenience methods to MyMoneyTransactionFilter
  * added button icons to the institution dialog
  * added button icons to the category/account selection dialog
  * fixed KFindTransactionDlg so that references to income and
    expense accounts are not shown
  * fixed transaction display in payees view
  * added new reconcile icon for buttons
  * fixed isValid() in kMyMoneyEdit
  * added MyMoneyMoney::abs()
  * added testcase for MyMoneyMoney::abs()
  * fixed the amount filter to work with absolute values only and
    to make sure that from <= to
  * removed debug output in payees view

2003-09-18 Michael Edwardes <mte@users.sourceforge.net>
  * MyMoneySchedule::isFinished() now works for occurences of 'Once'.
  * Added 'Todays payments' to the home view to make it easier to spot them.
  * If the schedule has finished use the word Finished instead of the next
    payment date in the schedule list view.
  * Select the account type in the account wizard.

2003-09-17 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * added new fr.po supplied by Laurent
  * fixed loading new account wizard widgets after loading of file
  * update caption when QIF import is finished

2003-09-17 Michael Edwardes <mte@users.sourceforge.net>
  * More validation on the KEditScheduleDialog user input.
  * Add a gap to the home page just before 'Future Payments'.
  * Fix creating a schedule from a transfer transaction.
  * Set the right schedule type in KNewAccountWizard::accept.
  * Work around backwards transfers in several places.

2003-09-16 Michael Edwardes <mte@users.sourceforge.net>
  * You can only create schedules with a start date <= today if
    they are not automatically entered.
  * New option to the settings dialog to check schedules upon startup.
  * MyMoneySeqAccessMgr::scheduleList() now calls MyMoneySchedule::isOverdue()
    which takes into account the recorded payments for a schedule.
  * Refresh the schedule view list items starting with the background colour.
  * Take into account recorded payments when calculating the next payment
    for a schedule.

2003-09-15 Michael Edwardes <mte@users.sourceforge.net>
  * Fix memory leak in new account wizard when checking if a payee exists.
  * Individual occurences for a schedule can now be entered

2003-09-15 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * added MyMoneySplit::ActionAmortization
  * added MyMoneySplit::isAmoritizationSplit
  * added KMyMoneyUtils::isCreditPayment
  * added kMyMoneyRegisterLoan
  * fixed a bug in KNewAccountDialog when creating new accounts and
    the accounts or category view is active
  * force every account to have a parent in KNewAccountDlg
  * allow to select all accounts as parents when creating an account
  * fixed update of entry count in accounts/categories view
  * fixed problem with date mark in ledger if all transactions are in
    the future
  * show matching substrings for payees in the transaction form the
    same way as for categories/accounts
  * added auto payee creation to QIF import
  * do not allow to create account with same name
  * fixed nasty bug that occured that occured during the cycle import /
    verify / cancel /import and had to do with a loose observer object
  * added case insensitive account names as suggested by Michael

2003-09-15 Michael Edwardes <mte@users.sourceforge.net>
  * Removed some old search code from KMyMoneyView and some compile warnings.
  * Fix credit card schedule creation.
  * Use StrongFocus for certain widgets in the accout wizard ui.
  * Force the user to use the correct category type when creating schedules.
  * Fix bug in KEditScheduleDialog that wrongly negated the entered amount.

2003-09-10 Michael Edwardes <mte@users.sourceforge.net>
  * Implemented adding a schedule for the credit card account type when
    using the account wizard.
  * When executing a schedule list item, set the date to the real next payment.
  * Only call the slots in KEditScheduleDialog::relodFromFile() if its a new
    schedule.
  * Only load the 'to' accounts if the schedule's type is transfer.
  * Only set the name field of the account dialog if we are editing.
  * Add ability to create category hierarchy to MyMoneyFile.
  * You can now create categories directly from the edit schedule dialog.
  * You can now create categories directly from the enter schedule dialog.
  * Masses of fixes to KEditScheduleDialog.
  * Setup KEnterScheduleDialog with the correct date.
  * The schedule's transaction can now be committed to the engine via a manual
    enter.  NOTE ONLY THE LAST PAYMENT CAN BE COMMITTED at the moment.
  * Added two methods to MyMoneySchedule : isOverdue() and isFinished().
  * Changed the enums for MyMoneySchedule members.
  * Only show the enter button for valid schedule next payments.
  * Schedules that have finished now have green text.

2003-09-10 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * use the accounts view as standard, not the institutions view
  * added 'Unknown institution' as standard to institutions view
  * fixed memory leak in exception handling of KAccountsView::slotListRightMouse
  * create Default QIF profile if not existant during QIF import/export
  * use KDE documentpath to start looking for files to be imported
  * fixed missing notifications when adding/modifying/removing institutions
  * removed i18n() from certain non-translatable strings in the QIF profile
    editor
  * improved error messages during QIF import and display QIF entry
    during account/category selection for user's reference
  * set focus in KAccountSelectDlg to create button
  * fixed edit and delete operation of RMB menu for institutions

2003-09-07 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * fixed visibility of new institution dialog when import a QIF file
  * use current date as opening date for new accounts if the date
    passed from e.g. a QIF source is invalid

2003-09-06 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * added kMyMoneyEdit::isValid()
  * added MyMoneyAccount::accountGroup(void)
  * revised interface between KLedgerView and kMyMoneyRegister
  * Added KMyMoneyTransaction which is based on MyMoneyTransaction
    but also keeps additonal information required for display purposes
  * renamed MyMoneyTransaction::split to splitByAccount
  * added MyMoneyTransaction::splitById which returns a split by split id
  * optimized space for items in search register
  * added full search functionality
  * fixed bug in font handling of register code
  * added possibility to create scheduled transaction from ledger view
    based on existing transaction
  * added button icons to find transaction dialog

2003-09-04 Michael Edwardes <mte@users.sourceforge.net>
  * Fix bug in KEditScheduleDlg::slotSplitClicked() and
    KEnterScheduleDialog::slotSplitClicked().
  * More split related bugs fixed in KEditScheduleDialog and
    KEnterScheduleDialog.
  * Re-wrote most of KEditScheduleDialog.  Fixes _many_ bugs.

2003-09-02 Michael Edwardes <mte@users.sourceforge.net>
  * Show overdue schedules with red text in the list view.
  * Fixed stupid bug when creating schedules.
  * Schedule brief widget now shows only the schedule for the date we are over.
  * Added initial ui file to enter schedules manually.
  * Added class for the enter dialog.
  * Display overdue schedules in red in the calendar.
  * Added ability to right click on schedule in the list to enter it manually.
  * Added an Enter button to the Brief schedule widget.

2003-09-01 Michael Edwardes <mte@users.sourceforge.net>
  * Made the list colours in the schedule view match the home view.
  * Implemented the schedule link from the home page.

2003-08-31 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * added MyMoneyTransactionFilter class
  * modified engine to use MyMoneyTransactionFilter instead of dedicated code
  * modified GUI code to use MyMoneyTransactionFilter
  * added 'case sensitivity' and 'regular expression' switch to
    KFindTransactionDlg
  * added definition of MyMoneyMoney::minValue and MyMoneyMoney::maxValue
  * major overhaul of the view interface

2003-08-31 Michael Edwardes <mte@users.sourceforge.net>
  * Added a default default_accounts_enC.dat file.
  * Set KDialog to look for the default_accounts_enC.dat file for its
    initial dir.
  * Fix the mouse tracking in the calendar table.
  * Popup the Schedule brief widget 'intelligently'.
  * Make sure default_accounts_enGB.dat, default_accounts_enC.dat and
    comptes_par_defaut_fr.dat are installed.
  * Made the Schedule brief widget borderless and added a close button.

2003-08-22 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * added french files provided by Laurent Colognes

2003-08-21 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * added more logic to the find dialog
  * added more output to dump
  * Fixed a bug in KNewAccount Wizard when creating liability accounts
  * Differentiate accounts and categories with the same name during import
  * added consistency check tool
  * allow to move accounts between expense/income group
  * Fixed close window function, again

2003-08-10 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * backup file name is now constructed using international date format
  * added progress bar to backup function
  * added new find transaction dialog (no functionality yet)
  * revised register class

2003-08-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * avoid more compiler warnings
  * use last used post date for new transactions
  * fix view update after loading a file
  * force memo field in transaction form to be left aligned
  * fixed bugs in settings dialog (grid setting was not written)
  * removed color settings for transactions
  * some speed improvements after loading a file

2003-08-06 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * set date fields in export QIF dialog to the posting dates of the
    first and last transaction found in the selected account
  * made appendCorrectFileExt() a static method of KMyMoneyUtils and
    removed it in all other places
  * removed unused connections in KMyMoney2App

2003-08-02 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * show full url as tooltip in start dialog
  * fixed endless loop when recent file list contains abandoned files
  * disable dragability of items in start dialog
  * added icon to reset button in settings dialog
  * added logic for customization of home page to settings dialog
    it is not yet used in the home page logic
  * use KDE settings for font calculation in settings dialog
  * allow setting of Preferred attribute in KNewAccountWizard
  * removed reference to unknown signals/slots in KMyMoney2App::slotQifExport
  * added button icons to QIF export dialog
  * added button icons to QIF import dialog
  * cleaned up QIF import code from leftovers of old implementation
  * added button icons to QIF profile editor

2003-07-31 Michael Edwardes <mte@users.sourceforge.net>
  * Fix the nasty bug i introduced into the start dialog.
  * Removed the fileNew action.
  * File Save/Save As default to Documents folder.
  * Removed unnecessary actions.
  * Fix crash when File|Close is chosen.

2003-07-30 Michael Edwardes <mte@users.sourceforge.net>
  * Removed duplicate entries from default_accounts.dat.
  * Renamed default_accounts.dat to default_accounts_enGB.dat
  * Display only the filename in the recent files icon view.
  * Default to the 'Documents' folder in the start dialog.

2003-07-30 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * added button icons to the ledger view
  * added button icons to split dialog
  * removed warnings in ksplittransactiondlg.cpp
  * added button icons to split correction dialog
  * added french home page

2003-07-30 Michael Edwardes <mte@users.sourceforge.net>
  * Use the IconGroup User to load icons.
  * Add icons to the schedule list view items.
  * Use the global icon loader object.

2003-07-29 Michael Edwardes <mte@users.sourceforge.net>
  * Add icons to the edit schedule dialog.
  * Added icons to the schedule dialog.
  * Added icons to the new file dialog, schedule view.
  * Use colours in the schedule list.

2003-07-29 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * disable save button and menu entry if data in engine is unchanged
  * fix memory leak in KLedgerView
  * added feature to have country and language specific home page

2003-07-29 Michael Edwardes <mte@users.sourceforge.net>
  * Fixed loading of blank icon in the startup dialog.
  * Fix schedule errors.

2003-07-28 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * fixed setting of 'startup file options' in settings dialog when
    the reset button is pressed
  * added feature to select the last page viewed when starting the application
  * use QPushButton::setPopup for the MORE button in the transaction form
  * use the british english spelling Cheque
  * fixed compile error in MyMoneyStorageBin
  * fixed crash when exiting the startup dialog with 'Cancel'

2003-07-26 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added concept of preferred account
  * remove KDE specifics from MyMoneySchedule
  * MyMoneySchedule now uses QDate::isValid() to determine validity of dates
  * align values to the right in the schedule list view
  * re-arranged inclusion of header files to speed up compilation
  * MyMoneySchedule::account() now returns MyMoneyAccount object
  * Added 'dynamic home page'

2003-07-23 Michael Edwardes <mte@users.sourceforge.net>
  * Fix handling of split dialog.
  * Save open state of top level items in schedule list view.

2003-07-23 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Show filename and modification mark in caption of main window
  * Avoid some compiler warnings
  * Fixed order when reading items from file
  * Suppress false memory leakage message during autotest
  * Added < operator to MyMoneySchedule to allow sorting

2003-07-23 Michael Edwardes <mte@users.sourceforge.net>
  * Removed unnecessary schedule edit classes.
  * Removed old unnecessary classes.
  * Changing transactions remaining also changes end date in edit dialog.
  * Changing end date also changes transactions remaining in edit dialog.
  * Fix IEditScheduleDialog.
  * Set default list view items to open.
  * Save memo field in KEditScheduleDialog.

2003-07-22 Michael Edwardes <mte@users.sourceforge.net>
  * Removed unnecessary atributes from MyMoneySchedule.

2003-07-20 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * always select a transaction in the ledger view if one's available

2003-07-19 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Fixed testcases for MyMoneySchedule related tests in
    MyMoneySeqAccessMgrTest
  * modified construction of transfer transactions in
    keditscheduledtransferdlg.cpp

2003-07-18 Michael Edwardes <mte@users.sourceforge.net>
  * Added the equality operator to MyMoneySchedule.
  * List and calendar view honour the account filter.
  * Implemented file reading and saving of schedules.
  * Added a transferAccount member attribute to MyMoneySchedule.
  * Updated the read and save routines.

2003-07-18 Michael Edwardes <mte@users.sourceforge.net>
  * Fix MyMoneySchedule::nextPayment()
  * Clear splits when KSplitTransactionDlg sets only one.  (Workaround).
  * Fixed occurence of schedules.
  * Fixed tab order in new schedule dialogs.
  * Show the accounts that can be filtered on.

2003-07-17 Michael Edwardes <mte@users.sourceforge.net>
  * Use MyMoneySchedule::validate() when adding schedules.
    (validate() will be fully implemented later).
  * Added some convenience methods to kMyMoneyCombo to reduce code duplication.
  * Removed the MyMoneyScheduled class.
  * Added an accountId member to MyMoneySchedule.
  * Added a combo box to filter on accounts in the list & calendar view.

2003-07-16 Michael Edwardes <mte@users.sourceforge.net>
  * Updated the UI to use MyMoneyFile for sheduled transactions.

2003-07-14 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added support for scheduled transactions to the MyMoney engine code
    GUI code does not use it yet, but testcases do

2003-07-09 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * cleanup in headerfile includes
  * refresh schedule view upon loading of a new file

2003-07-07 Michael Edwardes <mte@users.sourceforge.net>
  * Added a hoverDate signal to the table.
  * Set mouse tracking in the table so we get all mouse move events.  (Doesnt Work?)
  * Added UI file for the schedule brief description widget.
  * Implemented the select schedules combo box option to filter the calendar
    on schedule types.
  * Use contentsMouseReleaseEvent rather than contentsMousePressEvent in
    the base class kMyMoneyDateTbl.
  * Fix implementation of kMyMoneyScheduledDateTbl::addDayPostfix.

2003-07-05 Michael Edwardes <mte@users.sourceforge.net>
  * Fixed bug in KMyMoneyCalendar to create the private objects *before* the
    initialisation.
  * Draw the userButtons after the first 'styleControl' button.
  * Added schedule type selection to the calendar via the new user
    buttons.
  * Implemented the weekly view of the calendar.  (Note, always uses Monday
    as the start of week, (ignores kde settings at the moment)).
  * Started work on integrating the schedules into the calendar view.
  * Changes to the account selection are notified to the schedule calendar
    view.
  * The date for the current cell to be painted is passed to the
    drawCellContents method.
  * Changed the list view widget in KScheduleView to a KListView so I can use
    the executed signal.
  * Implemented an executed slot on a schedule list item that shows the next
    payment date in the calendar.
  * Removed the edit and delete buttons.  These are accessed via a right mouse
    click on the item.
  * Removed the selection signal from the schedule list view.

2003-07-04 Michael Edwardes <mte@users.sourceforge.net>
  * More work on the calendar view, including deriving a new class from
    kMyMoneyDateTbl as kMyMoneyScheduledDateTbl.
  * Added a style control button to the calendar view.  (Not working).
  * Draw rectangles around the days.  (Will be configurable in future).
  * Added ability to add 'user buttons' to the calendar.  This will be
    used by the schedule table to display schedule options for the
    calendar.  Only two user buttons are currently supported.
  * Fixed bug in KDateTable::setEnabled()
  
2003-07-03 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * fill AccountsView with standard accounts even if there are
    no further accounts defined
  * preset correct type of new account according to current selected
    account in the accounts and categories view
  * made new widgets compilable under KDE 3.0 - while loosing some
    functionality :-(

2003-07-03 Michael Edwardes <mte@users.sourceforge.net>
  * Subclassed a new more specific to schedules calendar class
    from kMyMoneyCalendar.
  * Added a close button to kMyMoneyDateInput,  (Requires >= KDE-3.1).
  * Imported the KDatePicker & KDateTable classes into KMyMoney to use
    as the basis for the calendar view.  Custom implementation still to
    be done.

2003-07-02 Michael Edwardes <mte@users.sourceforge.net>
  * Fixed editing the schedule's transaction splits.
  * Display only positive amounts in the schedule list view.
  * More work on the scheduled transfer dialog.
  * Fixed schedule validation for transfers.
  * Added a name property to MyMoneySchedule.
  * Updated UI dialogs to handle the schedule name.
  * Added the initial widget for the calendar view.  (Does nothing yet).

2003-07-01 Michael Edwardes <mte@users.sourceforge.net>
  * Fixed crash in KScheduleView::refresh when no accounts exist.
  * Monitor selections in KStartDlg so the user can select an item
    and then press on OK and the item is executed as expected.
  * Deselect all other highlights in KStartDlg when a selection occurs.
  * Remember the last page in KStartDlg, (defaults to recent files page).
  * Context menu can appear in the schedule view when there are no items.
  * Disable schedule view if no account is available.

2003-06-30 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * updated 'home' page for next release
  * differentiate between new account and new category
  * cleanup of slot interface between KMyMoney2App and KMyMoneyView
  * removed debug output messages in various classes
  * added function to create new institution during QIF import
  * fixed bugs while importing splitted transactions
  * set opening date on accounts only if date passed is invalid
  * fixed KNewAccountWizard to set opening date correct
  * added filter location entry to QIF profile
  * disable ledger view if no account is available
  * added external filter support for QIF import
  * prepared external filter support for QIF export
  * added duplicate method to IMyMoneyStorage objects and testcase

2003-06-20 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * show liability and asset accounts when no account info is found
    in the QIF source file for account selection
  * KMyMoneyUtils::stringToAccountType() now works case insensitive
  * Fixed the account selection dialog to allow creation of categories
  * Added method to extract the parent name of a colon-seperated
    hierarchical category name to MyMoneyFile
  * Fixed some problems of the KNewAccountDlg with respect to categories
  * Don't allow to create accounts of type income and expense in
    KNewAccountDlg when not called as category editor
  * Use KMyMoneyUtils to convert from textual form of account type
    to numeric representation
  * Cleanup of account and category editing
  * Removed MyMoneyAccount::setAccountTypeByString in favor of
    usage of KMyMoneyUtils::stringToAccountType
  * Make sure, one cannot select an account as it's own parent account
  * Show selected parent account when opening KNewAccountDlg
  * Added support to suppress updates during lengthy operations to
    more views
  * Fixed uninitalized variable in KAccountSelectDlg
  * Added date import conversion to MyMoneyQifProfile
  * Added coloring for imported transactions to kMyMoneyRegister
  * Added parameter 'name' to kMyMoneyCombo constructor(s)
  * Cleanup of KGlobalLedgerView member variables

2003-03-06 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Moved categoryTypeE to KMyMoneyUtils
  * Updated template files to contain standard text
  * Added tips entry
  * added MyMoneyKeyValueContainer functionality to MyMoneyTransaction
  * more work on the QIF import (not done yet)

2003-02-26 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * include config.h in mymoneymoney.h
  * changed the state-engine during backup
  * fixed backup procedure (error report #692390)
  * added "Don't ask again" to warning box about new file layout

2003-02-13 Thomas Baumgart <ipwizard@users.sourceforge.net>
  * Added missing account types to utility functions
  * Fixed online documentation in MyMoneyFile
  * Added dialog to select an account
  * Moved the MyMoneyQifProfileEditor to the dialog subdir
  * Removed some circular references among classes
  * More work on QIF import

2003-02-05 Thomas Baumgart <ipwizard@users.sourceforge.net>
